﻿//action invite

(function () {
    Light.action.invite = {
        sendInvite: function (toUserId, fromUserName, image, message, donefunc, failfunc) {
            var data = {
                name: fromUserName,
                message: message
            }
            Light.action.leancloud.share.sendStatusToUserBox(toUserId, "invite", image, data, donefunc, failfunc);
        },

        reciveInvite: function (donefunc, failfunc) {
            var lastInviteId = 0;
            //todo get from native

            var done = function (statuslist) {
                 
                for (var i = 0; i < statuslist.length; i++) {
                    var status = statuslist[i];
                    var messageId = status.messageId;
                    var image = status.data.image;
                    var name = status.data.message.name;
                    var message = status.data.message.message;
                    var from = status.data.source.id;

                    Light.db.invite.insert({
                        inviteId: messageId,
                        inviteUserId: from,
                        inviteUserImage: image,
                        inviteUserName: name,
                        inviteMessage: message,
                        inviteStatus:0
                    }, null, null);

                    if (messageId > lastInviteId) {
                        lastInviteId = messageId;
                    }
                }
                //todo save lastid

                Light.action.invite.getAll(donefunc, failfunc);
            }

            var fail = function () {
                Light.action.invite.getAll(donefunc, failfunc);
            }

            Light.action.leancloud.share.getInbox("invite", lastInviteId, done, fail);
        },

        updateStatus: function (id, status, donefunc, failfunc) {
            Light.db.invite.update(id,
                {
                    inviteStatus: status,
                }, donefunc, failfunc);
        },

        getAll: function (donefunc, failfunc) {
            var done = function (items) {
                if (items && items.length > 0) {
                    if (donefunc) donefunc(items);
                } else {
                    if (donefunc) donefunc([]);
                }
            }
            Light.db.invite.select(null, donefunc, failfunc);
        },
    };
})();
