﻿(function () {
    Light.action.movement = {

        getMovementList: function (donefunc, failfunc) {
            Light.db.movement.selectColumnsSort(null, null, ["movementId"], donefunc, failfunc);
        },

        downloadFromServer: function (donefunc, failfunc) {

            /*
            var onresponse = function (obj) {
                var movements = obj;
                
                if (movements && movements.length > 0) {
                    Light.db.movement.reset();

                    for (var i = 0; i < movements.length; i++) {

                        Light.db.movement.insert(movements[i], null, null);
                    }
                }

                if (donefunc) { donefunc(); }
            };

            Light.network.requestBackground("/app/member/health/getAppMovement", {}, onresponse, failfunc, "post");
            */

            var movements = [{ "movementId": 1, "movementName": "散步", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 15, "dataType": "1" }, { "movementId": 2, "movementName": "慢跑", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 67, "dataType": "1" }, { "movementId": 3, "movementName": "爬山", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 56, "dataType": "1" }, { "movementId": 4, "movementName": "竞走", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 96, "dataType": "1" }, { "movementId": 5, "movementName": "减肥操", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 92, "dataType": "1" }, { "movementId": 6, "movementName": "健美操", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 52, "dataType": "1" }, { "movementId": 7, "movementName": "跳舞", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 61, "dataType": "1" }, { "movementId": 8, "movementName": "啦啦操", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 87, "dataType": "1" }, { "movementId": 9, "movementName": "瑜伽", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 10, "dataType": "1" }, { "movementId": 10, "movementName": "踏板机", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 68, "dataType": "1" }, { "movementId": 11, "movementName": "举重", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 35, "dataType": "1" }, { "movementId": 12, "movementName": "骑自行车", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 13, "movementName": "划船", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 44, "dataType": "1" }, { "movementId": 14, "movementName": "平板支撑", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 15, "movementName": "深蹲", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 113, "dataType": "1" }, { "movementId": 16, "movementName": "仰卧起坐", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 17, "movementName": "卷腹", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 113, "dataType": "1" }, { "movementId": 18, "movementName": "俯卧撑", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 131, "dataType": "1" }, { "movementId": 19, "movementName": "骑山地自行车", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 226, "dataType": "1" }, { "movementId": 20, "movementName": "羽毛球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 61, "dataType": "1" }, { "movementId": 21, "movementName": "乒乓球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 52, "dataType": "1" }, { "movementId": 22, "movementName": "篮球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 61, "dataType": "1" }, { "movementId": 23, "movementName": "台球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 26, "dataType": "1" }, { "movementId": 24, "movementName": "网球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 25, "movementName": "排球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 35, "dataType": "1" }, { "movementId": 26, "movementName": "足球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 27, "movementName": "保龄球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 35, "dataType": "1" }, { "movementId": 28, "movementName": "高尔夫", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 35, "dataType": "1" }, { "movementId": 29, "movementName": "垒球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 70, "dataType": "1" }, { "movementId": 30, "movementName": "棒球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 70, "dataType": "1" }, { "movementId": 31, "movementName": "橄榄球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 127, "dataType": "1" }, { "movementId": 32, "movementName": "手球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 33, "movementName": "曲棍球", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 34, "movementName": "低强度游泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 87, "dataType": "1" }, { "movementId": 35, "movementName": "蛙泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 157, "dataType": "1" }, { "movementId": 36, "movementName": "自由泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 37, "movementName": "仰泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 38, "movementName": "蝶泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 135, "dataType": "1" }, { "movementId": 39, "movementName": "冲浪", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 35, "dataType": "1" }, { "movementId": 40, "movementName": "独木舟", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 192, "dataType": "1" }, { "movementId": 41, "movementName": "花样游泳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 42, "movementName": "帆船", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 61, "dataType": "1" }, { "movementId": 43, "movementName": "跳绳", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 44, "movementName": "滑旱冰", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 45, "movementName": "柔道", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 157, "dataType": "1" }, { "movementId": 46, "movementName": "太极", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 52, "dataType": "1" }, { "movementId": 47, "movementName": "拳击", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 139, "dataType": "1" }, { "movementId": 48, "movementName": "滑雪", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 105, "dataType": "1" }, { "movementId": 49, "movementName": "跳远", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 87, "dataType": "1" }, { "movementId": 50, "movementName": "骑马", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 96, "dataType": "1" }, { "movementId": 51, "movementName": "滑板", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 70, "dataType": "1" }, { "movementId": 52, "movementName": "蹦床", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 44, "dataType": "1" }, { "movementId": 53, "movementName": "攀岩", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 122, "dataType": "1" }, { "movementId": 54, "movementName": "射箭", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 44, "dataType": "1" }, { "movementId": 55, "movementName": "冰壶", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 52, "dataType": "1" }, { "movementId": 56, "movementName": "转呼啦圈", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 44, "dataType": "1" }, { "movementId": 57, "movementName": "摔跤", "movementTime": 10.0, "unit": "分钟", "step": 0, "calorie": 87, "dataType": "1" }];

            for (var i = 0; i < movements.length; i++) {
                Light.db.movement.insert(movements[i], null, null);
            }
            if (donefunc) { donefunc(); }
        },
    };
})();