/*! 
* DevExtreme
* Version: 14.1.5
* Build date: Jul 16, 2014
*
* Copyright (c) 2012 - 2014 Developer Express Inc. ALL RIGHTS RESERVED
* EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
*/

Globalize.addCultureInfo("default", {
    "messages": {
        //共通
        "common-help": "帮助",
        "common-back": "返回",
        "common-save": "保存",
        "common-delete": "删除",
        "common-confirm": "确定",
        "common-detail": "详细",
        "common-cancel": "取消",
        "common-close": "关闭",
        "common-next": "下一步",

        "common-unbound": "未绑定",
        "common-user-defined": "自定义",
        "common-sun": "日",
        "common-day": "天",
        "common-week": "周",
        "common-month": "月",
        "common-year": "年",
        "common-hour": "时",
        "common-minute": "分",
        "common-startDate": "开始日期",
        "common-endDate": "结束日期",

        "message-notNull": "不能为空.",
        "message-repeat": "已经存在.",
        "message-dataSave-success": "数据保存成功.",
        "message-uploadToServer-success": "数据上传成功.",
        "message-uploadToServer-error": "数据上传失败.",
        "message-renewSystemNotification-error": "通知更新失败.",
        "message-renewNotification-error": "通知创建失败.",
        "message-getALLData-error": "数据取得失败.",

        //navbar
        "navbar-home": "首页",
        "navbar-treat": "诊疗",
        "navbar-medicine": "药盒",
        "navbar-health": "健康",
        "navbar-profile": "我的",

        //首页
        "home-treat": "预约诊疗",
        "home-medicine": "用药提醒",
        "home-health": "健康中心",

        //设置
        "profile-personalSetting": "个人信息",
        "profile-treatSetting": "我的诊疗",
        "profile-healthSetting": "我的健康",
        "profile-healthDevicePairing": "添加乐心设备",
        "profile-setting": "设置",
        "profile-accountSetting": "账户管理",
        "profile-notifySetting": "用药提醒",
        "profile-privacySetting": "隐私",
        "profile-commonSetting": "通用",
        "profile-aboutApp": "关于",
        "profile-exit": "退出当前账号",

        "profile-login": "登录",
        "profile-registry": "注册",
        "profile-account": "账号",
        "profile-user": "昵称",
        "profile-password": "密码",
        "profile-repeatPassword": "确认密码",
        "profile-sex": "性别",
        "profile-birthday": "生日",
        "profile-height": "身高",
        "profile-address": "地址",
        "profile-phone": "手机号",
        "profile-email": "邮件地址",

        "profile-loginMessage-error": "用户名或者密码错误.",
        "profile-birthday-checkMessage-error": "生日不能超过当前日期.",
        "profile-exit-message": "  退出当前账号,数据将全部清空,确定退出?",

        "profile-updatePassword": "修改密码",
        "profile-updatePassword-title1": "为保障你的数据安全，修改密码前请输入原密码：",
        "profile-updatePassword-title2": "请输入新密码：",
        "profile-updatePassword-title3": "请再输一次密码：",
        "profile-updatePassword-message-error": "密码输入错误，请重新修改密码.",
        "profile-updatePassword-different": "密码不一致.",
        "profile-updatePassword-message-success": "密码重置成功.",

        "profile-healthDevice": "测量设备",
        "profile-AutoSync": "上传健康数据",
        "profile-clearCache": "清空本地健康数据",
        "profile-clearCache-message": "数据清除成功.",
        "profile-healthDevice-select": "选择设备",
        "profile-healthDevice-plus": "添加设备",
        "profile-healthDevicePairing-message": "请长按设备上“”配对按钮5秒以上.",

        "profile-treatNotify": "预约诊疗提醒",
        "profile-notifyStartDate": "开始提醒日期",
        "profile-interval": "间隔天数",

        "profile-notify": "接收提醒",
        "profile-voice": "声音",
        "profile-vibration": "振动",

        //诊疗
        "treat-departmentDetail": "科室详细",
        "treat-treatRecord": "诊疗记录",
        "treat-treatDetail": "诊疗详细",
        "treat-prescriptionsRecord": "处方记录",
        "treat-prescriptionsDetail": "处方详细",
        "treat-registration": "挂号",

        "treat-prescriptions-department": "【科室】",
        "treat-prescriptions-doctor": "【医生】",
        "treat-prescriptions-datetime": "【处方时间】",
        "treat-prescriptions-content": "【处方内容】",
        "treat-prescriptions-memo": "【处方备注】",
        "treat-prescriptions-status": "【处方状态】",
        "treat-prescriptions-validityDate": "【处方有效期】",
        "treat-prescriptions-medicineList": "【处方药一览】",
        "treat-prescriptionsStatus-all": "全部",
        "treat-prescriptionsStatus-not": "未取药",
        "treat-prescriptionsStatus-have": "已取药",
        "treat-prescriptionsStatus-invalid": "失效",

        //用药
        "medicine-medicineBox": "我的药盒",
        "medicine-medicinePlan_create": "添加服药计划",
        "medicine-medicinePlan_edit": "服药计划",
        "medicine-medicineSearch": "药品检索",
        "medicine-medicineCreate": "药品添加",
        "medicine-medicineDetail": "药品详细",

        "medicine-name": "药品名称",
        "medicine-detail": "药品详细说明",
        "medicine-time": "服药时间",
        "medicine-plusTime": "添加时间",
        "medicine-shape": "图形&颜色",
        "medicine-dosage": "剂量",
        "medicine-number": "数量",
        "medicine-units": "单位",
        "medicine-frequency": "服药次数",
        "medicine-plan": "计划",
        "medicine-planStartDateTime": "首次服药时间",
        "medicine-duration": "持续时间",
        "medicine-interval": "间隔周期",
        "medicine-intervalDay": "间隔天数",
        "medicine-selectShape": "选择图形&颜色",
        "medicine-selectWeek": "选择星期",
        "medicine-selectStartDate": "选择日期",
        "medicine-selectStartTime": "选择时间",
        "medicine-time-morning": "早上",
        "medicine-time-noon": "午间",
        "medicine-time-evening": "晚上",
        "medicine-time-night": "夜间",
        "medicine-remark": "说明",
        "medicine-remark-food": "餐饮说明",
        "medicine-notify-description1": "定于time点",
        "medicine-notify-description2": "food服用 dosage",
        "medicine-taking": "服用",
        "medicine-pass": "跳过",
        "medicine-planlist": "计划列表",
        "medicine-reroll": "重新计划",
        "medicine-reroll-message": "请录入时间",
        "medicine-addremark": "添加备注",
        "medicine-isDelete-confirmMessage": "你确定要删除吗？",
        "medicine-deletePlan": "删除整个服用计划",
        "medicine-deleteTaken": "删除该次服用计划",
        "medicine-rerollPlan": "重新设置整个服用计划",
        "medicine-rerollTaken": "重新设置该次服用计划",
        "medicine-type-custom": "自定义药品",
        "medicine-type-prescription": "处方药",
        "medicine-notice": "通知",
        "medicine-menu-detailed": "药瓶详细",
        "medicine-menu-addremark": "添加备注",
        "medicine-menu-delete": "删除剂量",

        "medicine-character": "性状",
        "medicine-mainComponents": "主要成分",
        "medicine-funIndications": "功能主治",
        "medicine-usage": "用法用量",
        "medicine-untowardEffect": "不良反应",
        "medicine-taboo": "禁忌",
        "medicine-drugInteractions": "相互作用",
        "medicine-attention": "注意事项",
        "medicine-packages": "包装",
        "medicine-eriodOfValidity": "有效期",
        "medicine-approvalNumber": "批准文号",


   
        //健康
        "health-healthChart": "健康趋势图",
        "health-yunyueWeight": "云悦体重计",
        "health-lexinWeight": "乐心体重计",
        "health-lexinPedometer": "乐心计步器",

        "health-weight": "体重",
        "health-BMI": "BMI",
        "health-BFR": "体脂率",
        "health-steps": "步数",
        "health-calorie": "卡路里",
        "health-distance": "距离",
        "health-weight-helpMessage": "体重是指通过体重秤称量得到的身体重量.",
        "health-BMI-helpMessage": "BMI是目前国际上常用的衡量人体胖瘦程度已经是否健康的一个标准.",
        "health-BFR-helpMessage": "体脂率是指人体内脂肪重量在人体总体中所占的比例,它反映人体内脂肪含量的多少.",
        "health-steps-helpMessage": "步数是指步数仪记录的行走步数.",
        "health-calorie-helpMessage": "卡路里是指步数仪记录的消耗的热量.",
        "health-distance-helpMessage": "距离是指步数仪记录的行走路程.",

        "health-weight-low": "偏瘦",
        "health-weight-normal": "正常",
        "health-weight-high": "偏胖",
        "health-weight-fat": "肥胖",
        "health-sport-miss": "未达标",
        "health-sport-complete": "达标",

        "health-deviceMessage_ok": "已经连接到",
        "health-deviceMessage_error": "设备扫描失败.",
        "health-deviceMessage-scan": "开始扫描",
        "health-deviceMessage-nothing": "未添加设备,请到【我的 - 我的健康】设置中添加设备.",
        "health-deviceMessage-scaning": "设备扫描中...",
        "health-deviceMessage-yunyue-connect": "设备连接中...",
        "health-deviceMessage-yunyue-connect_ok": "设备正常连接,请开始称量.",
        "health-deviceMessage-yunyue-weighting": "称量中,请勿下称.",
        "health-deviceMessage-lexin-connect": "请使用测量设备.",
        "health-deviceMessage-lexin-measureing": "数据读取中...",
        "health-deviceMessage-lexin-measure_ok": "测量成功,可再测量.",
        "health-deviceMessage-lexin-connect_error": "设备连接失败,请确认打开的设备与选择设备是否一致.",
        "health-deviceMessage-lexin-scaning": "正在扫描设备...",
        "health-deviceMessage-lexin-discover": "发现【device】设备,开始配对...",
        "health-deviceMessage-lexin-pair-nothing": "当前测量设备,未配对.",
        "health-deviceMessage-lexin-pair_ok": "设备配对成功.",
        "health-deviceMessage-lexin-pair_error": "设备配对失败.",

        "health-weight-warnMessage-low": "你的身材有点瘦,平时可以多吃点.",
        "health-weight-warnMessage-normal": "你的身材那么好,家里人知道么!?",
        "health-weight-warnMessage-high": "你的身材有点胖,有空做点运动.",
        "health-weight-warnMessage-fat": "你的身材太胖了,赶紧多做运动.",
        "health-sport-warnMessage-miss": "你的运动量未达标,建议您继续步行.",
        "health-sport-warnMessage-complete": "你的运动量已达标,休息一下.",

        

//********** system predefine var *********//
        "Yes": "是",
        "No": "否",
        "Cancel": "取消",
        "Clear": "清除",
        "Delete": "删除",
        "Done": "完成",
        "Loading": "读取中...",
        "Select": "选择...",
        "Search": "查找",
        "Back": "返回",
        "OK": "OK",

        "dxLookup-searchPlaceholder": "最低文字数: {0}",

        "dxCollectionContainerWidget-noDataText": "没有数据",

        "dxList-pullingDownText": "下拉以更新...",
        "dxList-pulledDownText": "放开以更新...",
        "dxList-refreshingText": "更新中...",
        "dxList-pageLoadingText": "读取中...",
        "dxList-nextButtonText": "更多",
        "dxListEditDecorator-delete": "删除",
        "dxListEditDecorator-more": "更多",

        "dxScrollView-pullingDownText": "下拉以更新...",
        "dxScrollView-pulledDownText": "放开以更新...",
        "dxScrollView-refreshingText": "更新中...",
        "dxScrollView-reachBottomText": "读取中",

        "dxSwitch-onText": "开",
        "dxSwitch-offText": "关",

        "dxDateBox-simulatedDataPickerTitleTime": "请选择时间。",
        "dxDateBox-simulatedDataPickerTitleDate": "请选择日期。",
        "dxDateBox-simulatedDataPickerTitleDateTime": "请选择日期和时间。",

        "dxDataGrid-columnChooserTitle": "选择列",
        "dxDataGrid-columnChooserEmptyText": "请选择列项目。",
        "dxDataGrid-groupContinuesMessage": "继续下一页",
        "dxDataGrid-groupContinuedMessage": "继续前一页",
        "dxDataGrid-editingEditRow": "编辑",
        "dxDataGrid-editingSaveRowChanges": "保存",
        "dxDataGrid-editingCancelRowChanges": "取消",
        "dxDataGrid-editingDeleteRow": "删除",
        "dxDataGrid-editingUndeleteRow": "复原",
        "dxDataGrid-editingConfirmDeleteMessage": "是否删除此条记录?",
        "dxDataGrid-editingConfirmDeleteTitle": "",
        "dxDataGrid-groupPanelEmptyText": "请选择分组项目。",
        "dxDataGrid-noDataText": "没有数据",
        "dxDataGrid-searchPanelPlaceholder": "检索",
        "dxDataGrid-filterRowShowAllText": "(全部)",
        "dxDataGrid-filterRowResetOperationText": "重置",
        "dxDataGrid-filterRowOperationEquals": "等于指定值",
        "dxDataGrid-filterRowOperationNotEquals": "不等于指定值",
        "dxDataGrid-filterRowOperationLess": "小于指定值",
        "dxDataGrid-filterRowOperationLessOrEquals": "小于等于指定值",
        "dxDataGrid-filterRowOperationGreater": "大于指定值",
        "dxDataGrid-filterRowOperationGreaterOrEquals": "大于等于指定值",
        "dxDataGrid-filterRowOperationStartsWith": "从指定值开始",
        "dxDataGrid-filterRowOperationContains": "包含指定值",
        "dxDataGrid-filterRowOperationNotContains": "不包含指定值",
        "dxDataGrid-filterRowOperationEndsWith": "到指定值结束",
        "dxDataGrid-trueText": "真",
        "dxDataGrid-falseText": "假",
        "dxDataGrid-sortingAscendingText": "升序排列",
        "dxDataGrid-sortingDescendingText": "降序排列",
        "dxDataGrid-sortingClearText": "清除排序",
    }
});
