cordova.define("com.seiosoft.phonegap.Lexin.Lexin", function(require, exports, module) { var Lexin = function(){
};

               /**
               #define BT_STATE_LEXIN_NONE 0
               #define BT_STATE_LEXIN_SCAN_BEGIN 1
               #define BT_STATE_LEXIN_SCAN_DISCOVERED 2
               #define BT_STATE_LEXIN_PAIR_BEGIN 3
               #define BT_STATE_LEXIN_PAIR_FAIL 4
               #define BT_STATE_LEXIN_PAIR_SUCESS 5
               #define BT_STATE_LEXIN_PAIR_SAVED 6
               #define BT_STATE_LEXIN_PAIR_NEED 7
               #define BT_STATE_LEXIN_PAIR_ENQUEUE 8
               #define BT_STATE_LEXIN_RECEIVED_WIGHT 9
               #define BT_STATE_LEXIN_RECEIVED_PEDOMETER 10
               #define BT_STATE_LEXIN_UNSURPORT_SENSOR 40
               
               #define BT_SCAN_TYPE_NONE 90
               #define BT_SCAN_TYPE_REQUEST_ALL 91
               //#define BT_SCAN_TYPE_REQUEST_WEIGHT 92
               //#define BT_SCAN_TYPE_REQUEST_PEDOMETER 93
               #define BT_SCAN_TYPE_PAIR 100
               //#define BT_SCAN_TYPE_PAIR_WEIGHT 101
               //#define BT_SCAN_TYPE_PAIR_PEDOMETER 99
**/
               
Lexin.prototype.isPlatformIOS = function(){
  return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
}

Lexin.prototype.error_callback = function(msg){
  console.log("Javascript Callback Error: " + msg)
}

Lexin.prototype.call_native = function(name, args, callback){

  ret = cordova.exec(callback,this.error_callback,'Lexin',name,args);
  return ret;
}

Lexin.prototype.registStateCallback = function(callback){
  try{
      var data=[];
    this.call_native("registStateCallback", data, callback);
  }
  catch(exception){
    console.log(exception);
  }
}

Lexin.prototype.registWeightCallback = function(callback){
    try{
        var data=[];
        this.call_native("registWeightCallback", data, callback);
    }
    catch(exception){
        console.log(exception);
    }
}
               
Lexin.prototype.registPedometerCallback = function(callback){
     try{
         var data=[];
         this.call_native("registPedometerCallback", data, callback);
     }
     catch(exception){
         console.log(exception);
     }
}
               
Lexin.prototype.registPairInfoCallback = function(callback){
     try{
         var data=[];
         this.call_native("registPairInfoCallback", data, callback);
     }
     catch(exception){
         console.log(exception);
     }
}
               
Lexin.prototype.initService = function(callback){
     try{
         var data=[];
         this.call_native("initService", data, callback);
     }
     catch(exception){
         console.log(exception);
     }
}

Lexin.prototype.setUserData = function(data, callback){
    try{
        this.call_native("setUserData", data, callback);
        }
    catch(exception){
        console.log(exception);
    }
}

Lexin.prototype.startPair = function(data, callback){
     try{
         this.call_native("startPair", data, callback);
     }
     catch(exception){
         console.log(exception);
     }
}
               
Lexin.prototype.startRequestAll = function(callback){
     try{
         var data=[];
         this.call_native("startRequestAll", data, callback);
     }
     catch(exception){
         console.log(exception);
     }
}

//android single

//ios  single

if(!window.plugins){
  window.plugins = {};
}

if(!window.plugins.Lexin){
  window.plugins.Lexin = new Lexin();
}

module.exports = new Lexin();

});
