cordova.define("com.seiosoft.phonegap.MobSms.MobSms", function(require, exports, module) { var MobSms = function(){
};

MobSms.prototype.isPlatformIOS = function(){
	return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
}

MobSms.prototype.error_callback = function(msg){
	console.log("Javascript Callback Error: " + msg)
}

MobSms.prototype.call_native = function(name, args, callback){
	ret = cordova.exec(callback,this.error_callback,'MobSms',name,args);
	return ret;
}

MobSms.prototype.registSmsCallback = function(callback){
	try{
	    var data=[];
		this.call_native("registSmsCallback",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}

MobSms.prototype.unregistSmsCallback = function(callback){
	try{
	    var data=[];
		this.call_native("unregistSmsCallback",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}

MobSms.prototype.getVerificationCode = function(phone, callback){
	try{
	    var data=[phone];
		this.call_native("getVerificationCode",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}

MobSms.prototype.submitVerificationCode = function(phone, code, callback){
	try{
	    var data=[phone, code];
		this.call_native("submitVerificationCode",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}
               
//android single
//JPushPlugin.prototype.getNotification = function (callback) {
//  if(device.platform == "Android") {
//    data=[];
//  	this.call_native("getNotification",data,callback);
//  }
//}

//ios  single

if(!window.plugins){
	window.plugins = {};
}

if(!window.plugins.MobSms){
	window.plugins.MobSms = new MobSms();
}

module.exports = new MobSms();

});
