cordova.define("com.seiosoft.phonegap.Yunyue.Yunyue", function(require, exports, module) { var Yunyue = function(){
};
               
Yunyue.prototype.isPlatformIOS = function(){
  return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
}

Yunyue.prototype.error_callback = function(msg){
  console.log("Javascript Callback Error: " + msg)
}

Yunyue.prototype.call_native = function(name, args, callback){

  ret = cordova.exec(callback,this.error_callback,'Yunyue',name,args);
  return ret;
}

Yunyue.prototype.registStateCallback = function(callback){
  try{
      var data=[];
    this.call_native("registStateCallback", data, callback);
  }
  catch(exception){
    console.log(exception);
  }
}

Yunyue.prototype.registWeightCallback = function(callback){
    try{
        var data=[];
        this.call_native("registWeightCallback", data, callback);
    }
    catch(exception){
        console.log(exception);
    }
}
               
Yunyue.prototype.registAllDataCallback = function(callback){
    try{
        var data=[];
        this.call_native("registAllDataCallback", data, callback);
    }
        catch(exception){
            console.log(exception);
    }
}
               
Yunyue.prototype.initService = function(callback){
    try{
        var data=[];
        this.call_native("initService", data, callback);
    }
    catch(exception){
        console.log(exception);
    }
}
               
Yunyue.prototype.setUserDataP9 = function(data, callback){
    try{
        this.call_native("setUserDataP9", data, callback);
        }
    catch(exception){
        console.log(exception);
    }
}
               
Yunyue.prototype.startRequestWeight = function(callback){
    try{
        var data=[];
        this.call_native("startRequestWeight", data, callback);
    }
    catch(exception){
        console.log(exception);
    }
}

Yunyue.prototype.connectStop = function(callback){
    try{
        var data=[];
        this.call_native("connectStop", data, callback);
    }
    catch(exception){
        console.log(exception);
    }
}

//android single

//ios  single

if(!window.plugins){
  window.plugins = {};
}

if(!window.plugins.Yunyue){
  window.plugins.Yunyue = new Yunyue();
}

module.exports = new Yunyue();




});
