﻿Light.Health = function (params) {
    //返回 按钮
    backClick = function (e) {
        if (params.healthBackFlg == 'SportsRecord') {
            Light.app.navigate({ view: 'SportsRecord', recordList: params.recordList, record: params.record, title: params.title, scheduleBackFlg: params.scheduleBackFlg });
        } else if (params.healthBackFlg == 'Schedule') {
            Light.app.navigate({ view: 'Schedule', scheduleBackFlg: params.scheduleBackFlg });
        } else {
            DevExpress.hardwareBackButton.fire();
        }
    };

    //帮助 按钮
    helpClick = function (e) {
        if (viewModel.helpVisible()) {
            viewModel.helpVisible(false);
        } else {
            viewModel.helpVisible(true);
        }
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: Globalize.localize('health-health') },
            { location: 'after', widget: 'button', options: { icon: 'light-help', clickAction: helpClick } },
    ];

    var scanList = [];
    var selectDeviceID = null;
    var normWeight = [];
    var normBMI = [];
    var normBFR = [];
    var maxWeight;
    var maxBMI;
    var maxBFR;
    var maxWATE;
    var maxBONE;
    var maxBMR;
    var maxMUS;
    var maxSFAT;
    var maxINFAT;
    var maxBODYAGE;
    var maxSteps;
    var maxCalorie;
    var maxDistance;
    var normWATER = [];
    var normMUS = [];
    var normSFAT = [];
    var normINFAT = [];
    var normBONE = [];
    var normBMR = [];
    var normBODYAGE = [];
    
    var normSteps = [];
    var normCalorie = [];
    var normDistance = [];
    var weightValue, bmiValue, bfrValue, waterValue, musValue,
        boneValue, bmrValue, sfatValue, infatValue, bodyageValue,
        stepsValue, calorieValue, distanceValue;

    Light.Health.healthSetNoData = function () {
        viewModel.deviceMessage(Globalize.localize('health-deviceMessage_nodata'));
    };

    //云悦plugin 状态取得
    Light.Health.yunyue_PluginState = function () {
        if (selectDeviceID == 0) {
            //alert(Light.HealthPluginData.health_state);
            if (Light.HealthPluginData.health_state == 1) {
                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").removeClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-scaning'));
                setTimeout(function () {
                    //alert("health_state2=" + Light.HealthPluginData.health_state);
                    if (Light.HealthPluginData.health_state == 1 || Light.HealthPluginData.health_state == 3) {
                        window.plugins.Yunyue.connectStop(null);
                        viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-scaning-error'));
                        $("#icon-indicator").addClass("dx-state-invisible");
                        $("#icon-refresh").removeClass("dx-state-invisible");
                    }
                }, 30000);
            } else if (Light.HealthPluginData.health_state == 3) {
                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").removeClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-connect'));
                setTimeout(function () {
                    if (Light.HealthPluginData.health_state == 1 || Light.HealthPluginData.health_state == 3) {
                        window.plugins.Yunyue.connectStop(null);
                        viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-scaning-error'));
                        $("#icon-indicator").addClass("dx-state-invisible");
                        $("#icon-refresh").removeClass("dx-state-invisible");
                    }
                }, 30000);
            } else if (Light.HealthPluginData.health_state == 4) {

                //$("#icon-ok").removeClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").addClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-connect_ok'));

            } else if (Light.HealthPluginData.health_state == 5) {
                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").removeClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-weighting'));

            } else if (Light.HealthPluginData.health_state == 40) {

                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").removeClass("dx-state-invisible");
                $("#icon-indicator").addClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage_no_bluetooth'));
            }
        }
    };

    //云悦plugin 体重秤数据取得
    Light.Health.yunyue_PluginAllData = function () {
        if (selectDeviceID == 0) {
            //$("#icon-ok").removeClass("dx-state-invisible");
            //$("#icon-remove").addClass("dx-state-invisible");
            $("#icon-indicator").addClass("dx-state-invisible");
            $("#icon-refresh").addClass("dx-state-invisible");
            //viewModel.deviceMessage(Globalize.localize('health-deviceMessage-yunyue-connect_ok'));
            if (Light.HealthPluginData.health_BFR < 0
                || Light.HealthPluginData.health_WATER < 0
                || Light.HealthPluginData.health_MUS < 0
                || Light.HealthPluginData.health_BONE < 0
                || Light.HealthPluginData.health_BMR < 0) {
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-weight-error'));
                return;
            } else {
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-measure_ok'));
            }
            //数据表示
            weightValue = Light.HealthPluginData.health_weight;
            bmiValue = Light.HealthPluginData.health_BMI;
            bfrValue = Light.HealthPluginData.health_BFR;
            waterValue = Light.HealthPluginData.health_WATER;
            musValue = Light.HealthPluginData.health_MUS;
            boneValue = Light.HealthPluginData.health_BONE;
            bmrValue = Light.HealthPluginData.health_BMR;
            sfatValue = Light.HealthPluginData.health_SFAT;
            infatValue = Light.HealthPluginData.health_INFAT;
            bodyageValue = Light.HealthPluginData.health_BODYAGE;
            normBONE = Light.action.health.getNormBONE(weightValue);
            normBMR = Light.action.health.getNormBMR(weightValue);
            dataDisplay();

            //数据保存
            saveData();
        }
    };

    //乐心plugin 状态取得
    Light.Health.lexin_PluginState = function () {
        if ((selectDeviceID == 1) || (selectDeviceID == 2)){
            if (Light.HealthPluginData.health_state == 1) {
                //$("#icon-ok").removeClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").addClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                if (selectDeviceID == 1) {
                    viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-connect'));
                } else if (selectDeviceID == 2) {
                    viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-smartband-connect'));
                }

            } else if (Light.HealthPluginData.health_state == 7) {
                //乐心体重秤
                if (selectDeviceID == 1) {
                    //$("#icon-ok").addClass("dx-state-invisible");
                    //$("#icon-remove").removeClass("dx-state-invisible");
                    $("#icon-indicator").addClass("dx-state-invisible");
                    $("#icon-refresh").addClass("dx-state-invisible");
                    viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-pair-nothing'));
                }

            } else if (Light.HealthPluginData.health_state == 8) {
                //乐心计步仪
                if (selectDeviceID == 2) {
                    //$("#icon-ok").addClass("dx-state-invisible");
                    //$("#icon-remove").removeClass("dx-state-invisible");
                    $("#icon-indicator").addClass("dx-state-invisible");
                    $("#icon-refresh").addClass("dx-state-invisible");
                    viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-pair-nothing'));
                }

            } else if (Light.HealthPluginData.health_state == 9) {

                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").addClass("dx-state-invisible");
                $("#icon-indicator").removeClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-measureing'));

            } else if (Light.HealthPluginData.health_state == 40) {

                //$("#icon-ok").addClass("dx-state-invisible");
                //$("#icon-remove").removeClass("dx-state-invisible");
                $("#icon-indicator").addClass("dx-state-invisible");
                $("#icon-refresh").addClass("dx-state-invisible");
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage_no_bluetooth'));
            }
        }
    };

    //乐心plugin 体重秤数据取得
    Light.Health.lexin_PluginWeight = function () {
        if (selectDeviceID == 1) {
            //$("#icon-ok").removeClass("dx-state-invisible");
            //$("#icon-remove").addClass("dx-state-invisible");
            $("#icon-indicator").addClass("dx-state-invisible");
            $("#icon-refresh").addClass("dx-state-invisible");
            /*
            alert("health_BFR=" + Light.HealthPluginData.health_BFR);
            alert("health_WATER=" + Light.HealthPluginData.health_WATER);
            alert("health_MUS=" + Light.HealthPluginData.health_MUS);
            alert("health_BONE=" + Light.HealthPluginData.health_BONE);
            alert("health_BMR=" + Light.HealthPluginData.health_BMR);
            */
            if (Light.HealthPluginData.health_BFR < 0
                || Light.HealthPluginData.health_WATER < 0
                || Light.HealthPluginData.health_MUS < 0
                || Light.HealthPluginData.health_BONE < 0
                || Light.HealthPluginData.health_BMR < 0) {
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-weight-error'));
                return;
            } else {
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-measure_ok'));
            }
            //数据表示
            weightValue = Light.HealthPluginData.health_weight;
            bmiValue = Light.HealthPluginData.health_BMI;
            bfrValue = Light.HealthPluginData.health_BFR;
            waterValue = Light.HealthPluginData.health_WATER;
            musValue = Light.HealthPluginData.health_MUS;
            boneValue = Light.HealthPluginData.health_BONE;
            boneValue = Globalize.parseFloat(Globalize.format(boneValue / weightValue * 100, "n1"));
            bmrValue = Light.HealthPluginData.health_BMR;
            normBONE = Light.action.health.getNormBONE(weightValue);
            normBMR = Light.action.health.getNormBMR(weightValue);
            dataDisplay();

            //数据保存
            saveData();
        }
        
    };

    //乐心plugin 步数仪数据保存
    Light.Health.lexin_PluginPedometerSaveDate = function () {
        if (selectDeviceID == 2) {
            //数据保存
            saveData();
        }
    };

    //乐心plugin 步数仪数据表示
    Light.Health.lexin_PluginPedometer = function () {
        if (selectDeviceID == 2) {
            //$("#icon-ok").removeClass("dx-state-invisible");
            //$("#icon-remove").addClass("dx-state-invisible");
            $("#icon-indicator").addClass("dx-state-invisible");
            $("#icon-refresh").addClass("dx-state-invisible");
            //viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-measure_ok'));
            viewModel.deviceMessage(Globalize.localize('health-deviceMessage-lexin-smartband-measure_ok'));

            //数据表示
            stepsValue = Light.HealthPluginData.health_steps;
            calorieValue = Light.HealthPluginData.health_calorie;
            distanceValue = Light.HealthPluginData.health_distance;
            dataDisplay();
        }
    };
    //没有设备的时候 显示前一次的数据（体重+步数）
    function showhealthLastData() {
        viewModel.bathroomScaleVisible(true);
        viewModel.pedometerVisible(true);
        weightValue = Light.rtdata.health_last_weight_weight;
        bmiValue = Light.rtdata.health_last_weight_bmi;
        bfrValue = Light.rtdata.health_last_weight_bfr;
        waterValue = Light.rtdata.health_last_weight_water;
        musValue = Light.rtdata.health_last_weight_mus;
        boneValue = Light.rtdata.health_last_weight_bone;
        bmrValue = Light.rtdata.health_last_weight_bmr;
        sfatValue = Light.rtdata.health_last_weight_sfat;
        infatValue = Light.rtdata.health_last_weight_infat;
        bodyageValue = Light.rtdata.health_last_weight_bodyage;
        stepsValue = Light.rtdata.health_last_pedometer_step;
        calorieValue = Light.rtdata.health_last_pedometer_calorie;
        distanceValue = Light.rtdata.health_last_pedometer_course;
        //画面表示
        dataInit();
        //数据表示
        dataDisplay();
    };

    //数据保存
    function saveData() {

        switch (selectDeviceID) {
            case 0:
                // 云悦体重秤
                Light.action.weight.addRecord(
                    Light.HealthPluginData.health_weight,
                    Light.HealthPluginData.health_BMI,
                    Light.HealthPluginData.health_BFR,
                    Light.HealthPluginData.health_WATER,
                    Light.HealthPluginData.health_MUS,
                    Light.HealthPluginData.health_BONE,
                    Light.HealthPluginData.health_BMR,
                    Light.HealthPluginData.health_SFAT,
                    Light.HealthPluginData.health_INFAT,
                    Light.HealthPluginData.health_BODYAGE);
                Light.action.coin.record(4, function () { }, function () { });
                break;

            case 1:
                // 乐心体重秤
                var boneValueTmp = Light.HealthPluginData.health_BONE;
                var weightValueTmp = Light.HealthPluginData.health_weight;
                var boneValueSave = Globalize.parseFloat(Globalize.format(boneValueTmp / weightValueTmp * 100, "n1"))
                Light.action.weight.addRecord(
                    Light.HealthPluginData.health_weight,
                    Light.HealthPluginData.health_BMI,
                    Light.HealthPluginData.health_BFR,
                    Light.HealthPluginData.health_WATER,
                    Light.HealthPluginData.health_MUS,
                    boneValueSave,
                    Light.HealthPluginData.health_BMR,
                    Light.HealthPluginData.health_SFAT,
                    Light.HealthPluginData.health_INFAT,
                    Light.HealthPluginData.health_BODYAGE);
                break;

            case 2:
                // 乐心步数仪
                // 乐心步数仪
                if (Light.HealthPluginData.health_date == Light.rtdata.health_last_pedometer_date
                    && (Globalize.parseInt(Light.HealthPluginData.health_time) <= Light.rtdata.health_last_pedometer_time
                    || Light.HealthPluginData.health_steps <= Light.rtdata.health_last_pedometer_step))
                {
                    //do nothing
                } else {
                    Light.action.setting.saveLastPedometer(
                        Light.HealthPluginData.health_steps, 
                        Light.HealthPluginData.health_calorie,
                        Light.HealthPluginData.health_distance,
                        Light.HealthPluginData.health_exerciseTime,
                        Light.HealthPluginData.health_date,
                        Globalize.parseInt(Light.HealthPluginData.health_time));
                    Light.action.pedometer.addRecord(
                                                     Light.HealthPluginData.health_date,
                                                     Globalize.parseInt(Light.HealthPluginData.health_time),
                                                     Globalize.parseInt(Light.HealthPluginData.health_steps),
                                                     Light.HealthPluginData.health_calorie,
                                                     Light.HealthPluginData.health_distance,
                                                     Light.HealthPluginData.health_exerciseTime);                    
                }
        }
    };
    Light.Health.showCurrentCalorie = function () {
        var nowDate = Light.tool.getDate();
        var doneCalorie = function (rt) {
            var baseCalorie = Light.action.health.getDefaultCalorie();
            var outputCalorie = rt.output;
            if (rt.output && rt.output != 0) {
                outputCalorie = rt.output - baseCalorie;
            }
            viewModel.calorieInput(rt.input);
            viewModel.calorieOutput(outputCalorie);
            var objCalorieInput = $("#calorieInput")[0];
            var objCalorieOutput = $("#calorieOutput")[0];
            objCalorieInput.textContent = Globalize.format(viewModel.calorieInput(), "d") + "/" + Globalize.format(viewModel.caloriePlanInput(), "d");
            objCalorieOutput.textContent = Globalize.format(viewModel.calorieOutput(), "d") + "/" + Globalize.format(viewModel.caloriePlanOutput(), "d");
        };

        Light.action.calorie.getByDate(nowDate, doneCalorie);
    };

    //健康数据初期数据表示
    function dataInit() {
        normWeight = [];
        normBMI = [];
        normBFR = [];
        normWATER = [];
        normMUS = [];
        normBONE = [];
        normBMR = [];
       
        //体重秤初期数据取得
        if (viewModel.bathroomScaleVisible()) {
            
            normWeight = Light.action.health.getNormWeight();
            normBMI = Light.action.health.getNormBMI();
            normBFR = Light.action.health.getNormBFR();
            maxWeight = Light.action.health.getMaxWeight();
            maxBMI = Light.action.health.getMaxBMI();
            maxBFR = Light.action.health.getMaxBFR();
            maxWATE = Light.action.health.getMaxWATER();
            maxMUS = Light.action.health.getMaxMUS();
            maxBMR = Light.action.health.getMaxBMR();
            maxSFAT = Light.action.health.getMaxSfat();
            maxINFAT = Light.action.health.getMaxInfat();
            maxBODYAGE = Light.action.health.getMaxBODYAGE();
            normINFAT = Light.action.health.getNormInfat();
            normSFAT = Light.action.health.getNormSfat();
            normWATER = Light.action.health.getNormWATER();
            normMUS = Light.action.health.getNormMUS();
            normBONE = Light.action.health.getNormBONE(Light.rtdata.health_last_weight_weight);
            maxBONE = Light.action.health.getMaxBONE(Light.rtdata.health_last_weight_weight);
            normBMR = Light.action.health.getNormBMR(Light.rtdata.health_last_weight_weight);

            viewModel.txt_weight_num_25(normWeight[0]);
            viewModel.txt_weight_num_50(normWeight[1]);
            viewModel.txt_weight_num_75(normWeight[2]);

            viewModel.txt_bmi_num_25(normBMI[0]);
            viewModel.txt_bmi_num_50(normBMI[1]);
            viewModel.txt_bmi_num_75(normBMI[2]);

            viewModel.txt_bfr_num_25(normBFR[0]);
            viewModel.txt_bfr_num_50(normBFR[1]);
            viewModel.txt_bfr_num_75(normBFR[2]);

            //txt_water_num_25
            viewModel.txt_water_num_33(normWATER[0]);
            viewModel.txt_water_num_67(normWATER[1]);

            viewModel.txt_muscle_num_33(normMUS[0]);
            viewModel.txt_muscle_num_67(normMUS[1]);

            viewModel.txt_sfat_num_33(normSFAT[0]);
            viewModel.txt_sfat_num_67(normSFAT[1]);

            viewModel.txt_infat_num_33(normINFAT[0]);
            viewModel.txt_infat_num_67(normINFAT[1]);

            viewModel.txt_bone_num_33(normBONE[0]);
            viewModel.txt_bone_num_67(normBONE[1]);

            viewModel.txt_bodyage_num_50(Light.rtdata.common_age);

            viewModel.txt_bmr_num_50(normBMR[0]);
        }

        //步数仪初期数据取得
        if (viewModel.pedometerVisible()) {
            viewModel.txt_steps_num_50(Light.config.healthSteps);
            viewModel.txt_calorie_num_50(Light.config.healthCalorie);
            var distance = Globalize.format(Light.action.health.getDistance(Light.config.healthSteps), "d");
            viewModel.txt_distance_num_50(distance);

            normSteps = [viewModel.txt_steps_num_50()];
            normCalorie = [viewModel.txt_calorie_num_50()];
            normDistance = [viewModel.txt_distance_num_50()];

            maxSteps = Light.action.health.getMaxSteps();
            maxCalorie = Light.action.health.getMaxCalorie();
            maxDistance = Light.action.health.getMaxDistance();
        }
    };

    function initdata() {
        if (viewModel.bathroomScaleVisible()) {

            viewModel.color1_weightVisible(false);
            viewModel.color2_weightVisible(false);
            viewModel.color3_weightVisible(false);
            viewModel.color4_weightVisible(false);

            viewModel.color1_bmiVisible(false);
            viewModel.color2_bmiVisible(false);
            viewModel.color3_bmiVisible(false);
            viewModel.color4_bmiVisible(false);

            viewModel.color1_bfrVisible(false);
            viewModel.color2_bfrVisible(false);
            viewModel.color3_bfrVisible(false);
            viewModel.color4_bfrVisible(false);

            viewModel.color1_waterVisible(false);
            viewModel.color2_waterVisible(false);
            viewModel.color3_waterVisible(false);

            viewModel.color1_boneVisible(false);
            viewModel.color2_boneVisible(false);
            viewModel.color3_boneVisible(false);

            viewModel.color1_muscleVisible(false);
            viewModel.color2_muscleVisible(false);
            viewModel.color3_muscleVisible(false);

            viewModel.color1_sfatVisible(false);
            viewModel.color2_sfatVisible(false);
            viewModel.color3_sfatVisible(false);

            viewModel.color1_infatVisible(false);
            viewModel.color2_infatVisible(false);
            viewModel.color3_infatVisible(false);

            viewModel.color1_bodyageVisible(false);
            viewModel.color2_bodyageVisible(false);

            viewModel.color1_bmrVisible(false);
            viewModel.color2_bmrVisible(false);
        }

        if (viewModel.pedometerVisible()) {
            viewModel.color1_stepsVisible(false);
            viewModel.color2_stepsVisible(false);

            viewModel.color1_calorieVisible(false);
            viewModel.color2_calorieVisible(false);

            viewModel.color1_distanceVisible(false);
            viewModel.color2_distanceVisible(false);
        }
    }

    //健康数据读取（plugin）
    function dataDisplay() {
        var percent;
        //体重秤数据取得
        if (viewModel.bathroomScaleVisible()) {
            //if (weightValue == 0) {
            ////    initdata();
            //    return;
            //}
            //alert(weightValue + ";normWeight[0]=" + normWeight[0] + ";normWeight[1]=" + normWeight[1] + ";normWeight[2]=" + normWeight[2]);

            //体重表示
            viewModel.txt_weight(Globalize.parseFloat(Globalize.format(weightValue, "n1")));
            viewModel.color1_weightVisible(false);
            viewModel.color2_weightVisible(false);
            viewModel.color3_weightVisible(false);
            viewModel.color4_weightVisible(false);
            if (weightValue <= normWeight[0]) {
                //偏瘦
                percent = Globalize.format(weightValue / normWeight[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_weight(percent);
                viewModel.color1_weightVisible(true);
                viewModel.healthMessage(Globalize.localize('health-weight-warnMessage-low'));

            } else if ((weightValue > normWeight[0]) && (weightValue <= normWeight[1])) {
                //标准
                percent = Globalize.format((weightValue - normWeight[0]) / (normWeight[1] - normWeight[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_weight(percent);
                viewModel.color2_weightVisible(true);
                viewModel.healthMessage(Globalize.localize('health-weight-warnMessage-normal'));

            } else if ((weightValue > normWeight[1]) && (weightValue <= normWeight[2])) {
                //偏胖
                percent = Globalize.format((weightValue - normWeight[1]) / (normWeight[2] - normWeight[1]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_weight(percent);
                viewModel.color3_weightVisible(true);
                viewModel.healthMessage(Globalize.localize('health-weight-warnMessage-high'));

            } else if (weightValue > normWeight[2]) {
                //肥胖
                if (weightValue < maxWeight) {
                    percent = Globalize.format((weightValue - normWeight[2]) / (maxWeight - normWeight[2]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_weight(percent);
                } else {
                    viewModel.style_weight("100%");
                }
                viewModel.color4_weightVisible(true);
                viewModel.healthMessage(Globalize.localize('health-weight-warnMessage-fat'));
            }

            //BMI表示
            viewModel.txt_bmi(Globalize.parseFloat(Globalize.format(bmiValue, "n1")));
            viewModel.color1_bmiVisible(false);
            viewModel.color2_bmiVisible(false);
            viewModel.color3_bmiVisible(false);
            viewModel.color4_bmiVisible(false);
            if (bmiValue <= normBMI[0]) {
                //偏瘦
                percent = Globalize.format(bmiValue / normBMI[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bmi(percent);
                viewModel.color1_bmiVisible(true);

            } else if ((bmiValue > normBMI[0]) && (bmiValue <= normBMI[1])) {
                //标准
                percent = Globalize.format((bmiValue - normBMI[0]) / (normBMI[1] - normBMI[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bmi(percent);
                viewModel.color2_bmiVisible(true);

            } else if ((bmiValue > normBMI[1]) && (bmiValue <= normBMI[2])) {
                //偏胖
                percent = Globalize.format((bmiValue - normBMI[1]) / (normBMI[2] - normBMI[1]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bmi(percent);
                viewModel.color3_bmiVisible(true);

            } else if (bmiValue > normBMI[2]) {
                //肥胖
                if (bmiValue < maxBMI) {
                    percent = Globalize.format((bmiValue - normBMI[2]) / (maxBMI - normBMI[2]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_bmi(percent);
                } else {
                    viewModel.style_bmi("100%");
                }
                viewModel.color4_bmiVisible(true);
            }

            //体脂率
            viewModel.txt_bfr(Globalize.parseFloat(Globalize.format(bfrValue, "n1")));
            viewModel.color1_bfrVisible(false);
            viewModel.color2_bfrVisible(false);
            viewModel.color3_bfrVisible(false);
            viewModel.color4_bfrVisible(false);
            
            if (bfrValue <= normBFR[0]) {
                //偏瘦
                percent = Globalize.format(bfrValue / normBFR[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bfr(percent);
                viewModel.color1_bfrVisible(true);

            } else if ((bfrValue > normBFR[0]) && (bfrValue <= normBFR[1])) {
                //标准
                percent = Globalize.format((bfrValue - normBFR[0]) / (normBFR[1] - normBFR[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bfr(percent);
                viewModel.color2_bfrVisible(true);

            } else if ((bfrValue > normBFR[1]) && (bfrValue <= normBFR[2])) {
                //偏胖
                percent = Globalize.format((bfrValue - normBFR[1]) / (normBFR[2] - normBFR[1]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bfr(percent);
                viewModel.color3_bfrVisible(true);

            } else if (bfrValue > normBFR[2]) {
                //肥胖
                if (bfrValue < maxBFR) {
                    percent = Globalize.format((bfrValue - normBFR[2]) / (maxBFR - normBFR[2]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_bfr(percent);
                } else {
                    viewModel.style_bfr("100%");
                }
                viewModel.color4_bfrVisible(true);
            }

            //水含量
            viewModel.txt_water(Globalize.parseFloat(Globalize.format(waterValue, "n1")));
            viewModel.color1_waterVisible(false);
            viewModel.color2_waterVisible(false);
            viewModel.color3_waterVisible(false);
            //maxWATE
            if (waterValue <= normWATER[0]) {
                //偏低
                percent = Globalize.format(waterValue / normWATER[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_water(percent);
                viewModel.color1_waterVisible(true);
            } else if (waterValue > normWATER[1]) {
                //偏高
                if (waterValue < maxWATE) {
                    percent = Globalize.format((waterValue - normWATER[1]) / (maxWATE - normWATER[1]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_water(percent);
                } else {
                    viewModel.style_water("100%");
                }
                viewModel.color3_waterVisible(true);
            } else {
                //标准
                percent = Globalize.format((waterValue - normWATER[0]) / (normWATER[1] - normWATER[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_water(percent);
                viewModel.color2_waterVisible(true);
            }

            //骨骼
            viewModel.txt_bone(Globalize.parseFloat(Globalize.format(boneValue, "n1")));
            viewModel.color1_boneVisible(false);
            viewModel.color2_boneVisible(false);
            viewModel.color3_boneVisible(false);
            if (boneValue < normBONE[0]) {
                //偏低
                percent = Globalize.format(boneValue / normBONE[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bone(percent);
                viewModel.color1_boneVisible(true);
            } else if (boneValue > normBONE[1]) {
                //偏高
                if (boneValue < maxBONE) {
                    percent = Globalize.format((boneValue - normBONE[1]) / (maxBONE - normBONE[1]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_bone(percent);
                } else {
                    viewModel.style_bone("100%");
                }
                viewModel.color3_boneVisible(true);
            } else {
                //标准
                percent = Globalize.format((boneValue - normBONE[0]) / (normBONE[1] - normBONE[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bone(percent);
                viewModel.color2_boneVisible(true);
            }

            //肌肉
            viewModel.txt_muscle(Globalize.parseFloat(Globalize.format(musValue, "n1")));
            viewModel.color1_muscleVisible(false);
            viewModel.color2_muscleVisible(false);
            viewModel.color3_muscleVisible(false);

            if (musValue < normMUS[0]) {
                //偏低
                percent = Globalize.format(musValue / normMUS[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_muscle(percent);
                viewModel.color1_muscleVisible(true);
            } else if (musValue > normMUS[1]) {
                //偏高
                if (musValue < maxMUS) {
                    percent = Globalize.format((musValue - normMUS[1]) / (maxMUS - normMUS[1]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_muscle(percent);
                } else {
                    viewModel.style_muscle("100%");
                }
                viewModel.color3_muscleVisible(true);
            } else {
                //标准
                percent = Globalize.format((musValue - normMUS[0]) / (normMUS[1] - normMUS[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_muscle(percent);
                viewModel.color2_muscleVisible(true);
            }

            //皮下脂肪
            viewModel.txt_sfat(Globalize.parseFloat(Globalize.format(sfatValue, "n1")));
            viewModel.color1_sfatVisible(false);
            viewModel.color2_sfatVisible(false);
            viewModel.color3_sfatVisible(false);

            if (sfatValue < normSFAT[0]) {
                //偏低
                percent = Globalize.format(sfatValue / normSFAT[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_sfat(percent);
                viewModel.color1_sfatVisible(true);
            } else if (sfatValue > normSFAT[1]) {
                //偏高
                if (sfatValue < maxSFAT) {
                    percent = Globalize.format((sfatValue - normSFAT[1]) / (maxSFAT - normSFAT[1]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_sfat(percent);
                } else {
                    viewModel.style_sfat("100%");
                }
                viewModel.color3_sfatVisible(true);
            } else {
                //标准
                percent = Globalize.format((sfatValue - normSFAT[0]) / (normSFAT[1] - normSFAT[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_sfat(percent);
                viewModel.color2_sfatVisible(true);
            }

            //内脏脂肪
            viewModel.txt_infat(Globalize.parseFloat(Globalize.format(infatValue, "n1")));
            viewModel.color1_infatVisible(false);
            viewModel.color2_infatVisible(false);
            viewModel.color3_infatVisible(false);

            if (infatValue < normINFAT[0]) {
                //偏低
                percent = Globalize.format(infatValue / normINFAT[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_infat(percent);
                viewModel.color1_infatVisible(true);
            } else if (infatValue > normINFAT[1]) {
                //偏高
                if (infatValue < maxINFAT) {
                    percent = Globalize.format((infatValue - normINFAT[1]) / (maxINFAT - normINFAT[1]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_infat(percent);
                } else {
                    viewModel.style_infat("100%");
                }
                viewModel.color3_infatVisible(true);
            } else {
                //标准
                percent = Globalize.format((infatValue - normINFAT[0]) / (normINFAT[1] - normINFAT[0]), "p0");
                percent = percent.replace(" ", "");
                viewModel.style_infat(percent);
                viewModel.color2_infatVisible(true);
            }
            //            viewModel.color1_bodyageVisible(false);
            // viewModel.color2_bodyageVisible(false);

            //身体年龄 bodyage
            viewModel.txt_bodyage(Globalize.format(bodyageValue, "d"));
            viewModel.color1_bodyageVisible(false);
            viewModel.color2_bodyageVisible(false);
            var age = Light.rtdata.common_age;
            if (bodyageValue < age) {
                //未达标
                percent = Globalize.format(bodyageValue / age, "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bodyage(percent);
                viewModel.color1_bodyageVisible(true);
            } else {
                //达标
                if (bodyageValue < maxBODYAGE) {
                    percent = Globalize.format((bodyageValue - age) / (maxBODYAGE - age), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_bodyage(percent);
                } else {
                    viewModel.style_bodyage("100%");
                }
                viewModel.color2_bodyageVisible(true);
            }

            //基础代谢率BMR
            viewModel.txt_bmr(Globalize.format(bmrValue, "d"));
            viewModel.color1_bmrVisible(false);
            viewModel.color2_bmrVisible(false);
            if (bmrValue < normBMR[0]) {
                //未达标
                percent = Globalize.format(bmrValue / normBMR[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_bmr(percent);
                viewModel.color1_bmrVisible(true);
            }else {
                //达标
                if (bmrValue < maxBMR) {
                    percent = Globalize.format((bmrValue - normBMR[0]) / (maxBMR - normBMR[0]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_bmr(percent); 
                } else {
                    viewModel.style_bmr("100%");
                }
                viewModel.color2_bmrVisible(true);
            }
        }

        //步数仪数据取得
        if (viewModel.pedometerVisible()) {
            //setTimeout(function () {
            //    showCurrentCalorie();
            //}, 10000);
            //步数
            viewModel.txt_steps(Globalize.format(stepsValue, "d"));
            viewModel.color1_stepsVisible(false);
            viewModel.color2_stepsVisible(false);
            if (stepsValue <= normSteps[0]) {
                //未达标
                percent = Globalize.format(stepsValue / normSteps[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_steps(percent);
                viewModel.color1_stepsVisible(true);
                //viewModel.healthMessage(Globalize.localize('health-sport-warnMessage-miss'));

            } else {
                //达标
                if (stepsValue < maxSteps) {
                    percent = Globalize.format((stepsValue - normSteps[0]) / (maxSteps - normSteps[0]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_steps(percent);
                } else {
                    viewModel.style_steps("100%");
                }
                viewModel.color2_stepsVisible(true);
                //viewModel.healthMessage(Globalize.localize('health-sport-warnMessage-complete'));
            }

            //卡路里
            viewModel.txt_calorie(Globalize.format(calorieValue, "d"));
            viewModel.color1_calorieVisible(false);
            viewModel.color2_calorieVisible(false);
            if (calorieValue <= normCalorie[0]) {
                //未达标
                percent = Globalize.format(calorieValue / normCalorie[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_calorie(percent);
                viewModel.color1_calorieVisible(true);

            } else {
                //达标
                if (calorieValue < maxCalorie) {
                    percent = Globalize.format((calorieValue - normCalorie[0]) / (maxCalorie - normCalorie[0]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_calorie(percent);
                } else {
                    viewModel.style_calorie("100%");
                }
                viewModel.color2_calorieVisible(true);
            }

            //距离
            viewModel.txt_distance(Globalize.format(distanceValue, "d"));
            viewModel.color1_distanceVisible(false);
            viewModel.color2_distanceVisible(false);
            if (distanceValue <= normDistance[0]) {
                //未达标
                percent = Globalize.format(distanceValue / normDistance[0], "p0");
                percent = percent.replace(" ", "");
                viewModel.style_distance(percent);
                viewModel.color1_distanceVisible(true);

            } else {
                //达标
                if (distanceValue < maxDistance) {
                    percent = Globalize.format((distanceValue - normDistance[0]) / (maxDistance - normDistance[0]), "p0");
                    percent = percent.replace(" ", "");
                    viewModel.style_distance(percent);
                } else {
                    viewModel.style_distance("100%");
                }
                viewModel.color2_distanceVisible(true);
            }
        }

    };

    //开始扫描（plugin）
    function startSacn() {
        //画面init
        //体重秤
        viewModel.txt_weight(0);
        viewModel.style_weight('');
        viewModel.color1_weightVisible(false);
        viewModel.color2_weightVisible(false);
        viewModel.color3_weightVisible(false);
        viewModel.color4_weightVisible(false);

        viewModel.txt_bmi(0);
        viewModel.style_bmi('');
        viewModel.color1_bmiVisible(false);
        viewModel.color2_bmiVisible(false);
        viewModel.color3_bmiVisible(false);
        viewModel.color4_bmiVisible(false);

        viewModel.txt_bfr(0);
        viewModel.style_bfr('');
        viewModel.color1_bfrVisible(false);
        viewModel.color2_bfrVisible(false);
        viewModel.color3_bfrVisible(false);
        viewModel.color4_bfrVisible(false);

        viewModel.txt_water(0);
        viewModel.style_water('');
        viewModel.color1_waterVisible(false);
        viewModel.color2_waterVisible(false);
        viewModel.color3_waterVisible(false);

        viewModel.txt_bone(0);
        viewModel.style_bone('');
        viewModel.color1_boneVisible(false);
        viewModel.color2_boneVisible(false);
        viewModel.color3_boneVisible(false);

        viewModel.txt_muscle(0);
        viewModel.style_muscle('');
        viewModel.color1_muscleVisible(false);
        viewModel.color2_muscleVisible(false);
        viewModel.color3_muscleVisible(false);

        viewModel.txt_sfat(0);
        viewModel.style_sfat('');
        viewModel.color1_sfatVisible(false);
        viewModel.color2_sfatVisible(false);
        viewModel.color3_sfatVisible(false);

        viewModel.txt_infat(0);
        viewModel.style_infat('');
        viewModel.color1_infatVisible(false);
        viewModel.color2_infatVisible(false);
        viewModel.color3_infatVisible(false);

        viewModel.txt_bodyage(0);
        viewModel.style_bodyage('');
        viewModel.color1_bodyageVisible(false);
        viewModel.color2_bodyageVisible(false);

        viewModel.txt_bmr(0);
        viewModel.style_bmr('');
        viewModel.color1_bmrVisible(false);
        viewModel.color2_bmrVisible(false);

        //步数仪
        viewModel.txt_steps(0);
        viewModel.style_steps('');
        viewModel.color1_stepsVisible(false);
        viewModel.color2_stepsVisible(false);

        viewModel.txt_calorie(0);
        viewModel.style_calorie('');
        viewModel.color1_calorieVisible(false);
        viewModel.color2_calorieVisible(false);

        viewModel.txt_distance(0);
        viewModel.style_distance('');
        viewModel.color1_distanceVisible(false);
        viewModel.color2_distanceVisible(false);

        //设备扫描
        //$("#icon-ok").addClass("dx-state-invisible");
        //$("#icon-remove").addClass("dx-state-invisible");
        $("#icon-indicator").removeClass("dx-state-invisible");
        $("#icon-refresh").addClass("dx-state-invisible");
        //viewModel.healthMessage('');
        viewModel.deviceMessage(Globalize.localize('health-deviceMessage-scaning'));
        //alert("selectDeviceID=" + selectDeviceID);

        var sex = Light.rtdata.common_sex;
        if (sex == 0) {
            sex = 2;
        }

        //plugin 设备连接
        switch (selectDeviceID) {
            case 0:
                // 云悦体重秤
                if (window.plugins && window.plugins.Yunyue) {
                    window.plugins.Yunyue.setUserDataP9([Light.rtdata.common_height, Light.rtdata.common_age, Light.rtdata.common_sex]);
                    window.plugins.Yunyue.startRequestWeight(null);
                    Light.HealthPluginData.health_yunyue_onState();
                    Light.HealthPluginData.health_yunyue_onAllData();
                }
                break;

            case 1:
                if (window.plugins && window.plugins.Yunyue) {
                    window.plugins.Yunyue.connectStop(null);
                }
                // 乐心体重秤
                if (window.plugins && window.plugins.Lexin) {
                    window.plugins.Lexin.setUserData([Light.rtdata.common_height / 100, Light.rtdata.common_age, sex, Light.tool.getStandardDate(Light.rtdata.common_birth)]);
                    window.plugins.Lexin.startRequestAll(null);
                    Light.HealthPluginData.health_lexin_onState();
                    Light.HealthPluginData.health_lexin_onWeight();
                }
                break;

            case 2:
                if (window.plugins && window.plugins.Yunyue) {
                    window.plugins.Yunyue.connectStop(null);
                }
                // 乐心步数仪
                if (window.plugins && window.plugins.Lexin) {
                    window.plugins.Lexin.setUserData([Light.rtdata.common_height / 100, Light.rtdata.common_age, sex, Light.tool.getStandardDate(Light.rtdata.common_birth)]);
                    window.plugins.Lexin.startRequestAll(null);
                    Light.HealthPluginData.health_lexin_onState();
                    Light.HealthPluginData.health_lexin_onPedometer();
                }
                break;
        }

        //数据表示
        //weightValue = Light.HealthPluginData.health_weight;
        //bmiValue = Light.HealthPluginData.health_BMI;
        //bfrValue = Light.HealthPluginData.health_BFR;
        //waterValue = Light.HealthPluginData.health_WATER;
        //musValue = Light.HealthPluginData.health_MUS;
        //boneValue = Light.HealthPluginData.health_BONE;
        //bmrValue = Light.HealthPluginData.health_BMR;
        //dataDisplay();
    };

    //健康设备数据表示
    function showSelectDeviceData(flg) {
        //$("#icon-ok").addClass("dx-state-invisible");
        //$("#icon-remove").addClass("dx-state-invisible");
        $("#icon-indicator").addClass("dx-state-invisible");
        $("#icon-refresh").removeClass("dx-state-invisible");
        switch (flg) {
            case 0:
                //viewModel.healthMessage('');
                viewModel.deviceName(Globalize.localize('health-yunyueWeight'));
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-scan'));
                viewModel.bathroomScaleVisible(true);
                viewModel.pedometerVisible(false);

                weightValue = Light.rtdata.health_last_weight_weight;
                bmiValue = Light.rtdata.health_last_weight_bmi;
                bfrValue = Light.rtdata.health_last_weight_bfr;
                waterValue = Light.rtdata.health_last_weight_water;
                musValue = Light.rtdata.health_last_weight_mus;
                boneValue = Light.rtdata.health_last_weight_bone;
                bmrValue = Light.rtdata.health_last_weight_bmr;
                sfatValue = Light.rtdata.health_last_weight_sfat;
                infatValue = Light.rtdata.health_last_weight_infat;
                bodyageValue = Light.rtdata.health_last_weight_bodyage;
                break;
            case 1:
                //viewModel.healthMessage('');
                viewModel.deviceName(Globalize.localize('health-lexinWeight'));
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-scan'));
                viewModel.bathroomScaleVisible(true);
                viewModel.pedometerVisible(false);
                weightValue = Light.rtdata.health_last_weight_weight;
                bmiValue = Light.rtdata.health_last_weight_bmi;
                bfrValue = Light.rtdata.health_last_weight_bfr;
                waterValue = Light.rtdata.health_last_weight_water;
                musValue = Light.rtdata.health_last_weight_mus;
                boneValue = Light.rtdata.health_last_weight_bone;
                bmrValue = Light.rtdata.health_last_weight_bmr;
                break;
            case 2:
                //viewModel.healthMessage('');
                viewModel.deviceName(Globalize.localize('health-lexinPedometer'));
                viewModel.deviceMessage(Globalize.localize('health-deviceMessage-scan'));
                viewModel.bathroomScaleVisible(false);
                viewModel.pedometerVisible(true);

                stepsValue = Light.rtdata.health_last_pedometer_step;
                calorieValue = Light.rtdata.health_last_pedometer_calorie;
                distanceValue = Light.rtdata.health_last_pedometer_course;
                break;
        }

        //画面表示
        dataInit();
        //数据表示
        dataDisplay();

    };
    //选择健康设备
    function selectDevice() {
        var hasEquipment = false;
        if (scanList.length > 0) {
            //扫描到设备
            if (viewModel.actionKbn() == 2) {
                for (i = 0; i < scanList.length; i++) {
                    if (scanList[i].id == 0 || scanList[i].id == 1) {
                        selectDeviceID = scanList[i].id;
                        hasEquipment = true;
                    }
                }
            } else if (viewModel.actionKbn() == 1) {
                for (i = 0; i < scanList.length; i++) {
                    if (scanList[i].id == 2 || scanList[i].id == 1) {
                        selectDeviceID = scanList[i].id;
                        hasEquipment = true;
                    }
                }
            } else {
                for (i = 0; i < scanList.length; i++) {
                    if (scanList[i].id == Light.rtdata.health_last_equipment - 1) {
                        selectDeviceID = scanList[i].id;
                        hasEquipment = true;
                    }
                }
            }
        }
        if (hasEquipment == true) {
            $("#selectBox").data("dxSelectBox").option("value", selectDeviceID);
            Light.action.setting.saveLastEquipmentIndex(selectDeviceID + 1);
            //设备数据表示
            $("#devicemessage").removeClass("dx-state-invisible");
            //$("#nodevice").addClass("dx-state-invisible");
            showSelectDeviceData(selectDeviceID);
        } else {
            showhealthLastData();
            $("#selectBox").data("dxSelectBox").option("value", "");
            viewModel.deviceName('');
            $("#icon-indicator").addClass("dx-state-invisible");
            $("#icon-refresh").addClass("dx-state-invisible");
            $("#devicemessage").addClass("dx-state-invisible");
            //$("#nodevice").removeClass("dx-state-invisible");
            if (viewModel.actionKbn() == 2) {
                viewModel.bathroomScaleVisible(true);
                viewModel.pedometerVisible(false);
            } else if (viewModel.actionKbn() == 1) {
                viewModel.bathroomScaleVisible(false);
                viewModel.pedometerVisible(true);
            }
        }
    };

    //选择健康设备
    function selectDevicebak() {
        var hasEquipment = false;
        if (scanList.length > 0) {
            //扫描到设备
            selectDeviceID = -1;
            for (i = 0; i < scanList.length; i++) {
                if (scanList[i].id == Light.rtdata.health_last_equipment - 1) {
                    selectDeviceID = scanList[i].id;
                }
            }

            if (selectDeviceID == -1) {
                if (viewModel.actionKbn() == 2) {
                    for (i = 0; i < scanList.length; i++) {
                        if (scanList[i].id == 0 || scanList[i].id == 1) {
                            selectDeviceID = scanList[i].id;
                            hasEquipment = true;
                        }
                    }
                } else if (viewModel.actionKbn() == 1) {
                    for (i = 0; i < scanList.length; i++) {
                        if (scanList[i].id == 2 || scanList[i].id == 1) {
                            selectDeviceID = scanList[i].id;
                            hasEquipment = true;
                        }
                    }
                }
            } else {
                hasEquipment = true;
            }
        }
        if (hasEquipment == true) {
            $("#selectBox").data("dxSelectBox").option("value", selectDeviceID);
            Light.action.setting.saveLastEquipmentIndex(selectDeviceID + 1);
            //设备数据表示
            $("#devicemessage").removeClass("dx-state-invisible");
            //$("#nodevice").addClass("dx-state-invisible");
            showSelectDeviceData(selectDeviceID);
        } else {
            showhealthLastData();
            $("#selectBox").data("dxSelectBox").option("value", "");
            viewModel.deviceName('');
            $("#icon-indicator").addClass("dx-state-invisible");
            $("#icon-refresh").addClass("dx-state-invisible");
            $("#devicemessage").addClass("dx-state-invisible");
            //$("#nodevice").removeClass("dx-state-invisible");
            if (viewModel.actionKbn() == 2) {
                viewModel.bathroomScaleVisible(true);
                viewModel.pedometerVisible(false);
            } else if (viewModel.actionKbn() == 1) {
                viewModel.bathroomScaleVisible(false);
                viewModel.pedometerVisible(true);
            }
        }
    };

    //页面初期化
    function init() {

        //viewModel.img_head('');
        //viewModel.user('');
        viewModel.healthMessage('');
        viewModel.deviceName('');
        viewModel.deviceMessage(''); 
        viewModel.helpVisible(false);
        //viewModel.helpBtnVisible(false);
        viewModel.bathroomScaleVisible(false);
        viewModel.pedometerVisible(false);
        //$("#icon-ok").addClass("dx-state-invisible");
        //$("#icon-remove").addClass("dx-state-invisible");
        $("#icon-indicator").addClass("dx-state-invisible");
        $("#icon-refresh").addClass("dx-state-invisible");
        $("#devicemessage").removeClass("dx-state-invisible");
        //$("#nodevice").addClass("dx-state-invisible");

        viewModel.txt_weight(0);
        viewModel.style_weight('');
        viewModel.txt_weight_num_25(0);
        viewModel.txt_weight_num_50(0);
        viewModel.txt_weight_num_75(0);
        viewModel.color1_weightVisible(false);
        viewModel.color2_weightVisible(false);
        viewModel.color3_weightVisible(false);
        viewModel.color4_weightVisible(false);

        viewModel.txt_bfr(0);
        viewModel.style_bfr('');
        viewModel.txt_bfr_num_25(0);
        viewModel.txt_bfr_num_50(0);
        viewModel.txt_bfr_num_75(0);
        viewModel.color1_bfrVisible(false);
        viewModel.color2_bfrVisible(false);
        viewModel.color3_bfrVisible(false);
        viewModel.color4_bfrVisible(false);

        viewModel.txt_bmi(0);
        viewModel.style_bmi('');
        viewModel.txt_bmi_num_25(0);
        viewModel.txt_bmi_num_50(0);
        viewModel.txt_bmi_num_75(0);
        viewModel.color1_bmiVisible(false);
        viewModel.color2_bmiVisible(false);
        viewModel.color3_bmiVisible(false);
        viewModel.color4_bmiVisible(false);

        viewModel.txt_water(0);
        viewModel.style_water('');
        viewModel.txt_water_num_33(0);
        viewModel.txt_water_num_67(0);
        viewModel.color1_waterVisible(false);
        viewModel.color2_waterVisible(false);
        viewModel.color3_waterVisible(false);

        viewModel.txt_bone(0);
        viewModel.style_bone('');
        viewModel.txt_bone_num_33(0);
        viewModel.txt_bone_num_67(0);
        viewModel.color1_boneVisible(false);
        viewModel.color2_boneVisible(false);
        viewModel.color3_boneVisible(false);

        viewModel.txt_muscle(0);
        viewModel.style_muscle('');
        viewModel.txt_muscle_num_33(0);
        viewModel.txt_muscle_num_67(0);
        viewModel.color1_muscleVisible(false);
        viewModel.color2_muscleVisible(false);
        viewModel.color3_muscleVisible(false);

        viewModel.txt_sfat(0);
        viewModel.style_sfat('');
        viewModel.txt_sfat_num_33(0);
        viewModel.txt_sfat_num_67(0);
        viewModel.color1_sfatVisible(false);
        viewModel.color2_sfatVisible(false);
        viewModel.color3_sfatVisible(false);

        viewModel.txt_infat(0);
        viewModel.style_infat('');
        viewModel.txt_infat_num_33(0);
        viewModel.txt_infat_num_67(0);
        viewModel.color1_infatVisible(false);
        viewModel.color2_infatVisible(false);
        viewModel.color3_infatVisible(false);

        viewModel.txt_bodyage(0);
        viewModel.style_bodyage('');
        viewModel.txt_bodyage_num_50(0);
        viewModel.color1_bodyageVisible(false);
        viewModel.color2_bodyageVisible(false);

        viewModel.txt_bmr(0);
        viewModel.style_bmr('');
        viewModel.txt_bmr_num_50(0);
        viewModel.color1_bmrVisible(false);
        viewModel.color2_bmrVisible(false);

        viewModel.txt_steps(0);
        viewModel.style_steps('');
        viewModel.txt_steps_num_50(0);
        viewModel.color1_stepsVisible(false);
        viewModel.color2_stepsVisible(false);

        viewModel.txt_calorie(0);
        viewModel.style_calorie('');
        viewModel.txt_calorie_num_50(0);
        viewModel.color1_calorieVisible(false);
        viewModel.color2_calorieVisible(false);

        viewModel.txt_distance(0);
        viewModel.style_distance('');
        viewModel.txt_distance_num_50(0);
        viewModel.color1_distanceVisible(false);
        viewModel.color2_distanceVisible(false);
    };

    var viewModel = {
        actionKbn: ko.observable(0),
        pageVisible: ko.observable(false),
        popupPageVisible: ko.observable(false),

        //img_head: ko.observable(''),
        //user: ko.observable(''),
        healthMessage: ko.observable(''),
        deviceName: ko.observable(''),
        deviceMessage: ko.observable(''),

        calorieInput: ko.observable(0),
        calorieOutput: ko.observable(0),
        caloriePlanInput: ko.observable(0),
        caloriePlanOutput: ko.observable(0),

        //帮助信息表示
        helpVisible: ko.observable(false),
        //helpBtnVisible: ko.observable(false),
        //体重秤表示
        bathroomScaleVisible: ko.observable(false),
        //步数仪表示
        pedometerVisible: ko.observable(false),

        //体重
        txt_weight: ko.observable(0),
        style_weight: ko.observable(''),
        txt_weight_num_25: ko.observable(0),
        txt_weight_num_50: ko.observable(0),
        txt_weight_num_75: ko.observable(0),
        color1_weightVisible: ko.observable(false),
        color2_weightVisible: ko.observable(false),
        color3_weightVisible: ko.observable(false),
        color4_weightVisible: ko.observable(false),

        //体脂率
        txt_bfr: ko.observable(0),
        style_bfr: ko.observable(''),
        txt_bfr_num_25: ko.observable(0),
        txt_bfr_num_50: ko.observable(0),
        txt_bfr_num_75: ko.observable(0),
        color1_bfrVisible: ko.observable(false),
        color2_bfrVisible: ko.observable(false),
        color3_bfrVisible: ko.observable(false),
        color4_bfrVisible: ko.observable(false),

        //BMI
        txt_bmi: ko.observable(0),
        style_bmi: ko.observable(''),
        txt_bmi_num_25: ko.observable(0),
        txt_bmi_num_50: ko.observable(0),
        txt_bmi_num_75: ko.observable(0),
        color1_bmiVisible: ko.observable(false),
        color2_bmiVisible: ko.observable(false),
        color3_bmiVisible: ko.observable(false),
        color4_bmiVisible: ko.observable(false),

        //水含量
        txt_water: ko.observable(0),
        style_water: ko.observable(''),
        txt_water_num_33: ko.observable(0),
        txt_water_num_67: ko.observable(0),
        color1_waterVisible: ko.observable(false),
        color2_waterVisible: ko.observable(false),
        color3_waterVisible: ko.observable(false),

        //骨骼
        txt_bone: ko.observable(0),
        style_bone: ko.observable(''),
        txt_bone_num_33: ko.observable(0),
        txt_bone_num_67: ko.observable(0),
        color1_boneVisible: ko.observable(false),
        color2_boneVisible: ko.observable(false),
        color3_boneVisible: ko.observable(false),

        //肌肉
        txt_muscle: ko.observable(0),
        style_muscle: ko.observable(''),
        txt_muscle_num_33: ko.observable(0),
        txt_muscle_num_67: ko.observable(0),
        color1_muscleVisible: ko.observable(false),
        color2_muscleVisible: ko.observable(false),
        color3_muscleVisible: ko.observable(false),

        //皮下脂肪
        txt_sfat: ko.observable(0),
        style_sfat: ko.observable(''),
        txt_sfat_num_33: ko.observable(0),
        txt_sfat_num_67: ko.observable(0),
        color1_sfatVisible: ko.observable(false),
        color2_sfatVisible: ko.observable(false),
        color3_sfatVisible: ko.observable(false),

        //内脏脂肪
        txt_infat: ko.observable(0),
        style_infat: ko.observable(''),
        txt_infat_num_33: ko.observable(0),
        txt_infat_num_67: ko.observable(0),
        color1_infatVisible: ko.observable(false),
        color2_infatVisible: ko.observable(false),
        color3_infatVisible: ko.observable(false),

        //身体年龄
        txt_bodyage: ko.observable(0),
        style_bodyage: ko.observable(''),
        txt_bodyage_num_50: ko.observable(0),
        color1_bodyageVisible: ko.observable(false),
        color2_bodyageVisible: ko.observable(false),

        //基础代谢率
        txt_bmr: ko.observable(0),
        style_bmr: ko.observable(''),
        txt_bmr_num_50: ko.observable(0),
        color1_bmrVisible: ko.observable(false),
        color2_bmrVisible: ko.observable(false),

        //步数
        txt_steps: ko.observable(0),
        style_steps: ko.observable(''),
        txt_steps_num_50: ko.observable(0),
        color1_stepsVisible: ko.observable(false),
        color2_stepsVisible: ko.observable(false),

        //卡路里
        txt_calorie: ko.observable(0),
        style_calorie: ko.observable(''),
        txt_calorie_num_50: ko.observable(0),
        color1_calorieVisible: ko.observable(false),
        color2_calorieVisible: ko.observable(false),

        //路程
        txt_distance: ko.observable(0),
        style_distance: ko.observable(''),
        txt_distance_num_50: ko.observable(0),
        color1_distanceVisible: ko.observable(false),
        color2_distanceVisible: ko.observable(false),

        //选择设备 popup
        popupDeviceVisible: ko.observable(false),
        popupDeviceSource: ko.observable([]),
        popupSelectedIndex: ko.observable(0),

        deviceSelectBox : {
            dataSource: [],
            valueExpr: 'id',
            displayExpr: "name",
            placeholder:"请选择",
            valueChangeAction: function (e) {
                var selectValue = $("#selectBox").data("dxSelectBox").option("value");
                selectDeviceID = selectValue;
                Light.action.setting.saveLastEquipmentIndex(selectDeviceID + 1);
                //健康设备数据表示
                showSelectDeviceData(selectDeviceID);
                $("#devicemessage").removeClass("dx-state-invisible");
            }
        },

        //选择设备popup 确定按钮
        popupConfirmClick: function () {
       
            viewModel.popupDeviceVisible(false);

            selectDeviceID = viewModel.popupSelectedIndex();
            Light.action.setting.saveLastEquipmentIndex(selectDeviceID + 1);
            //健康设备数据表示
            showSelectDeviceData(selectDeviceID);
        },
        //popup 选择item
        popupSelectedItemClick: function (object) {
            viewModel.popupSelectedIndex(object.model.id);
        },

        //选择设备按钮
        selectDeviceClick: function () {
            if (scanList.length > 0) {
                viewModel.popupDeviceSource(scanList);
                viewModel.popupSelectedIndex(scanList[0].id);
                viewModel.popupDeviceVisible(true);
            }
        },

        //扫描按钮
        scanClick: function () {
            if (scanList.length > 0) {
                startSacn();
            } 
        },
        //画面init
        viewShown: function () {
            viewModel.popupPageVisible(true);

            init();
            if (params.actionKbn == 'sports') {
                viewModel.actionKbn(1);
            } else if (params.actionKbn == 'weight') {
                viewModel.actionKbn(2);
            }
            Light.HealthPluginData.startpage = 2;
            Light.HealthPluginData.dataflg == 1
            scanList = [];
            var done = function (rt) {
                if (rt.lexinPedometerSwitch == 1) {
                    scanList.push(Light.config.deviceList[2]);
                }
                if (rt.yunyueWeightSwitch == 1) {
                    scanList.push(Light.config.deviceList[0]);
                }
                if (rt.lexinWeightSwitch == 1 ) {
                    scanList.push(Light.config.deviceList[1]);
                }
                viewModel.deviceSelectBox.dataSource = scanList;
                
                $("#selectBox").dxSelectBox(viewModel.deviceSelectBox);
                
                //if (scanList.length == 0) {
                    //$("#dx-icon-light-help").hide();
                    //viewModel.helpBtnVisible(false);
                    //showhealthLastData();

                //} else {
                    //viewModel.helpBtnVisible(true);
                //}
                //选择健康设备
                selectDevice();
            };
            Light.action.setting.getHealthSetting(done);
            Light.action.weight.renewAvg();
            Light.action.pedometer.renewSum();

            var nowDate = Light.tool.getDate();
            var doneCalorie = function (rt) {
                var baseCalorie = Light.action.health.getDefaultCalorie();
                var outputCalorie = rt.output;
                if (rt.output && rt.output != 0) {
                    outputCalorie = rt.output - baseCalorie;
                }
                viewModel.calorieInput(rt.input);
                viewModel.calorieOutput(outputCalorie);
                var objCalorieInput = $("#calorieInput")[0];
                var objCalorieOutput = $("#calorieOutput")[0];
                objCalorieInput.textContent = Globalize.format(viewModel.calorieInput(), "d") + "/" + Globalize.format(viewModel.caloriePlanInput(), "d");
                objCalorieOutput.textContent = Globalize.format(viewModel.calorieOutput(), "d") + "/" + Globalize.format(viewModel.caloriePlanOutput(), "d");
            };

            var donePlanCalorie = function (rt) {
                //var calorie = Light.action.health.getDefaultCalorie();
                //viewModel.caloriePlanOutput(rt.output + calorie);
                viewModel.caloriePlanInput(rt.input);
                viewModel.caloriePlanOutput(rt.output);
                var objCalorieInput = $("#calorieInput")[0];
                var objCalorieOutput = $("#calorieOutput")[0];
                objCalorieInput.textContent = Globalize.format(viewModel.calorieInput(), "d") + "/" + Globalize.format(viewModel.caloriePlanInput(), "d");
                objCalorieOutput.textContent = Globalize.format(viewModel.calorieOutput(), "d") + "/" + Globalize.format(viewModel.caloriePlanOutput(), "d");
            };
            Light.action.calorie.getByDate(nowDate, doneCalorie);
            Light.action.health.getPlanCalorie(nowDate, donePlanCalorie);

            viewModel.popupPageVisible(false);
            viewModel.pageVisible(true);
        },
        viewHidden: function () {
            viewModel.pageVisible(false);
            Light.action.weight.uploadToServer();
            Light.action.pedometer.uploadToServer();
            if (window.plugins && window.plugins.Yunyue) {
                window.plugins.Yunyue.connectStop(null);
            }
        }
    };
    return viewModel;
};