﻿Light.acceResult = function (params) {

    //返回 按钮
    backClick = function (e) {
        //BMI 评测入口
        if (1 == Light.rtdata.accefrom) {
            Light.app.navigate('BMIResult', { root: true });
            return;
        }

        Light.app.navigate({ view: 'HealthIndex' }, { root: true });
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: '肥胖评级调查结果' },
    ];

    acceTestAgain = function () {
        Light.app.navigate('acce');
    }

    var viewModel = {
        bmi: ko.observable(),
        age: ko.observable(),
        weight: ko.observable(),
        fatLevel: ko.observable(),
        detailResult: ko.observable(),

        viewShown: function () {
            viewModel.bmi(params.bmi);
            viewModel.age(params.age);
            viewModel.weight(params.weight);
            if (params.bmi < 18.5) {
                viewModel.fatLevel("消瘦型身材");
                viewModel.detailResult("您属于消瘦型，体重过轻，请注意适当运动，多吃营养丰富的食物和水果，帮助自己增重增肌，同时，不建议您继续追求更低体重，努力使自己的BMI指数回归到正常水平。");
            } else if (params.bmi >= 18.5 && params.bmi <= 23.9 ) {
                viewModel.fatLevel("标准身材");
                viewModel.detailResult("您属于标准身材，请继续保持，建议您结合适当运动与健康饮食使自己的BMI指数保持在正常范围内。");
            }else if (params.bmi >= 24 && params.bmi <= 27
                && params.complication_1_count == 0
                && params.complication_2_count == 0) {
                viewModel.fatLevel("超重");
                viewModel.detailResult("你目前属于超重阶段，从心血管和代谢疾病的角度来看，虽然现在暂无相关并发症的发生，但是也不能保证你未来不会朝着肥胖的方向改变，建议你改进现有的饮食方式，增加适当的体育锻炼，把重点放在良好生活习惯的养成上，争取使自己的BMI指数达到正常水平18.4~23.9之间。");
            } else if (params.bmi >= 24 && params.complication_2_count > 0) {
                viewModel.fatLevel("肥胖2级");
                viewModel.detailResult("危险！你已经处于肥胖2级阶段，且伴随着严重的肥胖相关并发症，在不进行减肥干预治疗，肥胖则会严重危害你的身体健康安全，所以建议你从现在开始，把减肥作为自己日常生活的一部分，同时减肥也有利于减轻你的相关并发症程度，建议你强化自我生活方式，控制饮食摄入，增强锻炼强度，同时配合减肥药物或考虑进行肥胖外科手术进行减肥，争取早日让自己的身体远离肥胖的危害！");
            } else if (params.bmi >= 24 && params.complication_1_count > 0) {
                viewModel.fatLevel("肥胖1级");
                viewModel.detailResult("警告！你已经处于肥胖1级阶段，且有多种肥胖相关并发症，这些肥胖相关并发症已经影响到了你的健康，再不进行减肥，这些肥胖并发症将会越来越严重，所以，为了你的健康，立即加入到减肥的行列，建议你改善自我生活方式，控制饮食，增强锻炼，同时可以配合使用相应符合要求的减肥药物，早日使自己远离肥胖！");
            } else if (params.bmi >= 27 && params.complication_1_count == 0 && params.complication_2_count == 0) {
                viewModel.fatLevel( "肥胖0级");
                viewModel.detailResult("很遗憾，你已处于肥胖0级阶段，虽然现阶段暂无相应的肥胖相关并发症的发生，但是如果再不改变现有的生活方式，那么肥胖0级则会朝着肥胖1级和2级慢慢演变，建议你减少热量摄入，增加体育运动，把重点放在生活方式调整上，早日使自己远离肥胖，快快加入减肥的行列吧！");
            }
        }
    };

    return viewModel;
};