﻿Light.obesityCausesResult = function (params) {
    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'HealthIndex' }, { root: true });
    };

    //menu bar
    toolbarItems = [
        { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
        { location: 'center', text: '肥胖原因调查结果' },
    ];

    fatTestAgain = function () {
        Light.app.navigate('obesityCauses');
    }
    var viewModel = {
        suggest1: ko.observable(),
        suggest2: ko.observable(),
        dataSource: ko.observable([]),
        pieColors: ['#ffa500', '#ffbbb0', '#99CCFF', '#66CC00', '#663333', '#990066'],

        viewShown: function () {

            var dataSource_t = [];
            if (Math.abs(params.aScore) > 0) {
                var p ={
                    "country":"饮食过量",
                    "medals": Math.abs(params.aScore)
                };
                dataSource_t.push(p);
            }
            if (Math.abs(params.bScore) > 0) {
                var p = {
                    "country": "不科学饮食",
                    "medals": Math.abs(params.bScore)
                };
                dataSource_t.push(p);
            }
            if (Math.abs(params.cScore) > 0) {
                var p = {
                    "country": "情绪原因",
                    "medals": Math.abs(params.cScore)
                };
                dataSource_t.push(p);
            }
            if (Math.abs(params.dScore) > 0) {
                var p = {
                    "country": "缺乏运动",
                    "medals": Math.abs(params.dScore)
                };
                dataSource_t.push(p);
            }
            if (Math.abs(params.eScore) > 0) {
                var p = {
                    "country": "生理遗传",
                    "medals": Math.abs(params.eScore)
                };
                dataSource_t.push(p);
            }
            if (Math.abs(params.fScore) > 0) {
                var p = {
                    "country": "代谢不足",
                    "medals": Math.abs(params.fScore)
                };
                dataSource_t.push(p);
            }

            viewModel.dataSource(dataSource_t);

            $("#pieChartContainer").dxPieChart({
                dataSource: viewModel.dataSource(),
                series: {
                    argumentField: "country",
                    valueField: "medals",
                    label: {
                        visible: false,
                        connector: { visible: false }
                    }
                },
                customizePoint: function () { //自定义颜色设定
                    var color = viewModel.pieColors[this.index];
                    return { color: color, hoverStyle: { color: color } };
                },
                legend: {
                    //visible:false,  是否显示
                    orientation: 'horizontal',
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'center'
                }
            });

            viewModel.suggest1(params.suggest1);
            viewModel.suggest2(params.suggest2);
            $("#show").show();
            $("#fatTestAgain").show(50);
        }
    };

    return viewModel;
};