﻿Light.traditionalChineseMedicine = function (params) {
    var qtype = Light.rtdata.q_chinese;//问卷类型
    var aScore = 0;//平和质问卷
    var q1_1 = 1, q1_2 = 5, q1_3 = 5, q1_4 = 1, q1_5 = 5, q1_6 = 1, q1_7 = 5;

    //返回 按钮
    backClick = function (e) {
        //各个问卷状态初始化
        Light.rtdata.aScore = 0;
        Light.rtdata.aState = "0000000";//平和质问卷每个选项状态
        Light.rtdata.bScore = 0;//气虚质问卷得分
        Light.rtdata.bState = "00000000";//气虚质问卷状态
        Light.rtdata.cScore = 0;//阳虚质问卷得分
        Light.rtdata.cState = "0000000";//阳虚质问卷状态
        Light.rtdata.dScore = 0;//阴虚质问卷得分
        Light.rtdata.dState = "00000000";//阴虚质问卷状态
        Light.rtdata.eScore = 0;//痰湿质问卷得分
        Light.rtdata.eState = "00000000";//痰湿质问卷状态
        Light.rtdata.fScore = 0;//湿热质问卷得分
        Light.rtdata.fState = "0000000";//湿热质问卷状态
        Light.rtdata.gScore = 0;//血瘀质问卷得分
        Light.rtdata.gState = "0000000";//血瘀质问卷状态
        Light.rtdata.hScore = 0;//气郁质问卷得分
        Light.rtdata.hState = "0000000";//气郁质问卷状态
        Light.rtdata.iScore = 0;//特禀质问卷得分
        Light.rtdata.iState = "0000000";//特禀质问卷状态

        Light.rtdata.q_chinese_8_score = 1;
        Light.rtdata.q_chinese_20_score = 1;
        Light.rtdata.q_chinese_41_score = 1;

        viewModel.s1_1(0);
        viewModel.s1_2(0);
        viewModel.s1_3(0);
        viewModel.s1_4(0);
        viewModel.s1_5(0);
        viewModel.s1_6(0);
        viewModel.s1_7(0);

        Light.app.navigate({ view: 'HealthIndex' }, { root: true });
    };

    //menu bar
    toolbarItems = [
        { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
        { location: 'center', text: Globalize.localize('traditionalChineseMedicine-title') },
    ];

    //下一页
    goNextPage = function () {
        Light.rtdata.aScore = (q1_1 + q1_2 + q1_3 + q1_4 + q1_5 + q1_6 + q1_7 - 7) / 28 * 100;
        Light.rtdata.aState = viewModel.s1_1() + "" + viewModel.s1_2() + "" + viewModel.s1_3() + "" + viewModel.s1_4() + "" + viewModel.s1_5() + "" + viewModel.s1_6() + "" + viewModel.s1_7();

        Light.app.navigate({ view: 'traditionalChineseMedicine_2' });
    }

    answer_asc = [
        { rid: 0, value: 1, text: '没有/或不' },
        { rid: 1, value: 2, text: '很少' },
        { rid: 2, value: 3, text: '有时' },
        { rid: 3, value: 4, text: '经常' },
        { rid: 4, value: 5, text: '总是' },
    ];
    answer_desc = [
        { rid: 0, value: 5, text: '没有/或不' },
        { rid: 1, value: 4, text: '很少' },
        { rid: 2, value: 3, text: '有时' },
        { rid: 3, value: 2, text: '经常' },
        { rid: 4, value: 1, text: '总是' },
    ];
    d1_1Selected = function (e) { q1_1 = e.itemData.value; viewModel.s1_1(e.itemData.rid); };
    d1_2Selected = function (e) {
        q1_2 = e.itemData.value;
        viewModel.s1_2(e.itemData.rid);

        //(2)您容易疲乏吗？  由于气虚质问卷用到同样的问题，所以积分参照本次选择，保存在rtdata中。
        Light.rtdata.q_chinese_8_score = 6 - e.itemData.value;
    };
    d1_3Selected = function (e) { q1_3 = e.itemData.value; viewModel.s1_3(e.itemData.rid); };
    d1_4Selected = function (e) { q1_4 = e.itemData.value; viewModel.s1_4(e.itemData.rid); };
    d1_5Selected = function (e) { q1_5 = e.itemData.value; viewModel.s1_5(e.itemData.rid); };
    d1_6Selected = function (e) { q1_6 = e.itemData.value; viewModel.s1_6(e.itemData.rid); };
    d1_7Selected = function (e) { q1_7 = e.itemData.value; viewModel.s1_7(e.itemData.rid); };
   
    var viewModel = {
        s1_1: ko.observable(),
        s1_2: ko.observable(),
        s1_3: ko.observable(),
        s1_4: ko.observable(),
        s1_5: ko.observable(),
        s1_6: ko.observable(),
        s1_7: ko.observable(),

        viewShown: function () {
            var aState = Light.rtdata.aState;
            viewModel.s1_1(aState.substring(0, 1));
            viewModel.s1_2(aState.substring(1, 2));
            viewModel.s1_3(aState.substring(2, 3));
            viewModel.s1_4(aState.substring(3, 4));
            viewModel.s1_5(aState.substring(4, 5));
            viewModel.s1_6(aState.substring(5, 6));
            viewModel.s1_7(aState.substring(6, 7));
        },

    };

    return viewModel;
};