﻿Light.traditionalChineseMedicineResult = function (params) {
    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'HealthIndex' }, {root: true });
    };

    //menu bar
    toolbarItems = [
        { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
        { location: 'center', text: '体质调查结果' },
    ];

    chineseTestAgain = function () {
        //各个问卷状态初始化
        Light.rtdata.aScore = 0;
        Light.rtdata.aState = "0000000";//平和质问卷每个选项状态
        Light.rtdata.bScore = 0;//气虚质问卷得分
        Light.rtdata.bState = "00000000";//气虚质问卷状态
        Light.rtdata.cScore = 0;//阳虚质问卷得分
        Light.rtdata.cState = "0000000";//阳虚质问卷状态
        Light.rtdata.dScore = 0;//阴虚质问卷得分
        Light.rtdata.dState = "00000000";//阴虚质问卷状态
        Light.rtdata.eScore = 0;//痰湿质问卷得分
        Light.rtdata.eState = "00000000";//痰湿质问卷状态
        Light.rtdata.fScore = 0;//湿热质问卷得分
        Light.rtdata.fState = "0000000";//湿热质问卷状态
        Light.rtdata.gScore = 0;//血瘀质问卷得分
        Light.rtdata.gState = "0000000";//血瘀质问卷状态
        Light.rtdata.hScore = 0;//气郁质问卷得分
        Light.rtdata.hState = "0000000";//气郁质问卷状态
        Light.rtdata.iScore = 0;//特禀质问卷得分
        Light.rtdata.iState = "0000000";//特禀质问卷状态

        Light.rtdata.q_chinese_8_score = 1;
        Light.rtdata.q_chinese_20_score = 1;
        Light.rtdata.q_chinese_41_score = 1;

        Light.app.navigate({ view: 'traditionalChineseMedicine' });
    }
    var dt;
    var id = params.details;
    var d1 = [
        {
            key: '什么是平和质？',
            items: [
                { name: "阴阳气血调和，表现为体态适中、面色红润、精力充沛。" },
                { name: "辨识：正常的体质。" },
                ]
        },
        {
            key: '平和质的优点：',
            items: [
                { name: "● 体形匀称健壮，不胖不瘦，体重波动小；" },
                { name: "● 面色、肤色润泽，头发稠密有光泽，目光有神；" },
                { name: "● 鼻色明润，嗅觉通利，唇色红润；" },
                { name: "● 精力充沛，睡眠良好，胃口好；" },
                { name: "● 大小便正常，舌色淡红，苔薄白，脉和缓有力；" },
                { name: "● 性格随和开朗，好相处；" },
                { name: "● 平时少生病，自我康复能力强；" },
                { name: "● 对自然环境和社会环境适应能力较强。" },

            ]
        }
    ];
    var d1_Adjust =[
        {
            key: '生活起居：',
            items: [
                { name: "● 起居规律，劳逸适度，合理睡眠，注意四季养生。" },
            ]
        },
        {
            key: '饮食调养：',
            items: [
                { name: "● 饮食有节制，适量定时，合理搭配；" },
                { name: "● 进食寒温适度、应时应节、新鲜食物为宜；" },
                { name: "● 粗细粮合理搭配，不要偏食。" },
                { name: "● 不宜食用过冷过热和油腻食物。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "● 坚持运动，强度适中。" },
            ]
        },
    ];
    var d2 = [
        {
            key: '什么是气虚质：',
            items: [
                { name: "元气不足，常表现为疲乏、气短、自汗等特征。" },
                { name: "辨识：肌肉松软，声音低，易出汗，易累，易感冒等。" },
            ]
        },
        {
            key: '气虚质的困扰：',
            items: [
                { name: "•	身体特征表现为肌肉松软不实。" },
                { name: "•	平素语音低弱，气短懒言，容易疲乏精神不振；" },
                { name: "•	易出汗，舌淡红，舌边有齿痕，脉弱。" },
                { name: "•	心理特征表现为性格内向，不喜冒险。" },
                { name: "•	易患感冒、内脏下垂等病；病后康复缓慢。" },
                { name: "•	对外界环境适应能力较弱，不耐受风寒、暑、湿邪,导致气虚质可能的原因" },
                { name: "•	父母孕育胎儿时年纪偏大、早产、喂养不当等；" },
                { name: "•	过度节食，营养不良；" },
                { name: "•	过度劳累，包括脑力劳动和体力劳动,性生活过度；" },
                { name: "•	过度安逸，长时间躺在床上不动；" },
                { name: "•	大病、久病；" },
                { name: "•	月经过多，气随血脱。" },
                
            ]
        },
    {
        key: '气虚质最需要警惕什么？',
        items: [
                { name: "•	呼吸系统疾病：感冒、中暑等；" },
                { name: "•	消化系统疾病：慢性腹泻等；" },
                { name: "•	代谢系统疾病：营养不良、低血糖等；" },
                { name: "•	循环系统疾病：低血压等；" },
                { name: "•	脏器下垂：胃下垂、子宫下垂、肾下垂等；" },
                { name: "•	其他：贫血、脱肛、慢性炎症等；" },
                { name: "•	病后康复缓慢。" },
                
        ]
    }];
    var d2_Adjust = [
    {
        key: '生活起居：',
        items: [
                { name: "•	注意季节变换，及时增减衣物，预防感冒；穿衣尽量宽松、选择棉麻丝等面料衣物； " },
                { name: "•	夏天早起，到户外去吸收自然界的清气，补充人体之气，中午适当午休；" },
                { name: "•	冬天注意保暖；多进行日光浴，洗热水澡；保三暖，即头暖、背暖、脚暖；" },
                { name: "•	自信，乐观豁达；" },
                { name: "•	不宜熬夜。" },

        ]
    },
    {
        key: '饮食调节：',
        items: [
                { name: "•	宜食用性质平和而偏温的食物；多食用具有益气健脾作用的食物，如黄豆、白扁豆、鸡肉等。" },
                { name: "•	主食：大部分粮食、薯类、杂豆类；" },
                { name: "•	蔬菜：洋葱、韭菜、胡萝卜、地笋、莲子、菱角、番茄及各种菌类；" },
                { name: "•	水果干果：草莓、沙棘、苹果、樱桃葡萄、大枣、龙眼肉、荔枝、芒果、猕猴桃、酸梨、刺梨、佛手、无花果等；" },
                { name: "•	坚果：核桃、榛子、栗子、花生、黑芝麻、芡实等；" },
                { name: "•	其它：各种奶类、蛋类、肉类、海鲜类、糖类、蜂蜜、螺旋藻、酒酿、咖啡等。" },
                { name: "•	药食同源：冬虫夏草、茯苓、枸杞子等。" },
                { name: "•	少食空心菜、生萝卜等。" },
        ]
    },
    {
        key: '运动锻炼：',
        items: [
                { name: "•	适宜散步、慢跑、健步走、舞蹈、太极拳、太极剑、八段锦、气功的调息方法等锻炼方式；" },
                { name: "•	不宜强体力劳动，忌出汗过多。" },
        ]
    },
    ];
    var d3 = [
        {
            key: '什么是阳虚质？',
            items: [
                { name: "•	阳气不足，以畏寒怕冷、手足不温等虚寒表现为主要特征。" },
                { name: "•	辨识：肌肉不健壮，常常感到手脚发凉，衣服比别人穿得多，夏天不喜欢吹空调，喜欢安静，性格多沉静、内向。" },
            ]
        },
        {
            key: '阳虚质有哪些困扰？',
            items: [
                { name: "•	肌肉松软不实；怕冷，尤其背部及膝盖以下，手脚冰凉；" },
                { name: "•	舌淡胖嫩（舌体胖，舌上有牙齿印）脉沉迟；脸色偏白、没有光泽，嘴唇颜色不红润；白眼球偏青绿色，容易脱发；" },
                { name: "•	爱吃温热食物及饮热水，不能吃凉东西，吃凉东西容易拉肚子；" },
                { name: "•	大便不成形，或质粘排不干净，小便颜色淡，量多，夜尿尤甚；" },
                { name: "•	精神不振，懒洋洋，缺乏性欲、不爱运动；性格多沉静、内向；" },
                { name: "•	耐夏不耐冬，易感风、寒、湿邪（症见怕冷重，发热轻，无汗，流清水鼻涕，打喷嚏，喉咙发痒不痛，咳清稀白痰）。" },
                
            ]
        },
        {
            key: '导致阳虚质可能的原因？',
            items: [
                { name: "•	父母老来得子，或母亲怀孕期间调养不当，或坐月子贪凉；" },
                { name: "•	喜食生冷食品，过量服用寒凉药物（如抗生素、清热解毒药物等）；" },
                { name: "•	工作环境湿冷，久在空调环境下生活工作，或冬季不注意保暖；" },
                { name: "•	过度劳累、经常熬夜；" },
                { name: "•	房事过于频繁；" },
                { name: "•	久病、大病，阳气受损；" },
                { name: "•	老年人阳气渐衰。" },
            ]
        },
        {
            key: '阳虚质最需要警惕什么？',
            items: [
                { name: "•	呼吸系统疾病：气管炎、哮喘等；" },
                { name: "•	消化系统疾病：胃炎、慢性腹泻；" },
                { name: "•	循环系统疾病：冠心病等；" },
                { name: "•	生殖系统疾病：痛经、不孕不育等；" },
                { name: "•	其他：骨质疏松、关节炎等。" }
            ]
        }];
    var d3_Adjust = [
        {
            key: '生活起居:',
            items: [
                { name: "•	注意保暖，尤其要注意腰部和下肢的保暖；" },
                { name: "•	多晒太阳，积极锻炼；" },
                { name: "•	常泡温泉、洗热水澡；" },
                { name: "•	多听音乐，多交朋友。" },
            ]
        },
        {
            key: '饮食调节:',
            items: [
                { name: "•	平时可多食牛肉、羊肉等温阳食品；" },
                { name: "•	主食：籼米、糯米等；" },
                { name: "•	蔬菜：独行菜、平菇、松蘑、韭菜、茴香菜、辣椒、薤白、茴芹、香茅等；" },
                { name: "•	水果：红毛丹、樱桃等；" },
                { name: "•	坚果：核桃、开心果等；" },
                { name: "•	肉类及水产品牛鞭、羊肉、狗肉、鹿肉、鸡肉、虾、泥蚶、鱤鱼、白条鱼、鳟鱼、鲢鱼、鳙鱼、草鱼等；" },
                { name: "•	药食同源：宜食枸杞子、五味子等温热补品；" },
                { name: "•	少食梨、西瓜、荸荠等生冷寒凉食物少饮绿茶；不宜食用牛乳、奶酪、鸭蛋、冰冻饮料、冰激凌等。" },
            ]
        },
        {
            key: '运动锻炼:',
            items: [
                { name: "•	多晒太阳；可在春夏季阳光充足的上午，进行户外锻炼；运动项目推荐短跑、跳绳等；" },
                { name: "•	不宜游泳、大量出汗；忌在阴冷潮湿环境中锻炼。" },
            ]
        },
    ];
    var d4 = [
        {
            key: '什么是阴虚质？',
            items: [
                { name: "阴液亏少，以口燥咽干、手足心热等虚热表现为主要特征。容易阴虚火旺，就像一个大锅里水很少，火烧得并不旺，可是水也在沸腾，这就是所谓的“虚热”。阴就是人体一切富有营养的液体。" },
                { name: "辨识：体形多瘦长，不耐暑热，常感到眼睛干涩，口干咽燥，总想喝水，面色偏红（红脸蛋），皮肤干燥，经常大便干结，容易失眠。" },
            ]
        },
        {
            key: '阴虚质有哪些困扰？',
            items: [
                { name: "•	体形偏瘦，干性皮肤或油性皮肤；" },
                { name: "•	面色偏红或颧红（红脸蛋），经常一阵阵的脸上发热；" },
                { name: "•	眼干涩、白眼球浑浊，血丝多，看东西不清楚；" },
                { name: "•	口燥咽干，鼻微干，容易口臭、口腔溃疡；" },
                { name: "•	舌体瘦小，质红，缺少津液，脉细数；" },
                { name: "•	手脚心发热、盗汗（入睡后汗出异常醒后汗泄即止）；" },
                { name: "•	大便干燥，小便量少色黄；" },
                { name: "•	耐冬不耐夏；不耐受暑、热、燥邪。" },
                { name: "•	性情急躁，外向好动，活泼，总在亢奋状态。" },

            ]
        },
        {
            key: '导致阴虚质可能的原因',
            items: [

                { name: "•	先天原因：母亲怀孕时体质弱，高龄受孕或者早产；" },
                { name: "•	喜食辛辣、烧烤食物、吸烟；" },
                { name: "•	过度思虑，长期抑郁；" },
                { name: "•	熬夜，过度劳累，性生活过度；" },
                { name: "•	久病，出血史；" },
                { name: "•	长期应用利尿剂或清热利湿药物、不正确使用温补药物。" },

            ]
        },
        {
            key: '阴虚质最需要警惕什么？',
            items: [
                { name: "•	呼吸系统疾病：肺结核；" },
                { name: "•	循环系统疾病：高血压；" },
                { name: "•	代谢疾病：糖尿病、高血脂；" },
                { name: "•	其他：眼科疾患、红斑狼疮、肿瘤等；易患虚劳、失精等症；容易失眠、早衰；" },
                { name: "•	感邪易从热化（易患风热感冒）。" },

            ]
        } ];
    var d4_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	宜穿丝绸、棉质衣物，避免日晒；" },
                { name: "•	不宜泡温泉或蒸桑拿。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	多食瘦猪肉、鸭肉、绿豆、冬瓜等甘凉滋润之品；" },
                { name: "•	主食：小麦、糜子、豆薯、大薯、山药等；" },
                { name: "•	蔬菜：大白菜、菠菜、茭白、白萝卜、胡萝卜、藕、百合、冬瓜、菜瓜、生菜、落葵及各种菌类；" },
                { name: "•	水果：除杏、佛手、荔枝以外的大部分水果；" },
                { name: "•	大豆类及坚果：豆腐、豆浆、松子、榛子、花生、香榧、西瓜子仁、黑芝麻等" },
                { name: "•	肉类及海产品：各种肉类、海鲜、奶类、蛋类等；" },
                { name: "•	少食羊肉、韭菜、辣椒、葵花子等性温燥烈之品；忌食煎炸烧烤食物。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	适合游泳、太极拳、太极剑、气功、瑜伽等运动项目。" },
                { name: "•	不宜高强度、大运动量、出汗过多的运动。" },
            ]
        }
    ];
    var d5 = [
        {
            key: '什么是痰湿质？',
            items: [
                { name: "•	痰湿凝聚，表现为形体肥胖、腹部肥满、口黏苔腻等特征。" },
                { name: "•	辨识：体形肥胖，腹部肥满而松软；易出汗，且多黏腻；经常感觉脸上有一层油。" },
            ]
        },
        {
            key: '痰湿质有哪些困扰？',
            items: [
                { name: "•	肥胖，肚子大，肉松软；身体沉重，下肢水肿，像灌了铅一样沉重；" },
                { name: "•	油性皮肤、爱出汗、黏糊糊；" },
                { name: "•	胸闷、痰多，嘴里黏腻，不爱喝水；舌体胖大，苔腻，脉滑；" },
                { name: "•	喜食肥甘甜腻，爱吃甜食，喜欢有滋味、香气比较浓烈的食物；" },
                { name: "•	头脑不清醒，反应慢，嗜睡、打鼾；" },
                { name: "•	白带多，大便黏腻，感觉排不干净，小便混浊不清；" },
                { name: "•	性格偏温和、稳重，多善于忍耐。" },
                { name: "•	对梅雨季节及湿重环境适应能力差。" },
            ]
        },
        {
            key: '导致痰湿质可能的原因',
            items: [
                { name: "•	父母肥胖；" },
                { name: "•	高热量饮食，不吃早餐，常吃夜宵，暴饮暴食，进食速度过快等；饮食太咸；" },
                { name: "•	嗜酒；经常吃冷饮、冰激凌、凉茶等；" },
                { name: "•	环境潮湿、淋雨，夏季长时间呆在空调房等；" },
                { name: "•	过度安逸，缺乏运动；" },
                { name: "•	不正确的应用滋补药品。" },
            ]
        },
        {
            key: '痰湿质最需要警惕什么？',
            items: [
                { name: "•	呼吸系统疾病：慢性支气管炎、支气管哮喘等；" },
                { name: "•	循环系统疾病：冠心病、高血压、中风等；" },
                { name: "•	代谢疾病：糖尿病、肥胖症、高血脂、脂肪肝等；" },
                { name: "•	生殖系统疾病：不孕症等；" },
                { name: "•	其它：易患消渴、脂肪瘤、疔疮肿毒、精神系统疾病等。" },
            ]
        }];
    var d5_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	阴雨时节应尽量让室内干燥；多到户外活动，多晒太阳；" },
                { name: "•	春夏注重胃部保暖；洗热水澡；" },
                { name: "•	宜穿宽松、棉麻丝面料的衣物； " },
                { name: "•	做事要有紧迫感，适度地让自己紧张起来；" },
                { name: "•	不宜长时间呆在空调房里；忌熬夜、嗜睡。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	饮食应以清淡为主，宜食稍偏温燥或祛湿食物；可多食山药、冬瓜等；" },
                { name: "•	水果：荸荠、沙果、柚子、杨桃、沙棘、葡萄、猕猴桃、柑橘、金橘、木瓜、佛手、杏、梨等；" },
                { name: "•	大豆类及坚果：大豆类均适宜，南瓜子、花生、杏仁、向日葵籽等；" },
                { name: "•	肉类及水产品：牛蹄筋、鸭肉、猪肾及除禁忌外的大部分水产品；" },
                { name: "•	可饮用茶叶、咖啡。" },
                { name: "•	不宜食用肥腻、甜食、奶酪等；忌暴饮暴食、进食速度过快。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	因体形肥胖，易于困倦，故应根据自己的具体情况循序渐进，长期坚持运动锻炼；" },
                { name: "•	可选择低强度、长时间、不间断、有规律的运动项目，如散步、慢跑、划船、爬山、自行车、游泳、武术等；" },
                { name: "•	每次运动需要全身出汗、面色发红；" },
                { name: "•	不宜选择运动强度过大的短跑、球类运动；忌运动后立即洗澡。" },
            ]
        }
    ];
    var d6 = [
        {
            key: '什么是湿热质？',
            items: [
                { name: "•	湿热内蕴，主要表现为面垢油光、口苦、苔黄腻、体味大等特征。体内就像“桑拿天”，内环境不干净，又湿又热，排泄不畅。" },
                { name: "•	辨识：面部和鼻尖总是油光发亮，" },
                { name: "脸上易生粉刺，皮肤易瘙痒。常感到" },
                { name: "口苦、口臭，脾气较急躁。" },
            ]
        },
        {
            key: '湿热质有哪些困扰？',
            items: [
                { name: "•	形体中等或偏瘦；" },
                { name: "•	脸色暗，皮肤油腻，爱长痘；" },
                { name: "•	口干口苦，体味大，比如大便、小便、汗味、口气臭；舌质偏红，苔黄腻，脉滑数；" },
                { name: "•	大便黏滞不畅或燥结，小便短黄；男性易阴囊潮湿，女性易带下增多；" },
                { name: "•	身体沉重，又困又累，总想睡觉，胸口憋闷；" },
                { name: "•	脾气急，易发怒；容易心烦急躁；" },
                { name: "•	不耐湿热，对夏末秋初湿热气候，湿重或气温偏高环境较难适应。" },
            ]
        },
        {
            key: '导致湿热质可能的原因',
            items: [
                { name: "•	母亲如果是湿热体质，孩子可能也是" },
                { name: "•	生活环境潮湿闷热；" },
                { name: "•	总吃甜食、油腻、辛辣的食物，抽烟喝酒，不爱运动，还经常熬夜；" },
                { name: "•	长期抑郁或急躁易怒；" },
                { name: "•	夏天总躲在空调房中，该出汗的时候不出汗；" },
                { name: "•	不正确地使用补药。" },
            ]
        },
        {
            key: '湿热质最需要警惕什么？',
            items: [
                { name: "•	皮肤问题：痤疮、黄疸、癣、毛囊炎、湿疹、带状疱疹等；" },
                { name: "•	消化系统疾病：慢性腹泻、痢疾，黄疸、肝炎、胆囊炎等；" },
                { name: "•	泌尿系统疾病：尿道炎等；" },
                { name: "•	其他：肥胖、口腔溃疡、水肿、热淋等。" },
            ]
        } ];
    var d6_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	居住环境清洁、干燥、通风，避免潮湿；常晒衣被，保持贴身衣物干燥；" },
                { name: "•	减少户外活动时间，保持充足有规律的睡眠，不要熬夜；" },
                { name: "•	规律生活，不要熬夜；" },
                { name: "•	遇到挫折要乐观，少与人发生争执。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	饮食以清淡为主，可多食赤小豆、绿豆、黑豆、芹菜、黄瓜、藕等甘寒食物。" },
                { name: "•	主食：大麦、小麦、玉米、小米、薏苡仁等；" },
                { name: "•	肉类及水产品：猪皮、猪大肠、猪肾、海产品；" },
                { name: "•	大豆类及坚果：黄大豆、豆浆、豆腐皮、豆腐、葵花籽、花生、南瓜子等；" },
                { name: "•	多饮水，适合喝绿茶、咖啡；" },
                { name: "•	少食糯米、山药、鸡肉、羊肉等温热食品；" },
                { name: "•	戒烟限酒，不宜食用煎炸烧烤食物。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	适合中长跑、游泳、爬山、各种球类、武术等较长时间大运动量的锻炼；" },
                { name: "•	不宜在潮湿暑热环境中锻炼。" },
            ]
        }
    ];
    var d7 = [
        {
            key: '什么是血瘀质？',
            items: [
                { name: "血行不畅，表现为肤色暗，没光泽，舌质紫暗；胖瘦均可出现。" },
                { name: "辨识：皮肤较粗糙，眼睛里的红丝很多，牙龈易出血。" },
            ]
        },
        {
            key: '血瘀质有哪些困扰？',
            items: [
                { name: "•	肤色偏暗、没光泽，容易出现色斑和黑眼圈；皮肤干燥、瘙痒；" },
                { name: "•	口唇暗淡，舌黯或有瘀点，舌下脉络紫黯或增粗；口干，不想喝水； 脉涩； " },
                { name: "•	经常有疼痛的症状，特点是疼痛时间长，位置固定，部位多在头部、胸部、胃部、腹部；" },
                { name: "•	痛经、月经不调； " },
                { name: "•	容易心烦，健忘，遇挫折容易想不开；" },
                { name: "•	不耐受寒邪。" },
            ]
        },
        {
            key: '导致血瘀质可能的原因',
            items: [
                { name: "•	先天体质；" },
                { name: "•	长期抑郁，导致气滞血瘀；" },
                { name: "•	在寒冷地区居住或经常吃寒凉、过咸的食物、寒凉药物，导致寒凝血瘀；" },
                { name: "•	体内阴虚化热，导致血热血瘀；" },
                { name: "•	慢性疾病，或过于安逸，长期气虚导致气虚血瘀；" },
                { name: "•	因外伤或其他原因造成内出血，导致的血瘀。" },
            ]
        },
        {
            key: '血瘀质最需要警惕什么？',
            items: [
                { name: "•	皮肤疾病：黄褐斑、痤疮等；" },
                { name: "•	消化系统疾病：肝硬化、消化道溃疡等；" },
                { name: "•	循环系统疾病：冠心病、高血压等；" },
                { name: "•	脑血管疾病：脑梗等；" },
                { name: "•	妇科疾病：乳腺增生、痛经、闭经等；" },
                { name: "•	其他：偏头痛、失眠、抑郁症、痴呆、肿瘤、出血性疾病等；" },
                { name: "•	一旦患病，易转成慢性病；" },
            ]
        }];
    var d7_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	注意季节变换，及时增减衣物；" },
                { name: "•	冬季保证“三暖”，即头暖、背暖、足暖；" },
                { name: "•	可经常泡脚，促进血液循环。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	多食山楂、醋、玫瑰花、肉桂、芥末、红糖、酒酿、红花等温热活血化瘀之品；" },
                { name: "•	蔬菜：茴芹、韭菜、油菜、芦笋、地笋、罗勒、珍珠花菜、慈姑、落葵、仙人掌、槐花、莙荙菜、金瓜、藕、茄子、大蓟、小蓟、平菇、黄蘑、大红菇" },
                { name: "•	水果：山楂、桃、沙棘、木瓜、芭蕉" },
                { name: "•	坚果：栗子等；" },
                { name: "•	肉类及海产品：羊血、兔肉、鸡血、鸽肉、螃蟹、鲫鱼、鳕鱼等；" },
                { name: "•	少食肥肉，忌食冷饮。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	坚持经常性的锻炼，可参加太极拳、太极剑、五禽戏以及各种舞蹈、步行健身法、徒手健身操等；" },
                { name: "•	不宜做高强度、大负荷的体育锻炼。" },
            ]
        }
    ];
    var d8 = [
        {
            key: '什么是气郁质？',
            items: [
                { name: "气机郁滞，表现为神情抑郁、忧虑、脆弱等。" },
                { name: "辨识：体形偏瘦，常感到闷闷不乐、情绪低沉，常有胸闷，经常无缘无故地叹气,易失眠。" },
            ]
        },
        {
            key: '气郁质有哪些困扰？',
            items: [
                { name: "•	面色偏暗、无光泽；" },
                { name: "•	舌淡红，苔薄白，脉弦； " },
                { name: "•	不通则痛，表现在胸部两侧、胃部、腹部、乳房、头部等，特点是一会儿这儿疼，一会儿那儿疼，部位不固定；" },
                { name: "•	大便稀，不爽快；" },
                { name: "•	女性月经前乳房胀痛，月经不调，痛经；" },
                { name: "•	性格内向不稳定、敏感多虑；神情抑郁、情感脆弱，烦闷不乐；易失眠；" },
                { name: "•	对精神刺激适应能力较差；不适应阴雨天气。" },
            ]
        },
        {
            key: '导致气郁质可能的原因',
            items: [
                { name: "•	悲观主义者；" },
                { name: "•	曾经受过大的精神刺激，时间较长未缓解，如幼年时经历过家庭破裂、亲人亡故等；" },
                { name: "•	个人欲望长期不能实现，自己也不能化解；" },
                { name: "•	较少受到关心爱护，缺少家庭温暖。" },
            ]
        },
        {
            key: '气郁质最需要警惕什么？',
            items: [
                { name: "•	精神系统疾病：抑郁症等；" },
                { name: "•	内分泌系统疾病：甲状腺肿、甲亢等；" },
                { name: "•	妇科疾病：乳腺增生、子宫肌瘤、更年期综合征等；" },
                { name: "•	其它：肿瘤等。" },
            ]
        }];
    var d8_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	宜多晒太阳，多参加户外活动；" },
                { name: "•	奋发向上，把生活安排得充实紧凑，多交朋友。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	多食海带、柠檬、山楂、玫瑰花等具有行气、解郁、消食、醒神作用的食物。" },
                { name: "•	主食：大麦、荞麦、刀豆、豌豆等；" },
                { name: "•	蔬菜：芹菜、菠菜、洋葱、韭菜、金针菜、芥蓝、茴香菜、夏枯草、蕨菜、白萝卜、荠菜、香菇、羊肚菌、青头菌、芥菜头、仙人掌、槐花、薄荷、紫苏、蒌蒿等；" },
                { name: "•	水果干果：橙子、枇杷、荔枝、佛手、橘、金橘、黄皮果、杏、山楂、槟榔等；" },
                { name: "•	大豆类及坚果：黄大豆、杏仁等；" },
                { name: "•	肉类及水产品：猪血、牛脑、羊心、鸡肝、海蜇、对虾、鲤鱼、草鱼等；" },
                { name: "•	可适量饮酒，有助行气化郁；" },
                { name: "•	不宜食用大枣、菱角、甘薯芋头等。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	多参加群众性的体育运动项目；" },
                { name: "•	可进行大负荷运动，如跑步、登山、游泳、打球、武术等；" },
                { name: "•	多参加体娱游戏，如下棋、打牌、气功、瑜伽、打坐放松训练，和太极拳，武术、五禽戏、摩面、叩齿、甩手等调息养神。" },
            ]
        }
    ];
    var d9 = [
         {
             key: '什么是特禀质？',
             items: [
                { name: "先天失常，表现为生理缺陷、过敏反应" },
                { name: "辨识：这是一类体质特殊的人群。其中过敏体质的人易对药物、食物、气味、花粉、季节过敏。" },
             ]
         },
        {
            key: '特禀质有哪些困扰？',
            items: [
                { name: "•	先天畸形，或有生理缺陷；" },
                { name: "•	过敏体质者常见哮喘、风疹、咽痒、鼻塞、喷嚏等；" },
                { name: "•	患遗传性疾病者有垂直遗传、先天性、家族性特征；" },
                { name: "•	患胎传性疾病者具有母体影响胎儿、个体生长发育及相关疾病特征；" },
                { name: "•	过敏体质者对易致过敏季节适应能力差，易引发宿疾。" },
            ]
        },
        {
            key: '导致特禀质可能的原因',
            items: [
                { name: "•	先天不足，如家族性疾病，出生缺陷" },
                { name: "•	母亲怀孕期不当用药，环境污染；" },
                { name: "•	父母吸烟、喝酒，养宠物，熬夜，不健康生活方式，心理压力大等；" },
                { name: "•	出生后服药不当导致药物致残。" },
            ]
        },
        {
            key: '特禀质最需要警惕什么？',
            items: [
                { name: "•	呼吸系统疾病：支气管哮喘等；" },
                { name: "•	皮肤疾病：荨麻疹、过敏性紫癜、花粉症、药物过敏等；" },
                { name: "•	遗传性疾病：血友病、先天愚型、癫痫、先天畸形等；" },
                { name: "•	胎传疾病如生长发育迟缓（立迟、行迟、发迟、齿迟和语迟）、五软（头软、项软、手足软、肌肉软、口软）、解颅、胎惊、胎痫等。" },

            ]
        }];
    var d9_Adjust = [
        {
            key: '生活起居：',
            items: [
                { name: "•	注意防寒保暖，多锻炼，多接触自然，注意防晒，多喝水；" },
                { name: "•	居室宜通风良好，保持室内清洁，被褥、床单要经常洗晒，防止尘螨过敏；" },
                { name: "•	外出时应戴口罩、眼镜，手、足等部位也尽量不要暴露；" },
                { name: "•	外出旅游，不要去花木茂盛的地方，不要进入菊花、百合、桂花、月季、秋海棠等过敏原多的地区。" },
            ]
        },
        {
            key: '饮食调节：',
            items: [
                { name: "•	饮食清淡、均衡，粗细搭配适当，荤素配置合理；多食益气固表的食物；" },
                { name: "•	主食：糯米、燕麦、山药等；" },
                { name: "•	蔬菜：水芹菜、丝瓜、薤白、珍珠、花菜、薄荷、生姜等；" },
                { name: "•	水果干果：大枣、酸枣、沙棘等；" },
                { name: "•	坚果：白果等；" },
                { name: "•	少食荞麦(含致敏物质荞麦荧光素)、蚕豆等；" },
                { name: "•	忌食芒果、酒、茶、咖啡、螺旋藻等含致敏源的食物。" },
            ]
        },
        {
            key: '运动锻炼：',
            items: [
                { name: "•	根据各种特禀体质的不同特征选择有针对性的运动锻炼项目；" },
                { name: "•	残疾人要在康复理疗师的指导下运动；" },
                { name: "•	过敏性哮喘者可进行游泳锻炼，宜热身后再运动；" },
                { name: "•	过敏者要避免春天或季节交替时长时间在野外锻炼。" },
            ]
        }
    ];
    
    if ("d1" == id) {
        dt = { "detail": d1, "details_Adjust": d1_Adjust, "title_Adjust": "平和质的调节" };
    } else if ("d2" == id) {
        dt = { "detail": d2, "details_Adjust": d2_Adjust, "title_Adjust": "气虚质的调节" };
    } else if ("d3" == id) {
        dt = { "detail": d3, "details_Adjust": d3_Adjust, "title_Adjust": "阳虚质的调节" };
    } else if ("d4" == id) {
        dt = { "detail": d4, "details_Adjust": d4_Adjust, "title_Adjust": "阴虚质的调节" };
    } else if ("d5" == id) {
        dt = { "detail": d5, "details_Adjust": d5_Adjust, "title_Adjust": "痰湿质的调节" };
    } else if ("d6" == id) {
        dt = { "detail": d6, "details_Adjust": d6_Adjust, "title_Adjust": "湿热质的调节" };
    } else if ("d7" == id) {
        dt = { "detail": d7, "details_Adjust": d7_Adjust, "title_Adjust": "血瘀质的调节" };
    } else if ("d8" == id) {
        dt = { "detail": d8, "details_Adjust": d8_Adjust, "title_Adjust": "气郁质的调节" };
    } else if ("d9" == id) {
        dt = { "detail": d9, "details_Adjust": d2_Adjust, "title_Adjust": "特禀质的调节" };
    }

   
    var viewModel = {
       
        constitutionalType: ko.observable(),
        details: ko.observable([]),
        details_Adjust: ko.observable([]),//调节详细部分
        barColors: ['#ffa500', '#ffbbb0', '#99CCFF', '#66CC00', '#663333', '#990066', '#CCFF66', '#666699', '#9966CC'],
        title_1: ko.observable(),
        title_2: ko.observable(),
        title_Adjust: ko.observable(),

        viewShown: function () {
            viewModel.constitutionalType(params.constitutionalType);
            viewModel.details(dt.detail);
            viewModel.details_Adjust(dt.details_Adjust);
            viewModel.title_Adjust(dt.title_Adjust);

            $("#colChartContainer").dxChart({
                dataSource: [
                    { value: Math.abs(params.aScore), type: "平和质" },
                    { value: Math.abs(params.bScore), type: "气虚质" },
                    { value: Math.abs(params.cScore), type: "阳虚质" },
                    { value: Math.abs(params.dScore), type: "阴虚质" },
                    { value: Math.abs(params.eScore), type: "痰湿质" },
                    { value: Math.abs(params.fScore), type: "湿热质" },
                    { value: Math.abs(params.gScore), type: "血瘀质" },
                    { value: Math.abs(params.hScore), type: "气郁质" },
                    { value: Math.abs(params.iScore), type: "特禀质" }
                ],
               
                commonSeriesSettings: {
                    argumentField: "type",
                    valueField: "value",
                    type: "bar"
                },

                customizePoint: function () {
                    var color = viewModel.barColors[this.index];
                    return { color: color, hoverStyle: { color: color } };
                },

                legend: {
                    visible: false
                },
                rotated:true,

                series: [{}],
            });

            //调整list
            function getTop(e) {
                var offset = e.offsetTop;
                if (e.offsetParent != null) offset += getTop(e.offsetParent);
                return offset;
            }
            var clientHeight = $(window).height();
            $("#TCMR-list").each(function () {
                //$(this).css("height", (-getTop(this)) % clientHeight + clientHeight + "px");
                $(this).css("height", "100%");
            });

            viewModel.title_1("您的体质类型是：");
            viewModel.title_2("体质详情");
            
            $("#show").show();
        }
        
    };

    return viewModel;
};