﻿Light.GroupShare = function (params) {

    //返回按钮
    backClick = function (e) {
        if (window.plugins && window.plugins.LeanChat) {
            window.plugins.LeanChat.registStatusCallback(Light.PartnerPluginData.group_all_onState);
            window.plugins.LeanChat.fetchGroupById(Light.rtdata.leanCloudSocialId, params.groupId);
        }
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: Globalize.localize('partner-groupShare') },
    ];

    function getData() {
        //群成员
        var onGroupMemberSuccess = function (rt) {

            var onShareSuccess = function (data) {
                viewModel.networkFlg(true);
                viewModel.img_info('');
                viewModel.infoText(Globalize.localize(''));
                var tmp = [];
                for (i = 0; i < data.length; i++) {

                    if (data[i].userIdFrom !== Light.rtdata.memberId) {
                        for (j = 0; j < rt.length; j++) {
                            //群成员
                            if (data[i].userIdFrom == Globalize.parseInt(rt[j].get("username"))) {
                                tmp.push({
                                    userId: rt[j].id,
                                    userName: Globalize.parseInt(rt[j].get("username")),
                                    userHeadImage: rt[j].get("userHeadImage"),
                                    name: rt[j].get("nickname"),
                                    startDate: new Date(Light.tool.getStandardDate(data[i].dateStart)),
                                    endDate: new Date(Light.tool.getStandardDate(data[i].dateEnd)),
                                    weightFlg: data[i].flag1,
                                    sportsFlg: data[i].flag2,
                                    foodFlg: data[i].flag3,
                                    medicineFlg: data[i].flag4,
                                });
                                break;
                            }
                        }
                    }

                }

                if (tmp.length > 0) {
                    viewModel.memberSource(tmp);
                    viewModel.memberNoDataText('');

                } else {
                    viewModel.memberSource([]);
                    viewModel.memberNoDataText(Globalize.localize('partner-share-noData'));
                }
            }

            Light.action.datashare.getDefineForMe(Light.rtdata.memberId, params.groupId, onShareSuccess, function () {
                viewModel.networkFlg(false);
                viewModel.img_info('./resource/img/noNetwork.gif');
                viewModel.infoText(Globalize.localize('profile-network-disconnect'));
            });
        }

        var data = {
            clientId: Light.rtdata.leanCloudSocialId,
            groupId: params.groupId,
        };
        Light.action.leancloud.realtime.listGroupMember(data, onGroupMemberSuccess, function () {
            viewModel.networkFlg(false);
            viewModel.img_info('./resource/img/noNetwork.gif');
            viewModel.infoText(Globalize.localize('profile-network-disconnect'));
        });
    }

    var viewModel = {
        memberSource: ko.observable([]),
        memberNoDataText: ko.observable(''),
        networkFlg: ko.observable(true),
        img_info: ko.observable(''),
        infoText: ko.observable(''),
        //页面刷新
        refreshClick: function () {
            getData();
        },
        //画面选择成员
        selectMemberClick: function (object) {
            Light.app.navigate({ view: 'GroupShareData', userId: object.model.userName, name: object.model.name, startDate: object.model.startDate, endDate: object.model.endDate, weightFlg: object.model.weightFlg, sportsFlg: object.model.sportsFlg, foodFlg: object.model.foodFlg, medicineFlg: object.model.medicineFlg });
        },

        //画面init
        viewShown: function () {
            viewModel.memberSource([]);
            viewModel.memberNoDataText('');
            getData();
        },
    };

    return viewModel;
};