﻿Light.PlanDetail = function (params) {

    var viewModel = {

        topTitle: ko.observable(params.title),
        content: ko.observable(""),

        viewShown: function () {

            var box = $("#detailbox");

            switch (params.plan) {
                case "998":
                    viewModel.topTitle(Globalize.localize('plan-item-998'));
                    box[0].innerHTML = Globalize.localize('planDetail-998');
                    break;
                case "868":
                    viewModel.topTitle(Globalize.localize('plan-item-868'));
                    box[0].innerHTML = Globalize.localize('planDetail-868');
                    break;
                case "yasu":
                    viewModel.topTitle(Globalize.localize('plan-item-yasu'));
                    box[0].innerHTML = Globalize.localize('planDetail-yasu');
                    break;
                case "aili":
                    viewModel.topTitle(Globalize.localize('plan-item-aili'));
                    box[0].innerHTML = Globalize.localize('planDetail-aili');
                    break;
                case "other":
                    viewModel.topTitle(Globalize.localize('plan-item-other'));
                    box[0].innerHTML = Globalize.localize('planDetail-other');
                    break;
                default:
                    viewModel.topTitle(Globalize.localize('plan-item-498'));
                    box[0].innerHTML = Globalize.localize('planDetail-free');
                    break;
            }
        },

        clickKnowe: function () {
            DevExpress.hardwareBackButton.fire();
        },

    };

    return viewModel;
};