﻿Light.Login = function (params) {

    var memberAcc, memberPassword;

    var init_notification = function (donefunc) {
        var renewdone = function (count) {

            Light.action.notification.renewSystemNotification(
                donefunc,
                function () {
                    DevExpress.ui.notify("通知更新失败.", "error", 300);
                    donefunc();
                }
                );
        };

        Light.action.notification.renewNotification(renewdone, donefunc);
    };
    /* 
    Light.Login.onauth = function (uid) {
        try {
            console.log("onauth:" + uid);

            //var key = "testkey001";
            var username = "";
            Light.action.serverthirdPartyLoginCheck(
                uid, username,
                function (retData) {
                    if (retData && retData.memberAcc && retData.memberAcc != "") {
                        alert("udid=" + Light.rtdata.UDID);
                        alert("currentUdid=" + retData.currentUdid);
                        //已录入
                        Light.action.setting.saveAccPassword(retData.memberAcc, "");

                        Light.action.setting.setUserInfoUserName(retData.userName);
                        Light.action.setting.setUserInfoSex(retData.sex);
                        Light.action.setting.setUserInfoBirthday(retData.birthday);
                        Light.action.setting.setUserInfoHeight(retData.userHeight);
                        Light.action.setting.setUserInfoWeight(retData.userWeight);
                        Light.action.setting.setUserInfoJob(retData.userJob);
                        Light.action.setting.setUserInfoAddress(retData.address);
                        Light.action.setting.setUserHeadImg(retData.userHeadImg);
                        Light.rtdata.memberAcc = retData.memberAcc;
                        Light.rtdata.thirdPartyType = retData.thirdPartyType;
                        Light.rtdata.memberPassword = "";
                        Light.Login.serverForData();
                    } else {
                        //未录入
                        Light.rtdata.thirdPartyKey = uid;
                        Light.app.navigate({ view: 'Gender', register: false, other: true });
                    }
                }, null);
        }
        catch (exception) {
            console.log(exception);
        }

    };
    */
    Light.Login.serverForData = function () {
        var typelist = [
            "coin",
            "setting",
            "pedometer",
            "weight",
            "surveys",
            "calorie",
            "customMedicine",
            "customMedicinePlan",
            "healthPlan",
            "honor",
            "favorite"];
        var resultlist = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
        var callback = function (tag, isSuccess) {
            for (var i = 0; i < typelist.length; i++) {
                if (typelist[i] == tag) {
                    if (isSuccess) {
                        resultlist[i] = 1;
                    } else {
                        resultlist[i] = 2;
                    }
                    break;
                }
            }
            for (var i = 0; i < resultlist.length; i++) {
                if (resultlist[i] == 0) {
                    return;
                }
            }
            //all response 
            var rt = "";
            for (var i = 0; i < resultlist.length; i++) {
                rt = rt + "\n" + typelist[i] + ":" + resultlist[i];
            }

            Light.action.setting.initRtdata();
            //unlock screen
            viewModel.popuploadingVisible(false);
            init_notification(function () { Light.app.navigate('Home', { root: true }); });
        }
        Light.action.coin.downloadFromServer(function () { callback("coin", true); }, function () { callback("coin", false); });
        Light.action.honor.downloadFromServer(function () { callback("honor", true); }, function () { callback("honor", false); });

        Light.action.pedometer.downloadFromServer(function () { callback("pedometer", true); }, function () { callback("pedometer", false); });
        Light.action.weight.downloadFromServer(function () { callback("weight", true); }, function () { callback("weight", false); });
        Light.action.surveys.downloadFromServer(function () { callback("surveys", true); }, function () { callback("surveys", false); });
        Light.action.customMedicine.downloadFromServer(function () { callback("customMedicine", true); }, function () { callback("customMedicine", false); });
        Light.action.customMedicinePlan.downloadFromServer(function () { callback("customMedicinePlan", true); }, function () { callback("customMedicinePlan", false); });
        Light.action.healthPlan.downloadFromServer(function () { callback("healthPlan", true); }, function () { callback("healthPlan", false); });
        Light.action.calorie.downloadFromServer(function () { callback("calorie", true); }, function () { callback("calorie", false); });
        Light.action.setting.downloadFromServer(function () { callback("setting", true); }, function () { callback("setting", false); });
        Light.action.favorite.downloadFromServer(function () { callback("favorite", true); }, function () { callback("favorite", false); });

    }

    Light.Login.MemberDevice = function () {

        Light.action.serverBindMemberDevice(memberAcc, memberPassword,
            function (retData) {
                Light.rtdata.thirdPartyType = retData.thirdPartyType;
                Light.action.setting.saveAccPassword(memberAcc, memberPassword);
                Light.rtdata.memberAcc = memberAcc;
                Light.rtdata.memberPassword = memberPassword;
                Light.Login.serverForData();
            },
            function (type) {
                viewModel.popuploadingVisible(false);
                if (type == "logic") {
                    DevExpress.ui.notify(Globalize.localize('profile-loginMessage-error'), "error", 1000);
                }
            }
        );
    }
    Light.Login.thirdPartyLogin = function () {
        try {
            console.log("onauth:" + Light.rtdata.thirdPartyKey);

            //var key = "testkey001";
            var username = "";
            Light.action.serverthirdPartyLogin(
                Light.rtdata.thirdPartyKey, username,
                function (retData) {
                    if (retData && retData.memberAcc && retData.memberAcc != "") {
                        //已录入
                        Light.action.setting.saveAccPassword(retData.memberAcc, "");
                        Light.action.setting.setThirdPartyType(retData.thirdPartyType);
                        Light.action.setting.setUserInfoUserName(retData.userName);
                        Light.action.setting.setUserInfoSex(retData.sex);
                        Light.action.setting.setUserInfoBirthday(retData.birthday);
                        Light.action.setting.setUserInfoHeight(retData.userHeight);
                        Light.action.setting.setUserInfoWeight(retData.userWeight);
                        Light.action.setting.setUserInfoJob(retData.userJob);
                        Light.action.setting.setUserInfoAddress(retData.address);
                        Light.action.setting.setUserHeadImg(retData.userHeadImg);
                        Light.rtdata.memberAcc = retData.memberAcc;
                        Light.rtdata.common_userName = retData.userName;
                        Light.rtdata.thirdPartyType = retData.thirdPartyType;
                        Light.rtdata.memberPassword = "";

                        var leanCloudSocialId = retData.leanCloudSocialId;
                        var memberId = retData.memberId;

                        Light.action.setting.setLeanCloud(leanCloudSocialId, null);
                        Light.rtdata.leanCloudSocialId = leanCloudSocialId;

                        Light.action.setting.setMemberId(memberId);
                        Light.rtdata.memberId = memberId;

                        Light.Login.serverForData();
                       // Light.app.navigate('Home', { root: true });
                    }
                }, null);
        }
        catch (exception) {
            console.log(exception);
        }

    }

    Light.Login.setWarnning = function () {

        viewModel.popuploadingVisible(false);
        viewModel.tipVisible(true);
    }

    var viewModel = {
        pageVisible: ko.observable(false),
        popupPageVisible: ko.observable(false),

        loginName: ko.observable(""),
        loginPassword: ko.observable(""),
        popuploadingVisible: ko.observable(false),
        tipVisible: ko.observable(false),

        wxVisible: ko.observable(false),
        qqVisible: ko.observable(false),

        //画面init
        viewShown: function () {
            viewModel.popupPageVisible(true);

            memberAcc = "";
            viewModel.loginName("");
            memberPassword = "";
            viewModel.loginPassword("");
            viewModel.popuploadingVisible(false);

            if (window.plugins && window.plugins.SharesdkAuth) {
                viewModel.wxVisible(false);
                viewModel.qqVisible(false);
                window.plugins.SharesdkAuth.hasApp(
                    function (rs) {
                        if (rs.wx == 'YES') viewModel.wxVisible(true);
                        if (rs.qq == 'YES') viewModel.qqVisible(true);

                        viewModel.popupPageVisible(false);
                        viewModel.pageVisible(true);
                    }
                );
            } else {
                viewModel.wxVisible(true);
                viewModel.qqVisible(true);

                viewModel.popupPageVisible(false);
                viewModel.pageVisible(true);
            };

            //if (window.plugins && window.plugins.SharesdkAuth) {
            //    window.plugins.SharesdkAuth.registAuthCallback(Light.action.onauth);
            //};
        },

        rerollClick: function () {
            Light.app.navigate({ view: 'Register', forget: true });
        },

        registerClick: function () {
            Light.app.navigate({ view: 'Gender', register: true });
        },

        wxClick: function () {
            Light.rtdata.thirdPartyRegist = 0;
            if (window.plugins && window.plugins.SharesdkAuth) {
                Light.rtdata.thirdPartyType = 1;
                window.plugins.SharesdkAuth.registAuthCallback(Light.action.onauth);
                window.plugins.SharesdkAuth.auth("wx");//qq,sinawb,wx
                //window.plugins.SharesdkAuth.unAuth("wx");//qq,sinawb,wx
                //Light.Login.onauth();
            };
        },

        qqClick: function () {
            Light.rtdata.thirdPartyRegist = 0;
            if (window.plugins && window.plugins.SharesdkAuth) {
                Light.rtdata.thirdPartyType = 2;
                window.plugins.SharesdkAuth.registAuthCallback(Light.action.onauth);
                window.plugins.SharesdkAuth.auth("qq");//qq,sinawb,wx
                //window.plugins.SharesdkAuth.unAuth("qq");//qq,sinawb,wx
                //Light.Login.onauth();
            };
        },

        sinawbClick: function () {
            Light.rtdata.thirdPartyRegist = 0;
            if (window.plugins && window.plugins.SharesdkAuth) {
                Light.rtdata.thirdPartyType = 3;
                window.plugins.SharesdkAuth.registAuthCallback(Light.action.onauth);
                window.plugins.SharesdkAuth.auth("sinawb");//qq,sinawb,wx
                //window.plugins.SharesdkAuth.unAuth("sinawb");//qq,sinawb,wx
                //Light.Login.onauth();
            };
        },

        qqClickbak: function () {
            var key = "testkey001";
            var username = "卡卡";
            Light.action.serverthirdPartyLoginCheck(
                key, username,
                function (isRegisted) {
                    if (isRegisted == 1) {
                        //已录入
                        Light.app.navigate('Home', { root: true });
                    } else {
                        //未录入
                        Light.app.navigate({ view: 'Gender', register: false, other: true });
                    }
                }, null);
        },

        loginClick: function () {

            if (viewModel.loginName() == '') {
                DevExpress.ui.notify(Globalize.localize('profile-account') + Globalize.localize('message-notNull'), "error", 2000);

            } else if (viewModel.loginPassword() == '') {
                DevExpress.ui.notify(Globalize.localize('profile-password') + Globalize.localize('message-notNull'), "error", 2000);

            } else {

                viewModel.popuploadingVisible(true);
                Light.rtdata.thirdPartyKey = null;
                memberAcc = viewModel.loginName();
                memberPassword = "" + CryptoJS.MD5(viewModel.loginPassword());

                Light.action.serverChkMemStatus(Light.rtdata.UDID, memberAcc,
                    function (status) {
                        if (status == 0) {
                            Light.Login.MemberDevice();
                        } else {
                            viewModel.popuploadingVisible(false);
                            viewModel.tipVisible(true);
                        }
                    },
                    function () {
                        viewModel.popuploadingVisible(false);
                    });
            }
        },

        tipDefine: function () {
            
            if (Light.rtdata.thirdPartyKey != null && Light.rtdata.thirdPartyKey != "") {
                Light.Login.thirdPartyLogin();
            } else {
                Light.Login.MemberDevice();
            }
        },

        tipCancel: function () {
            if (window.plugins && window.plugins.SharesdkAuth) {
                if (Light.rtdata.thirdPartyType == 1) {
                    window.plugins.SharesdkAuth.unAuth("wx")
                } else if (Light.rtdata.thirdPartyType == 2) {
                    window.plugins.SharesdkAuth.unAuth("qq")
                } else if (Light.rtdata.thirdPartyType == 3) {
                    window.plugins.SharesdkAuth.unAuth("sinawb")
                }
            }
            Light.rtdata.thirdPartyType == 0;
            viewModel.tipVisible(false);
        },

        viewHidden: function () {
            viewModel.pageVisible(false);
            viewModel.popuploadingVisible(false);
            viewModel.tipVisible(false);
        },
    };

    return viewModel;
};