﻿Light.StarExplain = function (params) {

    function displayComplete() {

        $("#containers").dxLinearGauge({

            value: params.day,
            valueIndicator: {
                type: 'rangeBar',
                color: '#f26d7e',
                offset: -1,
                width: 10,
            },
            
            scale: {
                startValue: 0,
                endValue: 28,
                majorTick: {
                    tickInterval: 7,
                },
            },

            rangeContainer: {
                ranges: [
                    { startValue: 0, endValue: 7, color: '#efeff4' },
                    { startValue: 7, endValue: 14, color: '#efeff4' },
                    { startValue: 14, endValue: 21, color: '#efeff4' },
                    { startValue: 21, endValue: 28, color: '#efeff4' },
                ],
                width: { start: 10, end: 10 },
            },

            size: {
                height: 40,
                width: document.body.clientWidth * 0.8,
            }
        });
    };

    var viewModel = {
        day: params.day + '天',

        viewShown: function () {
            displayComplete();
        },
    };

    return viewModel;
};