﻿Light.Sick = function (params) {

    var viewModel = {
        dataSick: ko.observable(''),
        sexVisible: ko.observable(''),
        objWomenSick: Light.config.diseaseWomenList,
        objManSick: Light.config.diseaseManList,

        clearSelectionClick: function () {
            viewModel.dataSick(null);
        },

        //确定click
        confirmClick: function () {
            //保存
            var savaData = [0,0,0,0,0,0,0,0,0,0];
            var list = viewModel.dataSick();
            if (list !== null){
                for (var i = 0; i < list.length; i++) {
                    savaData[list[i]] = 1;
                }
            }
            Light.rtdata.common_disease = savaData[0] + ',' + savaData[1] + ',' + savaData[2] + ',' + savaData[3] + ',' + savaData[4] + ',' + savaData[5] + ',' + savaData[6] + ',' + savaData[7] + ',' + savaData[8] + ',' + savaData[9];
            Light.action.setting.setDisease(savaData);
            DevExpress.hardwareBackButton.fire();
        },

        //画面init
        viewShown: function () {
            if (Light.rtdata.common_sex == 0) {
                //女性
                viewModel.sexVisible('women');
            } else {
                //男性
                viewModel.sexVisible('man');
            }

            if (params.value) {
                var list = $.parseJSON(params.value.replace('json:', ''));
                var sickList = [];
                for (var i = 0; i < list.length; i++) {
                    if (list[i] == 1) {
                        sickList.push(i);
                    }
                }
                viewModel.dataSick(sickList);
            }
        },
    };

    return viewModel;
};