﻿Light.Weight = function (params) {

    var viewModel = {

        txtNext: ko.observable(""),
        dataWeight: ko.observable(),
        defaultValue: params.value,

        clickNext: function () {

            if (viewModel.dataWeight()) {
                weight = viewModel.dataWeight();
                weight = String(weight).split(' ')[0]; // 去掉单位
            } else {
                weight = viewModel.defaultValue;
            }

            Light.rtdata.common_weight = Globalize.parseFloat(weight + '');
            Light.action.setting.setUserInfoWeight(Light.rtdata.common_weight);

            if (params.isChange == String(true)) {
                DevExpress.hardwareBackButton.fire();
            } else {
                Light.app.navigate({ view: 'City', register: params.register, other: params.other });
            }
        },

        viewShown: function () {
            if (params.isChange == String(true)) {
                viewModel.txtNext(Globalize.localize('common-confirm'));
            } else {
                viewModel.txtNext(Globalize.localize('profile-continue'));
            }
        },
    };

    return viewModel;
};