﻿Light.Research = function (params) {

    var getProjectList = function (telephone) {

        var done = function (items) {
            viewModel.projectList(items);
            if (items && items.length == 0) {
                viewModel.hintvisible(true);
                viewModel.listvisible(false);
            }
        };
        var fail = function () {
            //alert("error");
            viewModel.projectList([]);
        };

        Light.action.research.GetProjList(telephone, done, fail);
    };
    var viewModel = {
        //  Put the binding properties here
        projectList: ko.observable(),
        hintvisible: ko.observable(),
        listvisible: ko.observable(),
        viewShown: function () {
            viewModel.hintvisible(false);
            viewModel.listvisible(true);
            getProjectList(Light.rtdata.memberAcc);
        },
        viewHidden: function () {

        },
        clickProject: function (e) {
            var id = e.itemData.projectId;
            var name = e.itemData.projectName;
            var type = e.itemData.userType;

            if (type == "管理员") {
                Light.app.navigate({ view: 'ProjectUserList', id: id, name: name }, { root: false });
                return;
            } 

            var userid = Light.rtdata.memberAcc;
            var userName = Light.rtdata.common_userName;
            Light.app.navigate({
                view: 'ProjectUserDetail',
                projectId: id,
                userId: userid,
                projectName: name,
                userName: userName,
            }, { root: false });
            //alert(id);
        },
    };

    return viewModel;
};