﻿Light.MyHC = function (params) {
    var getCoupons = function (type) {
        Light.action.wealth.getMyCoupons(
        Light.rtdata.memberAcc,
        function (list) {
            var tempList = [];
            for (var i = 0; i < list.length; i++) {
                //console.log(list[i]);
                if (list[i].valid <= 0) {
                    list[i]["isZero"] = "not-use";
                    if (type == 1) {
                        tempList.push(list[i]);
                    }
                } else {
                    list[i]["isZero"] = "";
                    if (type == 0) {
                        tempList.push(list[i]);
                    }
                }
            }
            console.log(tempList);
            viewModel.giftListSource(tempList);
        },
        function (list) { viewModel.giftListSource(list); });

    }


    var viewModel = {
        giftListSource: ko.observable([]),


        dispChartType: ko.observable(0),
        couponTabs: [
            { id: 1, text: "可用优惠券", dispChartType: 0 },
            { id: 2, text: "失效优惠券", dispChartType: 1 },
        ],
        //tab按下
        couponTabsClicked: function (e) {
            dispChartType = e.itemData.dispChartType;
            if (dispChartType == 0) {
                getCoupons(0);
            } else if (dispChartType == 1) {
                getCoupons(1);
            }
        },

        toShop: function (obj) {
            //alert("todo" + obj.model.coupon_url);
            //Light.action.serverTo51jkIos(Light.rtdata.memberAcc, obj.model.coupon_url);
            var url = obj.model.coupon_url;
            switch (DevExpress.devices.real().platform) {
            case "ios":
                Light.action.serverTo51jkIos(Light.rtdata.memberAcc, url);
                break;
            case "android":
                var fullurl = Light.action.serverTo51jkAndroid(Light.rtdata.memberAcc, url);
                Light.app.navigate({view:'Shop', url:fullurl}, { root: true });
                break;
            default:
                Light.action.serverTo51jkIos(Light.rtdata.memberAcc, url);
                /*
                if (window.plugins && window.plugins.seioinappbrowser) {
                    window.plugins.seioinappbrowser(url, "_system", "location=no");
                } else if (window.open) {
                    window.open(url, "_system", 'location=no');
                }*/
                break;
        }
        },
        //画面init
        viewShown: function () {
            /*
            //取得我的优惠券
            Light.action.wealth.getMyCoupons(
                Light.rtdata.memberAcc,
                function (list) {
                    var tempList = [];
                    for (var i = 0; i < list.length; i++) {
                        //console.log(list[i]);
                        if (list[i].valid <= 0) {
                            list[i]["isZero"] = "not-use";
                        } else {
                            list[i]["isZero"] = "";
                        }
                        tempList.push(list[i]);
                    }
                    console.log(tempList);
                    viewModel.giftListSource(tempList);
                },
                function (list) { viewModel.giftListSource(list); });
                */
            viewModel.dispChartType(0);
            getCoupons(0);
        },
    };
    return viewModel;
};
