﻿Light.MyWealth = function (params) {

    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'Profile' });
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: Globalize.localize('wealth-myWealth') },
    ];
    function checkNetState() {
        viewModel.img_info('');
        viewModel.infoText('');

        //网络check
        if (Light.network.checkConnection()) {
            viewModel.networkFlg(true);
        } else {
            viewModel.networkFlg(false);
        }
        if (viewModel.networkFlg()) {
            //有网络
            viewModel.networkFlg(true);
            viewModel.img_info('');
            viewModel.infoText('');
            getData();
        } else {
            //无网络
            viewModel.img_info('./resource/img/noNetwork.gif');
            viewModel.infoText(Globalize.localize('profile-network-disconnect'));
        }
    }
    function getData() {
        viewModel.img_head(Light.rtdata.common_imgHead);
        viewModel.user(Light.rtdata.common_userName);
        viewModel.cnt("0");
        Light.action.wealth.getMyCoinCount(
            Light.rtdata.memberId,
            function (count) { viewModel.cnt(count); },
            function (count) { viewModel.cnt(count); });

        Light.action.wealth.getAllCoupons(
            function (list) { console.log('优惠券列表：', list); viewModel.giftListSource(list); },
            function (list) { viewModel.giftListSource(list); });
    };
    var viewModel = {
        cnt: ko.observable(0),
        giftListSource: ko.observable([]),
        img_head: ko.observable(''),
        user: ko.observable(''),
        networkFlg: ko.observable(true),
        img_info: ko.observable(''),
        infoText: ko.observable(''),
        //页面刷新
        refreshClick: function () {
            checkNetState();
        },
        //画面init
        viewShown: function () {
            checkNetState();
        },
        myCoin: function () {
            Light.app.navigate({ view: 'TodayHC', cnt: viewModel.cnt(), });
        },
        myGift: function () {
            Light.app.navigate({ view: 'MyHC', cnt: viewModel.cnt(), });
        },

        giftSelectClick: function (obj) {
            Light.app.navigate({
                view: 'ExchangeGifts',
                id: obj.model.id,
                url: obj.model.url,
                jkb: obj.model.jkb,
                desc: obj.model.desc,
                y: obj.model.y,
                m: obj.model.m,
                d: obj.model.d,
            });
        },
    };
    return viewModel;
};
