﻿Light.TodayHC = function (params) {
    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'MyWealth' });
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: Globalize.localize('wealth-getMethodList') },
    ];

    var baseSource = [
            {
                name: Globalize.localize('wealth-m-0'),
                img_icon: "./resource/icon/eat_w.png",
            },
            {
                name: Globalize.localize('wealth-m-1'),
                img_icon: "./resource/icon/medicine_w.png",
            },
            {
                name: Globalize.localize('wealth-m-2'),
                img_icon: "./resource/icon/brush_w.png",
            },
            {
                name: Globalize.localize('wealth-m-3'),
                img_icon: "./resource/icon/sport_w.png",
            },
            {
                name: Globalize.localize('wealth-m-4'),
                img_icon: "./resource/icon/weight_w.png",
            },
    ];

    //default today data
    var todayData = [
        { type: 0, count: 0 },
        { type: 1, count: 0 },
        { type: 2, count: 0 },
        { type: 3, count: 0 },
        { type: 4, count: 0 }
    ];

    var bindData = function () {
        var define = Light.action.coin.TYPE;
        viewModel.meunSource([]);
        for (var i = 0; i < define.length; i++) {
            baseSource[i].name = define[i].name;
            baseSource[i].count = define[i].count;
            baseSource[i].limit = define[i].limit;
            baseSource[i].todaycount = todayData[i].count + "/" + define[i].limit;
        }
        viewModel.meunSource(baseSource);
    }
    
    var loadTodayData = function () {
        //coin define
        Light.tool.getDate()
        todayData = [
       { type: 0, count: 0 },
       { type: 1, count: 0 },
       { type: 2, count: 0 },
       { type: 3, count: 0 },
       { type: 4, count: 0 }
        ];
        Light.action.coin.getByDate(Light.tool.getDate()
                , function (list) {
                    var type = 0;
                    for (var i = 0; i < list.length; i++) {
                        type = list[i].coinType;
                        todayData[type].count = todayData[type].count + 1;
                    }
                    bindData();
                },
                function () {
                    bindData();
                }
            );
    };

    var viewModel = {
        cnt: ko.observable(),
        meunSource: ko.observable(),
        img_head: ko.observable(''),
        user: ko.observable(''),

        viewShown: function (obj) {
            viewModel.cnt("0");
            Light.action.wealth.getMyCoinCount(
                Light.rtdata.memberId,
                function (count) { viewModel.cnt(count); },
                function (count) { viewModel.cnt(count); });
            viewModel.img_head(Light.rtdata.common_imgHead);
            viewModel.user(Light.rtdata.common_userName);
            loadTodayData();

        },

        recordHC: function () {
            Light.app.navigate({ view: 'RecordHC' });
        },

        itemClick: function (obj) {
            Light.app.navigate({ view: 'Schedule', scheduleBackFlg: 'TodayHC' });
        },

        explainHC: function () {
            Light.app.navigate({ view: 'ExplainHC' });
        }
    };

    return viewModel;
};