﻿//action honor
(function () {
    Light.action.addressBook = {

        getAll: function (donefunc, failfunc) {
            var loadNative = function () {
                Light.db.addressBook.select(null, donefunc, failfunc)
            };

            var done = function (items) {
                if (items && items != null) {
                    Light.db.addressBook.reset();

                    if (items.length > 0) {
                        for (var i = 0; i < items.length; i++) {
                            var item = items[i];
                            var data = {
                                username: item.username,
                                email: item.email,
                                phone: item.phone,
                                nickname: item.nickname,
                                birthday: item.birthday,
                                sex: item.sex,
                                height: item.height,
                                weight: item.weight,
                                address: item.address,
                                job: item.job,
                                disease: item.disease,
                                userHeadImage: item.userHeadImage
                            };
                            Light.db.addressBook.insert(data, null, null);
                        }
                    }
                    loadNative();
                } else {
                    if (failfunc) failfunc();
                }
            };

            Light.action.leancloud.share.getAddressBook(done, loadNative);
        },

        
    };
})();
