﻿// application tool
(function () {

    Light.action.leancloud = Light.action.leancloud || {};
    Light.action.leancloud.realtime = {
        init: function (clientId) {
            var realtime = AV.realtime({
                appId: Light.action.leancloud.conifg.AppId,
                clientId: clientId,
                encodeHTML: true,
            });
        },
        
        //创建群组
        /*
        createGroup: function (data, okfunc, errfunc) {
            var realtime = AV.realtime({
                appId: Light.action.leancloud.conifg.AppId,
                clientId: data.clientId,
                encodeHTML: true,
            });
            
            realtime.on('open', function () {
                conversationObj = realtime.conv({
                    members: data.groupMemberList,
                    name: data.groupName,
                    attr: {
                        desc: data.groupDesc
                    }
                }, function (data) {
                    if (data) {
                        //console.log('Conversation 创建成功!', data);
                        if (okfunc) okfunc(data);
                    } else {
                        if (errfunc) errfunc();
                    }
                });
            });
        },*/

        //添加群组成员
        /*
        addGroupMember: function (data, okfunc, errfunc) {
            var realtime = AV.realtime({
                appId: Light.action.leancloud.conifg.AppId,
                clientId: data.clientId,
                encodeHTML: true,
            });

            realtime.on('open', function () {
                realtime.conv(data.groupId, function (conv) {
                    if (conv) {
                        conv.add(data.newMemberList,
                            function (data) {
                                //console.log('成功添加用户：', data);
                                if (okfunc) okfunc(data);
                            });
                    } else {
                        //console.log('服务器端不存在这个 conversation。');
                        if (errfunc) errfunc();
                    }
                });
            });
        },*/

        //删除某一个群组成员
        /*
        removeGroupMember: function (data, okfunc, errfunc) {
            var realtime = AV.realtime({
                appId: Light.action.leancloud.conifg.AppId,
                clientId: data.clientId,
                encodeHTML: true,
            });

            realtime.on('open', function () {
                realtime.conv(data.groupId, function (conv) {
                    if (conv) {
                        conv.remove(data.memberId,
                            function (data) {
                                if (okfunc) okfunc(data);
                            });
                    } else {
                        if (errfunc) errfunc();
                    }
                });
            });
        },*/

        //取得所有群组成员
        listGroupMember: function (data, okfunc, errfunc) {
            var realtime = AV.realtime({
                appId: Light.action.leancloud.conifg.AppId,
                clientId: data.clientId,
                encodeHTML: true,
            });

            var getAllinfo = function (users) {
                var namelist = "";
                for (var i = 0; i < users.length; i++) {
                    if (namelist != "") { namelist = namelist + ","; }
                    namelist = namelist + "'" + users[i] + "'";
                }

                AV.Query.doCloudQuery("select * from _User where objectId in (" + namelist + ")", [], {
                    success: function (result) {
                        var results = result.results;
                        if (okfunc) okfunc(results);
                    },
                    error: function (error) {
                        if (errfunc) errfunc();
                    }
                });
            };

            var Conv = AV.Object.extend("_Conversation");
            var query = new AV.Query(Conv);
            query.get(data.groupId, {
                success: function (conv) {
                    var users = conv.get("m");
                    getAllinfo(users);
                },
                error: function (object, error) {
                    if (errfunc) errfunc();
                }
            });

            /*
            realtime.on('open', function () {
                realtime.conv(data.groupId, function (conv) {
                    if (conv) {
                        conv.list(function (users) {
                            getAllinfo(users);
                        });
                    } else {
                        if (errfunc) errfunc();
                    }
                });
            });*/
        },

        //依据群组名称模糊查询
        searchGroup: function (data, okfunc, errfunc) {

            var groupName = "%" + data.name + "%";
            AV.Query.doCloudQuery('select * from _Conversation where name like ? and m=?', [groupName, data.clientId], {
                success: function (result) {
                    var results = result.results;
                    if (okfunc) okfunc(results);
                },
                error: function (error) {
                    if (errfunc) errfunc();
                }
            });
        },

        //查询参加的群组
        searchMyGroup: function (clientId, okfunc, errfunc) {
            AV.Query.doCloudQuery('select * from _Conversation where m=?', [clientId], {
                success: function (result) {
                    var results = result.results;
                    if (okfunc) okfunc(results);
                },
                error: function (error) {
                    if (errfunc) errfunc();
                }
            });
        },

        /*
        editGroup: function (id, name, desc, okfunc, errfunc) {
            //{"id":"559b7dece4b07a1ae535b20b"}
            AV.Cloud.run('editGroup', { id:id, name:name, desc:desc}, {
                success: function (result) {
                    if (result.flag == true) {//forbid group done
                        if (okfunc) okfunc();
                    } else {
                        if (errfunc) errfunc();
                    }
                },
                error: function (error) {
                    if (errfunc) errfunc(error);
                }
            });
        },*/

        getGroupInfo: function (id, okfunc, errfunc) {
            //{"id":"559b7dece4b07a1ae535b20b"}
            AV.Cloud.run('getGroupInfo', { id: id}, {
                success: function (result) {
                    if (result.flag == true) {//forbid group done
                        var rt = { name: result.name, c: result.c, nameflag: result.nameflag, desc: result.desc };
                        if (okfunc) okfunc(rt);
                    } else {
                        if (errfunc) errfunc();
                    }
                },
                error: function (error) {
                    if (errfunc) errfunc(error);
                }
            });
        },
    };

})();
