﻿//action weight Weight
(function () {
    Light.action.social = {
        findFriends: function (socialUser, donefunc, failfunc) {
            var data = { socialUser: socialUser };
            Light.network.requestBackground("/app/social/getFriends", { socialUser: socialUser }, donefunc, failfunc, "post");
        },
        addressBook: function (socialUser, donefunc, failfunc) {
            var data = { socialUser: socialUser };
            Light.network.requestBackground("/app/social/getAddressBook", { socialUser: socialUser }, donefunc, failfunc, "post");
        },
        getRongyunToken: function (donefunc, failfunc) {
            Light.network.requestBackground("/app/member/social/getRongyunToken", {}, donefunc, failfunc, "post");
        },
        getToken: function (donefunc, failfunc) {
            Light.network.requestBackground("/app/member/social/getToken", {}, donefunc, failfunc, "post");
        },
        regist: function (donefunc, failfunc) {
            Light.network.requestBackground("/app/member/social/regist", {}, donefunc, failfunc, "post");
        },
        sendTextMsg: function (donefunc, failfunc) {
            Light.network.requestBackground("/app/member/social/sendTextMsg", {}, donefunc, failfunc, "post");
        },
        getMsg: function (donefunc, failfunc) {
            Light.network.requestBackground("/app/member/social/getMsg", {}, donefunc, failfunc, "post");
        },
        
        downloadFromServerbak: function (donefunc, failfunc) {
            var onresponse = function (obj) {
                var timeslist = obj.weightList;
                var dateslist = obj.weightDayList;
                for (var i = 0; i < timeslist.length; i++) {
                    timeslist[i].uploadFlg = 1;

                    Light.db.weight.insert(timeslist[i], null, null);
                }
                for (var i = 0; i < dateslist.length; i++) {
                    dateslist[i].uploadFlg = 1;

                    Light.db.weightAvg.insert(dateslist[i], null, null);
                }

                if (donefunc) { donefunc(); }
            };

            Light.network.requestBackground("/app/member/health/getWeightList", {}, onresponse, failfunc, "post");
        },
    };
})();
