cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "file": "plugins/cordova-plugin-whitelist/whitelist.js",
        "id": "cordova-plugin-whitelist.whitelist",
        "runs": true
    },
    {
        "file": "plugins/org.apache.cordova.device/www/device.js",
        "id": "org.apache.cordova.device.device",
        "clobbers": [
            "device"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.network-information/www/network.js",
        "id": "org.apache.cordova.network-information.network",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.network-information/www/Connection.js",
        "id": "org.apache.cordova.network-information.Connection",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.vibration/www/vibration.js",
        "id": "org.apache.cordova.vibration.notification",
        "merges": [
            "navigator.notification",
            "navigator"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.splashscreen/www/splashscreen.js",
        "id": "org.apache.cordova.splashscreen.SplashScreen",
        "clobbers": [
            "navigator.splashscreen"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.camera/www/CameraConstants.js",
        "id": "org.apache.cordova.camera.Camera",
        "clobbers": [
            "Camera"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.camera/www/CameraPopoverOptions.js",
        "id": "org.apache.cordova.camera.CameraPopoverOptions",
        "clobbers": [
            "CameraPopoverOptions"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.camera/www/Camera.js",
        "id": "org.apache.cordova.camera.camera",
        "clobbers": [
            "navigator.camera"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.camera/www/CameraPopoverHandle.js",
        "id": "org.apache.cordova.camera.CameraPopoverHandle",
        "clobbers": [
            "CameraPopoverHandle"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.NativePush/www/NativePush.js",
        "id": "com.seiosoft.phonegap.NativePush.NativePush",
        "clobbers": [
            "window.plugins.NativePush"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.MobSms/www/MobSms.js",
        "id": "com.seiosoft.phonegap.MobSms.MobSms",
        "clobbers": [
            "window.plugins.MobSms"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.Yunyue/www/Yunyue.js",
        "id": "com.seiosoft.phonegap.Yunyue.Yunyue",
        "clobbers": [
            "window.plugins.Yunyue"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.Lexin/www/Lexin.js",
        "id": "com.seiosoft.phonegap.Lexin.Lexin",
        "clobbers": [
            "window.plugins.Lexin"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.SharesdkAuth/www/SharesdkAuth.js",
        "id": "com.seiosoft.phonegap.SharesdkAuth.SharesdkAuth",
        "clobbers": [
            "window.plugins.SharesdkAuth"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.BaiduGeolocation/www/BaiduGeolocation.js",
        "id": "com.seiosoft.phonegap.BaiduGeolocation.BaiduGeolocation",
        "clobbers": [
            "cordova.plugins.BaiduGeolocation"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.InAppBrowser/www/seioinappbrowser.js",
        "id": "com.seiosoft.phonegap.InAppBrowser.seioinappbrowser",
        "clobbers": [
            "window.plugins.seioinappbrowser"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.Func/www/Func.js",
        "id": "com.seiosoft.phonegap.Func.Func",
        "clobbers": [
            "window.plugins.Func"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.IBeacon/www/ibeacon.js",
        "id": "com.seiosoft.phonegap.IBeacon.ibeacon",
        "clobbers": [
            "ibeacon"
        ]
    },
    {
        "file": "plugins/cordova-plugin-shake/www/shake.js",
        "id": "cordova-plugin-shake.Shake",
        "clobbers": [
            "shake"
        ]
    },
    {
        "file": "plugins/com.seiosoft.phonegap.LeanChat/www/LeanChat.js",
        "id": "com.seiosoft.phonegap.LeanChat.LeanChat",
        "clobbers": [
            "window.plugins.LeanChat"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.device-motion/www/Acceleration.js",
        "id": "org.apache.cordova.device-motion.Acceleration",
        "clobbers": [
            "Acceleration"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.device-motion/www/accelerometer.js",
        "id": "org.apache.cordova.device-motion.accelerometer",
        "clobbers": [
            "navigator.accelerometer"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.barcodescanner/www/barcodescanner.js",
        "id": "org.apache.cordova.barcodescanner",
        "clobbers": [
            "cordova.plugins.barcodeScanner"
        ]
    }
];
module.exports.metadata = 
// TOP OF METADATA
{
    "cordova-plugin-whitelist": "1.0.0",
    "org.apache.cordova.console": "0.2.13",
    "org.apache.cordova.device": "0.3.0",
    "org.apache.cordova.network-information": "0.2.15",
    "org.apache.cordova.vibration": "0.3.13",
    "org.apache.cordova.splashscreen": "1.0.0",
    "org.apache.cordova.geolocation": "0.3.12",
    "org.apache.cordova.camera": "0.3.6",
    "com.seiosoft.phonegap.NativePush": "0.1.0",
    "com.seiosoft.phonegap.MobSms": "0.1.0",
    "com.seiosoft.phonegap.Yunyue": "0.1.0",
    "com.seiosoft.phonegap.Lexin": "0.1.0",
    "com.seiosoft.phonegap.SharesdkAuth": "0.3.0",
    "com.seiosoft.phonegap.BaiduGeolocation": "0.1.0",
    "com.seiosoft.phonegap.InAppBrowser": "0.6.0",
    "com.seiosoft.phonegap.Func": "0.1.0",
    "com.seiosoft.phonegap.IBeacon": "1.0.0",
    "cordova-plugin-shake": "0.5.1",
    "com.seiosoft.phonegap.LeanChat": "0.1.0",
    "org.apache.cordova.device-motion": "0.2.11"
}
// BOTTOM OF METADATA
});