﻿/*
itemDtls:
[
{"no":1,"dtlKbn":"1","dtlId":25,"dtlTime":600,"dtlNum":1,"calorie":190,"dispChar":"120克熏鱼"},
{"no":2,"dtlKbn":"1","dtlId":25,"dtlTime":600,"dtlNum":2,"calorie":100,"dispChar":""},
]
*/
Light.db.healthSolutionExecute = {
    name: "healthSolutionExecute",
    store: null,
    scheme: [
        { name: "healthSolutionExeId", type: "int", default: 0 },
        { name: "healthSolutionId", type: "int", default: 0 },
        { name: "day", type: "int", default: 0 },
        { name: "itemId", type: "int", default: 0 },
        { name: "itemName", type: "string", default: "" },
        { name: "itemType", type: "int", default: 0 },
        { name: "itemStartTime", type: "int", default: 0 },
        { name: "itemEndTime", type: "int", default: 0 },
        { name: "itemDtls", type: "obj", default: [] },
    ],

    init: function () {
        this.store = new DevExpress.data.LocalStore({
            name: "healthSolutionExecute",
            key: "healthSolutionExeId",
            immediate: true,
            loaded: function () {
                Light.db.log("healthSolutionExecute has been loaded");
            },
        });
    },

    reset: function () {
        Light.db.reset(this.store);
    },
    insert: function (values, donefunc, failfunc) {
        Light.db.insertWithCheck(this.store, this.scheme, values, donefunc, failfunc);
    },
    remove: function (id, donefunc, failfunc) {
        Light.db.remove(this.store, id, donefunc, failfunc);
    },
    selectColumnsSort: function (columns, condition, sort, donefunc, failfunc) {
        Light.db.getAll(this.store, columns, condition, sort, donefunc, failfunc);
    },
};

Light.db.healthSolutionExecute.init();