/*! 
* DevExtreme
* Version: 14.1.5
* Build date: Jul 16, 2014
*
* Copyright (c) 2012 - 2014 Developer Express Inc. ALL RIGHTS RESERVED
* EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
*/

Globalize.addCultureInfo("default", {
    "messages": {
        //共通
        "common-appName": "轻之伴",

        "common-loading": "登录中...",
        "common-waiting": "敬请期待",
        "common-help": "帮助",
        "common-back": "返回",
        "common-save": "保存",
        "common-edit": "编辑",
        "common-delete": "删除",
        "common-confirm": "确定",
        "common-detail": "详细",
        "common-add": "添加",
        "common-buy": "购买",
        "common-pair": "配对",
        "common-start": "启用",
        "common-view": "查看",
        "common-tip": "提示",
        "common-cancel": "取消",
        "common-close": "关闭",
        "common-next": "下一步",
        "common-iknow": "我已了解",
        "common-pass": "跳过 〉",
        "common-select": "选择",
        "common-continue": "继续",
        "common-search": "查询",
        "common-retry": "重试",
        "common-send": "发送",
        "common-accept": "接受",
        "common-release": "发布", 
        "common-warn": "警告", 
        "common-more": "更多",
        "common-other": "其他",
        "common-unbound": "未绑定",
        "common-user-defined": "自定义",

        "common-sun": "日",
        "common-day": "天",
        "common-week": "周",
        "common-month": "月",
        "common-year": "年",
        "common-unit-age": "周岁",
        "common-unit-distance": "米",
        "common-unit-steps": "步",
        "common-unit-calorie": "千卡",
        "common-unit-calorie_day": "千卡/天",
        "common-unit-cm": "厘米",
        "common-unit-kg": "公斤",
        "common-unit-minute": "分钟",
        "common-man": "男",
        "common-woman": "女",
        "common-Yes": "是",
        "common-No": "否",
        "common-pageUp": "上一页",
        "common-pageDwon": "下一页",
        "common-testSuccess": "测试完成",
        "common-date-title": "选择日期",

        "common-configMessage_title": "确认信息",

        "message-notNull": "不能为空。",
        "message-notZero": "不能为0。",
        "message-repeat": "已经存在。",
        "message-dataSave-success": "数据保存成功。",
        "message-dataSave-error": "数据保存失败。",
        "message-uploadToServer-success": "数据上传成功。",
        "message-dateCompare": "结束时间不能小于开始时间。",
        "message-no-net":"当前无网络，请检查网络后再试！",
        //navbar
        "navbar-home": "首页",
        "navbar-health": "健康",
        "navbar-plan": "计划",
        "navbar-partner": "同伴",
        "navbar-shop": "资讯",
        "navbar-profile": "我的",

        //主页
        "home-schedule": "健康时间轴",
        "home-record": "记录",
        "home-foodStore": "食品库",
        "home-addSports": "添加运动",
        "home-schedule-message-nodata": "轻之伴帮你记录健康的点点滴滴。",
        "home-head-tip": "点这里进【我的】",

        //设置
        "profile-personalSetting": "个人信息",
        "profile-healthSetting": "设备管理",
        "profile-healthDevicePairingLexinWeight": "乐心—体脂秤设备配对",
        "profile-healthDevicePairingLexinPedometer": "乐心—运动手环设备配对",
        "profile-setting": "设置",
        "profile-accountSetting": "账户与安全",
        "profile-notifySetting": "提醒设置",
        "profile-privacySetting": "隐私设置（授权同伴看到）",
        "profile-commonSetting": "通用",
        "profile-aboutApp": "关于轻之伴",
        "profile-exit": "退出",
        "profile-termsOfService": "使用条款和隐私政策",
        "profile-starExplain": "星级说明", //new

        "profile-BIM-weight-message":"您的健康体重范围是",
        "profile-fat": "我肥胖么？",
        "profile-BIM-standardWeight": "标准体重是",
        "profile-BIM-currentWeight": "当前体重是",
        "profile-login": "登录",
        "profile-login-otherpass": "或使用以下方式登录",
        "profile-telphone-placeholder": "手机号",
        "profile-verification-placeholder": "验证码",
        "profile-button-get": "取得验证码",
        "profile-register-tip": "验证码已发送,重新发送需要等待60秒。",
        "profile-button-check": "验证",
        "profile-waitRegister": "立刻试用 >",
        "profile-completeRegister": "完成注册",
        "profile-completeReroll": "重置确认",
        "profile-relogin1": "您的账号正在另一台设备登录。",
        "profile-relogin2": "点击“确认”继续登陆，部分未上传数据可能丢失。",
        "profile-relogin3": "点击“取消”，则退出本次登录。",
        "profile-register": "注册",
        "profile-reroll": "重置密码",
        "profile-repeatPassword": "确认密码",
        "profile-forgetPassword": "忘记密码？",
        "profile-termsOfService-message": "我已阅读并接受 ",
        "profile-termsOfService-link": "服务条款",
        "profile-continue": "继续 >",

        "profile-account": "账号",
        "profile-realName": "真实姓名",
        "profile-user": "昵称",
        "profile-user-input": "请输入昵称：",
        "profile-password": "密码",

        "profile-address": "地址",
        "profile-telphone": "联系电话",
        "profile-phone": "手机号",
        "profile-email": "邮件地址",

        "profile-sex": "性别",
        "profile-sex-message": "根据你的个人资料为你量身定制减肥方案",
        "profile-birthday": "出生年月",
        "profile-age": "年龄",
        "profile-height": "身高",
        "profile-waist": "腰围",
        "profile-weight": "体重",
        "profile-group": "人群",
        "profile-city": "城市",
        "profile-sick": "疾病史",

        "profile-realName-message": "真实姓名最多5个文字。",
        "profile-user-message": "昵称最多10个文字。",
        "profile-loginMessage-error": "用户名或者密码错误。",
        "profile-birthday-checkMessage-error": "生日不能超过当前日期。",
        "profile-exit-message": "退出当前账号，本地数据将全部清空，确定退出？",
        "profile-exit-message_error": "数据同步失败，是否强制退出？",
        "profile-try-message": "您目前是试用账户，是否现在注册？",

        "profile-regist-verifail": "手机号验证失败。",
        "profile-regist-phoneNumberfail": "请填写正确的手机号。",
        "profile-regist-registed": "该手机号已被注册。",
        "profile-regist-noregisted": "该手机号未被注册。",
        "profile-regist-checkfail": "请阅读并勾选同意服务条款。",
        "profile-regist-fail": "注册失败。",
        "profile-reroll-fail": "重置失败。",
        "profile-reroll-done": "密码重置成功,请重新登录。",

        "profile-updatePassword": "修改密码",
        "profile-updatePassword-title1": "为保障你的数据安全，修改密码前请输入原密码：",
        "profile-updatePassword-title2": "请输入新密码：",
        "profile-updatePassword-title3": "请再输一次新密码：",
        "profile-updatePassword-message-error": "密码输入错误，请重新修改密码。",
        "profile-updatePassword-length": "密码长度为6-16位字符。",
        "profile-updatePassword-context-space": "密码中不能包含空格。",
        "profile-updatePassword-different": "密码不一致。",
        "profile-updatePassword-message-success": "密码重置成功。",
        "profile-updatePassword-message-error": "密码重置失败。",

        "profile-healthDevice": "测量设备",
        "profile-AutoSync": "上传健康数据",
        "profile-clearCache": "清空本地健康数据",
        "profile-clearCache-message": "数据清除成功。",
        "profile-healthDevice-select": "选择设备",
        "profile-healthDevice-plus": "添加设备",
        "profile-healthDevicePairingLexinWeight-message_ios": "请点击配对后，长按体脂秤背后的“配对按钮”5秒以上",
        "profile-healthDevicePairingLexinWeight-message_android": "请长按体脂秤背后的“配对按钮”5秒以上，点击配对",
        "profile-healthDevicePairingLexinPedometer-message_ios": "请点击配对后，长按手环按钮5秒以上",
        "profile-healthDevicePairingLexinPedometer-message_android": "请长按手环按钮5秒以上，点击配对",

        "profile-medicineNotify": "服药提醒",
        "profile-healthNotify": "健康提醒",
        "profile-voice": "声音",
        "profile-vibration": "振动",

        "profile-clear": "以上都没有",

        "profile-takenPhoto": "拍照",
        "profile-selectPhoto": "照片选择",

        "profile-newVersions": "版本更新",
        "profile-newVersions-loading": "正在获取最新版本",
        "profile-newVersions-needupdate": "有新版本可以更新",
        "profile-newVersions-ok": "已经是最新版本",
        "profile-newVersions-click": "立即更新",
        "profile-newVersions-giveup": "放弃更新",
        "profile-newVersions-error": "版本更新失败",
        "profile-goodApp": "给个好评",
        "profile-shareApp": "分享给朋友",
        "profile-share-text": "【轻之伴】,我正在用专业体重管理软件——轻之伴减肥小助手，一键添加减肥计划，每日智能提醒；智能读取健康数据，自动绘制健康曲线；精确计算摄入热量，饮食控制更有效。小伙伴们快来试试吧！",
        "profile-shopping": "官方网址：www.truedata.cn",
        "profile-WXAddContact": "微信：轻之伴",
        "profile-WXAddContact-message": "微信扫一扫，关注我们",

        "profile-star-day": "连续活跃天数：",
        "profile-starDefine": "星星等级定义",
        "profile-starDefineContent": "“轻之伴”星星等级是用户活跃的见证。用户在“轻之伴”时间轴上完成任意1项操作，便可获得当天的活跃度。连续天数越多，获得星星也越多。星星等级越高，享受的特权越丰厚。",
        "profile-starExplainTitle": "获得星星说明",
        "profile-starExplain_silverStar": "连续活跃1天，可获得银星1颗。",
        "profile-starExplain_goldStart": "连续活跃7天，可获得金星1颗。",
        "profile-starExplain_moon": "连续活跃14天，可获得月亮1颗。",
        "profile-starExplain_sun": "连续活跃28天，可获得太阳1颗。",

        "profile-network-disconnect": '咦？网络不见了，请检查网络连接',

        //肥胖原因问卷调查
        "obesityCauses-title": "肥胖原因问卷",
        "obesityCauses-p1": "1．您经常一边吃零食一边做事情吗？",
        "obesityCauses-p2": "2．买食物时，只买对胃口，不管它是否具有营养价值？",
        "obesityCauses-p3": "3．看到自己喜欢的食物常常不能控制？",
        "obesityCauses-p4": "4．喜欢多油、味重的食物和奶油制品？",
        "obesityCauses-p5": "5．经常到外边和朋友一起聚餐？",
        "obesityCauses-p6": "6．经常不吃早餐，并且食无定时？",
        "obesityCauses-p7": "7．节食时，喜欢走极端，严格控制饮食？",
        "obesityCauses-p8": "8．对自己偶尔一次过量饮食而过分自责？",
        "obesityCauses-p9": "9．晚餐通常是最丰盛的？",
        "obesityCauses-p10": "10．常常为自己找“吃”的借口？",
        "obesityCauses-p11": "11．常常为缓解焦急不安的心情而暴饮暴食？",
        "obesityCauses-p12": "12．常常像热锅上的蚂蚁一样找吃的东西？",
        "obesityCauses-p13": "13．独处时常会有一种失落、寂寞的情绪？",
        "obesityCauses-p14": "14．常常被人指责饮食过量？",
        "obesityCauses-p15": "15．日常生活中经常萎靡不振或焦虑不安？",
        "obesityCauses-p16": "16．能乘电梯就绝不爬楼梯？",
        "obesityCauses-p17": "17．能乘车就绝不步行或骑自行车？",
        "obesityCauses-p18": "18．从不愿参加任何体育活动，并且对其毫无兴趣？",
        "obesityCauses-p19": "19．宁可躺着也不愿坐着？",
        "obesityCauses-p20": "20．厌恶家务劳动？",
        "obesityCauses-p21": "21．不管是父亲还是母亲身上，都能发现你胖的身影？",
        "obesityCauses-p22": "22．3岁起就是个小胖子？",
        "obesityCauses-p23": "23．吃饭从小偏食并且一直如此？",
        "obesityCauses-p24": "24．青春期时突然发胖？",
        "obesityCauses-p25": "25．个性虽然开朗活泼，但却不喜欢运动。",
        "obesityCauses-p26": "26．即使感到很热的时候，流汗也很少？",
        "obesityCauses-p27": "27．体质属于寒凉型？",
        "obesityCauses-p28": "28．患有荷尔蒙分泌失调或神经失调？",
        "obesityCauses-p29": "29．喜欢吃盐分比较重的食物？",
        "obesityCauses-p30": "30．喜欢咖啡、红茶或灌装饮料？",
        "obesityCauses-suggest1": "建议您要循序渐进的缩小食量，但切忌，在缩小食量的同时要避免走极端。此外，养成记录你食谱的习惯，还要学会计算你所摄入食物中的卡路里数，并且充分认识到卡路里的积累对你肥胖的影响。",
        "obesityCauses-suggest2": "科学的进食对于减肥是非常重要的，你要学着重新安排自己的饮食计划，掌握科学的饮食方法和习惯，同时，细嚼慢咽，减少肉食、脂肪和糖类饮料的摄入，多吃粗粮和素食。",
        "obesityCauses-suggest3": "您常常生活在不如意的心境下，企图通过食物而获得心理上的安慰，这种情况使你更加发福。所以，当自己心情低落的时候要学会放松自己，选择去郊游、去读书、去锻炼等方式而不是通过暴饮暴食的方式来安抚自己的情绪，重新安排自己的生活。",
        "obesityCauses-suggest4": "您不喜欢运动，但是运动减肥的其中一个关键要素，运动过少当然会导致体内多余的热量无法消耗，从而转变成脂肪积累在您的体内，长此以往，那厚厚的赘肉则会让你饱尝不运动的代价，所以你要做的就是去锻炼、去跑步、去做健美操、去运动。",
        "obesityCauses-suggest5": "对于生理遗传性的肥胖来说，最需要的就是减肥的耐心和恒心。您不仅要做到科学饮食，同时还要做到合理运动，只有这两种齐头并进，减肥就一定会成功。",
        "obesityCauses-suggest6": "自身的代谢速度会决定人们消耗热量的程度，若代谢不足，则摄入的热量大部分将作为脂肪储存在体内，所以，你所要做的就是要加强自己的代谢水平，通过减少食物中的脂肪摄入，多饮水(每天至少喝2500ml)，每天进行适度的有氧锻炼等都可以增强自身的代谢能力。",

        //生活方式评估问卷
        "lifeStyle-title": "生活方式问卷",
        "lifeStyle-p1": "1．您经常吃早餐吗？",
        "lifeStyle-p2": "2．您经常吃粗粮吗？(粗粮包括全麦、糙米、薯类、小米、玉米等)",
        "lifeStyle-p3": "3．您每天吃水果吗？",
        "lifeStyle-p4": "4．您经常吃高维生素蔬菜吗？(包括西兰花、甘蓝菜、菠菜、胡萝卜、辣椒、西红柿、冬瓜等)",
        "lifeStyle-p5": "5．您平常喜欢哪一类乳制品？",
        "lifeStyle-p6": "6．您常吃豆制品吗？",
        "lifeStyle-p7": "7．您喜欢吃坚果吗？",
        "lifeStyle-p8": "8．您的口味如何？",
        "lifeStyle-p9": "9．您常吃精加工的食物吗？(如精制面包，精白米饭，甜点，蛋糕等)",
        "lifeStyle-p10": "10．您喜欢各种甜味饮料和甜品吗？",
        "lifeStyle-p11": "11．您每天大约喝几杯水？(指白开水，不包括任何甜饮料，1杯的大小为一般玻璃杯250ml左右)",
        "lifeStyle-p12": "12．您经常运动吗？(每次30min以上)",
        "lifeStyle-p13": "13．您烹调或用餐时喜欢动物油(猪牛羊油等)、起酥油、人造奶油(冰淇淋)及其制品(酥油点心)吗？",
        "lifeStyle-p14": "14．您喜欢吃哪一类含蛋白质高的食物？",

        //体质评测问卷
        "traditionalChineseMedicine-title": "体质评测问卷",

        //健康计划
        "plan-healthPlan": "健康计划",
        "plan-healthPlan-detail": "计划介绍",
        "plan-solution-28": "28天健康计划",
        "plan-solution-light": "轻断食",
        "plan-solution-roll": "卷卷瘦",
        "plan-title-free": "免费健康计划",
        "plan-title-Package": "搭配产品套餐",
        "plan-item-498": "28天健康计划",
        "plan-item-998": "惊喜套餐",
        "plan-item-868": "超值套餐",
        "plan-item-yasu": "雅塑奥利司他胶囊",
        "plan-item-aili": "艾丽奥利司他胶囊",
        "plan-item-other": "智能设备",
        "plan-select-date": "计划开始日期",
        "plan-iknow": "我知道了",
        "plan-status-end": "结束",
        "plan-status-stop": "暂停",
        "plan-status-delete": "删除",
        "plan-status-regain": "恢复",
        "plan-tip-stop": "同一健康计划暂停次数不能超过2次！",
        "plan-tip-end": "当前计划未完成，确定结束当前计划将不能继续！",
        "plan-tip-delete": "确定删除当前计划？",
        "plan-tip-buy": "是否跳转到购买页面？",

        //套餐内容介绍
        "planDetail-free": "<div class='txthr' /><div><ul><li>28天体重管理计划</li><li>三餐饮食搭配</li><li>10000步运动目标</li><li>七项身体指标监测</li><li>一对一药师指导</li><li>永久数据云存储</li></ul></div>",
        "planDetail-998": "<div class='txthr' /><div><ul><li>雅塑/艾丽奥利司他胶囊（1个月用量）</li><li>魔芋蛋白片*4盒（1个月用量）</li><li>智能体脂秤1台</li><li>智能运动手环1个</li></ul></div>",
        "planDetail-868": "<div class='txthr' /><div><ul><li>雅塑/艾丽奥利司他胶囊（1个月用量）</li><li>魔芋蛋白片*4盒（1个月用量）</li></ul></div>",
        "planDetail-yasu": "<div class='txthr' /><div><ul><li>雅塑奥利司他胶囊18粒装*2盒</li><li>雅塑奥利司他胶囊6粒装*4盒</li></ul></div>",
        "planDetail-aili": "<div class='txthr' /><div><ul><li>艾丽奥利司他胶囊21粒装*2盒</li><li>艾丽奥利司他胶囊14粒装*1盒</li></ul></div>",
        "planDetail-other": "<div class='txthr' /><div><ul><li>智能体脂秤1台</li><li>智能运动手环1个</li></ul></div>",

        //用药计划
        "medicine-medicinePlan": "服药计划",
        "medicine-medicinePlanCreate": "添加服药计划",
        "medicine-medicinePlanEdit": "编辑服药计划",
        "medicine-medicineSearch": "药品检索",
        "medicine-medicineCreate": "添加药品",
        "medicine-medicineEdit": "编辑药品",

        "medicine-name": "药品名称",
        "medicine-detail": "药品详细说明",
        "medicine-time": "服药时间",
        "medicine-plusTime": "添加时间",
        "medicine-dosage": "剂量",
        "medicine-number": "数量",
        "medicine-unit": "单位",
        "medicine-frequency": "服药次数",
        "medicine-plan": "计划",
        "medicine-planStartDate": "开始日期",
        "medicine-planEndDate": "结束日期",
        "medicine-duration": "持续时间",
        "medicine-interval": "间隔周期",
        "medicine-intervalDay": "间隔天数",
        "medicine-selectWeek": "选择星期",
        "medicine-remark": "说明",
        "medicine-remark-food": "餐饮说明",
        "medicine-notify-description1": "定于time点",
        "medicine-notify-description2": "food服用 dosage",
        "medicine-taking": "服用",
        "medicine-pass": "跳过",
        "medicine-notes": "备注",
        "medicine-reroll-message": "请录入时间",
        "medicine-addremark": "添加备注",
        "medicine-isDelete-confirmMessage": "你确定要删除吗？",
        "medicine-deletePlan": "删除整个服用计划",
        "medicine-deleteTaken": "删除该次服用计划",
        "medicine-rerollPlan": "重新设置整个服用计划",
        "medicine-rerollTaken": "重新设置该次服用计划",
        "medicine-notice": "通知",
        "medicine-iknow-title": "添加用药计划说明",
        "medicine-iknow-detail1": "请将您需要服用的药品一次设定，系统将按时间自动生成服药计划。",
        "medicine-iknow-detail2": "注意：间隔时间为1小时内的服药将合并为1次计划提醒。提醒时间以最早时间为准。",

        "medicine-planStartDate_error": "【开始日期】请选择今天或今天以后的日期。",
        "medicine-planEndDate_error": "【结束日期】小于【开始日期】。",


        //健康
        "health-health": "健康数据",
        "health-healthChart": "健康趋势图",
        "health-healthQuestionnaire": "健康评估",
        "health-healthQuestionnaire-ACCE": "ACCE",
        "health-healthQuestionnaire-lifeStyle": "生活方式",
        "health-healthQuestionnaire-obesityCauses": "肥胖原因",
        "health-healthQuestionnaire-traditionalChineseMedicine": "体质评测",
        "health-yunyueWeight": "云悦体脂秤",
        "health-lexinWeight": "乐心体脂秤",
        "health-lexinPedometer": "乐心运动手环",

        "health-weight": "体重",
        "health-BFR": "体脂率",
        "health-BMI": "BMI",
        "health-water": "水含量",
        "health-bone": "骨量",
        "health-muscle": "肌肉比例",
        "health-sfat": "皮下脂肪",
        "health-infat": "内脏脂肪",
        "health-bodyage": "身体年龄",
        "health-BMR": "基础代谢率",

        "health-steps": "步数",
        "health-calorie": "卡路里",
        "health-distance": "路程",

        "health-sfat-helpMessage": "皮下脂肪是贮存于皮下的脂肪组织，在真皮层以下，筋膜层以上。",
        "health-infat-helpMessage": "内脏脂肪是人体脂肪中的一种，与皮下脂肪不同，它围绕着人的脏器，主要存在于腹腔内。",
        "health-bodyage-helpMessage": "身体年龄是指生理发育成长的年龄特点，与实际年龄亦不一定完全一致。",
        "health-weight-helpMessage": "体重是通过体脂秤称量得到的身体重量。",
        "health-BMI-helpMessage": "BMI是目前国际上常用的衡量人体胖瘦程度已经是否健康的一个标准。",
        "health-BFR-helpMessage": "体脂率是指人体内脂肪重量在人体总体中所占的比例,它反映人体内脂肪含量的多少。",
        "health-water-helpMessage": "人体含水量的百分比，充足的水份能促进新陈代谢。但是身体水分含量过高也会降低运动和饮食调节的瘦身效果。",
        "health-bone-helpMessage": "骨量是指：单位体积内，骨组织【骨矿物质（钙、磷等）和骨基质（骨胶原、蛋白质、无机盐等）】的含量。",
        "health-muscle-helpMessage": "人体内肌肉含量，肌肉是人体内能量消耗的主力军，增肌可以减肥减脂哦。",
        "health-bmr-helpMessage": "基础代谢率（BMR）是指人体在清醒而又极端安静的状态下，不受肌肉活动，环境温度，食物及精神紧张等影响时的能量代谢率。基础代谢率越高，您每天消耗的热量就越多，也就越不容易发胖。",
        "health-steps-helpMessage": "步数是指运动手环记录的行走步数。",
        "health-calorie-helpMessage": "卡路里是指运动手环记录的消耗的热量。",
        "health-distance-helpMessage": "路程是指运动手环记录的行走路程。",
        
        "health-weight-low": "偏瘦",
        "health-weight-normal": "正常",
        "health-weight-high": "偏胖",
        "health-weight-fat": "肥胖",
        "health-real-bodyage": "实际年龄",
        "health-sport-miss": "未达标",
        "health-sport-complete": "达标",

        "health-weight-low1": "偏低",
        "health-weight-normal1": "标准",
        "health-weight-high1": "偏高",
        
        "health-BIM-low": "消瘦",
        "health-BIM-lowTxt": "您属于消瘦型，体重过轻。",
        "health-BIM-normal": "标准",
        "health-BIM-normalTxt": "您属于标准身材，请继续保持。",
        "health-BIM-high": "超重",
        "health-BIM-highTxt": "您属于超重，在不控制就是肥胖了！",
        "health-BIM-fat": "肥胖",
        "health-BIM-fatTxt": "很抱歉，您属于肥胖，赶快进行减肥吧！",

        "health-deviceMessage_ok": "已经连接到",
        "health-deviceMessage_error": "设备扫描失败",
        "health-deviceMessage_nodata": "没有新的数据",
        "health-deviceMessage-scan": "开始扫描",
        "health-deviceMessage_no_bluetooth": "蓝牙未连接",
        "health-deviceMessage-nothing": "添加设备",
        "health-deviceMessage-weight-nothing": "请去【我的-设备管理】中添加体脂秤。",
        "health-deviceMessage-weight-error": "称量数据不正确，请脱鞋重新称量。",
        "health-deviceMessage-scaning": "设备扫描中...",
        "health-deviceMessage-yunyue-connect": "设备连接中...",
        "health-deviceMessage-yunyue-scaning-error": "未扫描到设备，请重新扫描",
        "health-deviceMessage-yunyue-connect_ok": "设备正常连接，请开始称量。",
        "health-deviceMessage-yunyue-weighting": "称量中，请勿下秤。",
        "health-deviceMessage-lexin-connect": "请使用测量设备",
        "health-deviceMessage-lexin-smartband-connect": "请轻按手环按钮，同步数据",
        "health-deviceMessage-lexin-smartband-measure_ok": "数据同步成功",
        "health-deviceMessage-lexin-measureing": "数据读取中...",
        "health-deviceMessage-lexin-measure_ok": "测量成功，可再测量",
        "health-deviceMessage-lexin-connect_error": "设备连接失败，请确认打开的设备与选择设备是否一致。",
        "health-deviceMessage-lexin-scaning": "正在扫描设备",
        "health-deviceMessage-lexin-discover": "发现设备，开始配对",
        "health-deviceMessage-lexin-pair-nothing": "当前测量设备，未配对",
        "health-deviceMessage-lexin-pair_ok": "设备配对成功",
        "health-deviceMessage-lexin-pair_error": "设备配对失败",
        "health-deviceMessage-lexin-pair_device_error": "选择设备与配对设备不一致",
        "health-deviceMessage-lexin-pair-weight_keyRepeat": "云悦体脂秤已经添加，请删除后再添加乐心体脂秤。",
        "health-deviceMessage-yunyue-pair-weight_keyRepeat": "乐心体脂秤已经添加，请删除后再添加云悦体脂秤。",
        

        "health-weight-warnMessage-low": "您的体重偏瘦，请增加卡路里摄入量，并且多做运动。",
        "health-weight-warnMessage-normal": "您的体重很标准，请继续合理饮食跟运动。",
        "health-weight-warnMessage-high": "您的体重偏胖，请注意控制卡路里摄入量，并且多做运动。",
        "health-weight-warnMessage-fat": "您的体重已经肥胖，请注意控制卡路里摄入量，并且多做运动。",
        "health-sport-warnMessage-miss": "你的运动量未达标，建议您继续步行。",
        "health-sport-warnMessage-complete": "你的运动量已达标，休息一下。",

        //同伴
        "partner-activity": "活动",
        "partner-activityMyself": "我的活动",
        "partner-activityCreate": "创建活动",
        "partner-activityEdit": "编辑活动",
        "partner-activityDelete": "活动删除",
        "partner-activityDetail": "活动详细",
        "partner-activityMemberList": "活动成员详细",
        "partner-pictureShow": "活动相册",
        "partner-groupCreate": "发起群聊",
        "partner-groupSetting": "群设置",
        "partner-friendSearch": "同伴查找",
        "partner-friendAdd": "添加同伴",
        "partner-friendList": "通讯录",
        "partner-friendNew": "新的同伴",
        "partner-friendDetail": "同伴详细",
        "partner-addressBook": "添加到通讯录",
        "partner-friendPass": "通过验证",
        "partner-searchCondition": "检索条件",
        "partner-sendMessage": "发消息",

        "partner-searchFriend-nodata": "没有检索到同伴",
        "partner-groupList-nodata": "没有参加的群",
        "partner-friend-noData": "还没有推荐的同伴",
        "partner-share-noData": "没有同伴分享数据",
        "partner-shareMember-noData": "该同伴没有分享数据",
        "partner-memberSelect": "选择同伴",
        "partner-group": "群组",
        "partner-groupList": "选择一个群",
        "partner-groupName": "群名称",
        "partner-groupName-input": "请输入群名称：",
        "partner-groupShareSetting": "分享设置",
        "partner-groupShare": "查看分享",
        "partner-groupIntroduction": "群介绍",
        "partner-groupExit": "删除并退出群",
        "partner-groupShareContent": "分享内容",
        "partner-groupShareDateDuration": "分享期间",
        "partner-groupShareStartDate": "开始日期",
        "partner-groupShareEndDate": "结束日期",

        "partner-groupShare-message-date_error": "分享日期范围外。",
        "partner-groupName-message": "群名称最多10个文字。",
        "partner-groupCreate-message": "请选择同伴。",
        "partner-groupCreate-message_error": "群创建失败。",
        "partner-groupMemberDelete-message_error": "不能删除自己。",

        "partner-activityCreater": "发起人",
        "partner-activityName": "活动名称",
        "partner-activityAddr": "活动地点",
        "partner-activityDate": "活动时间",
        "partner-activityStartDate": "开始时间",
        "partner-activityEndDate": "结束时间",
        "partner-activityContent": "活动内容",
        "partner-activityPicture": "活动图片",
        "partner-activityEnterMember": "参加成员",
        "partner-activity_end": "活动结束",

        "partner-activity_enter": "参加活动",
        "partner-activity_exit": "退出活动",
        "partner-activity_end": "活动结束",
        "partner-activity_memberList": "成员详细",

        "partner-tipOff": "举报",
        "partner-tipOffCause": "请选择举报原因",
        "partner-tipOffOtherCause": "补充原因",

        "partner-activityMessage-startDate_error": "活动开始时间小于当前时间点。",
        "partner-activityMessage-deleteQusition": "是否删除该活动？",
        "partner-activityMessage-delete": "活动已经被删除，按“确认”退出画面。",
        "partner-activityMessage-tipoff": "活动已经被举报。",
        "partner-activityMessage-verify": "活动审核中。",
        "partner-activityMessage-deny": "活动未通过审核。",
        "partner-activityMessage-statusEnd": "活动已经结束。",
        "partner-activityMessage-statusDelete": "活动已经被删除。",
        "partner-activityMessage-nodata_picture": "没有活动图片",
        "partner-activityMessage-noData_onrun": "没有进行中的活动",
        "partner-activityMessage-nodata_join": "还未参加过活动",
        "partner-activityMessage-nodata_create": "还未发布过活动",

        "partner-weight": "体重",
        "partner-sports": "运动",
        "partner-medicine": "服药",
        "partner-food": "饮食",
        "partner-healthQuestionnaireResult": "评估报告",

        //ibeacon
        "ibeacon-shake": "摇一摇",
        "ibeacon-shakeSetting": "摇一摇设置",
        "ibeacon-round": "周边",

        //收藏
        "favorite-myFavorite":"我的收藏",

        //财富
        "wealth-HC": "健康币",
        "wealth-myWealth": "我的财富",
        "wealth-myHC": "我的健康币",
        "wealth-myGift": "我的优惠券",
        "wealth-giftDetail": "优惠券详细",
        "wealth-getMethodList": "取得方式一览",
        "wealth-m-0": "饮食",
        "wealth-m-1": "服药",
        "wealth-m-2": "刷牙",
        "wealth-m-3": "运动",
        "wealth-m-4": "称体重",
        "wealth-recordHC": "健康币记录",
        "wealth-explainHC": "健康币说明",
        "wealth-exchange": "兑换",
        "wealth-exchangeGifts": "兑换好礼",
        "wealth-HCShopping": "健康币商城",
        "wealth-clickHereExplain": "点击这里了解《兑换规则》哦",
        "wealth-username": "用户名",
        "wealth-unit": "个",
        "wealth-yuan": "元",

        "research-title-helper": "研究助手",
        "research-information": "基本信息",
        "research-user-name": "姓  名",
        "research-user-telephone": "手机号",
        "research-user-sex": "性  别",
        "research-user-age": "年  龄",
        "research-baseline": "基线表",
        "research-table1": "随访表1",
        "research-table2": "随访表2",
        "research-table3": "随访表3",
        "research-table4": "随访表4",
        "research-table5": "随访表5",
        "research-table6": "随访表6",
        "research-search": "参与人员搜索",
        "research-picture": "图片",
        "research-picture-upload": "上传图片",
        "research-picture-submit": "提交",
        "research-project-info": "项目信息",
        "research-project-name": "项目名称",
        "research-project-date": "项目时间",
        "research-center": "研究中心",
        "research-manager": "负责人",
        "research-manager-phone": "负责人号码",
        "research-person_info": "人员信息",

//********** system predefine var *********//
        "Yes": "是",
        "No": "否",
        "Cancel": "取消",
        "Clear": "清除",
        "Delete": "删除",
        "Done": "完成",
        "Loading": "读取中",
        "Select": "选择",
        "Search": "查找",
        "Back": "返回",
        "OK": "OK",

        "dxLookup-searchPlaceholder": "最低文字数: {0}",

        "dxCollectionContainerWidget-noDataText": "没有数据",

        "dxList-pullingDownText": "下拉刷新",
        "dxList-pulledDownText": "松开刷新",
        "dxList-refreshingText": "更新中",
        "dxList-pageLoadingText": "读取中",
        "dxList-nextButtonText": "更多",
        "dxListEditDecorator-delete": "删除",
        "dxListEditDecorator-more": "更多",

        "dxScrollView-pullingDownText": "下拉刷新",
        "dxScrollView-pulledDownText": "松开刷新",
        "dxScrollView-refreshingText": "更新中",
        "dxScrollView-reachBottomText": "读取中",

        "dxSwitch-onText": "开",
        "dxSwitch-offText": "关",

        "dxDateBox-simulatedDataPickerTitleTime": "请选择时间。",
        "dxDateBox-simulatedDataPickerTitleDate": "请选择日期。",
        "dxDateBox-simulatedDataPickerTitleDateTime": "请选择日期和时间。",

        "dxDataGrid-columnChooserTitle": "选择列",
        "dxDataGrid-columnChooserEmptyText": "请选择列项目。",
        "dxDataGrid-groupContinuesMessage": "继续下一页",
        "dxDataGrid-groupContinuedMessage": "继续前一页",
        "dxDataGrid-editingEditRow": "编辑",
        "dxDataGrid-editingSaveRowChanges": "保存",
        "dxDataGrid-editingCancelRowChanges": "取消",
        "dxDataGrid-editingDeleteRow": "删除",
        "dxDataGrid-editingUndeleteRow": "复原",
        "dxDataGrid-editingConfirmDeleteMessage": "是否删除此条记录？",
        "dxDataGrid-editingConfirmDeleteTitle": "",
        "dxDataGrid-groupPanelEmptyText": "请选择分组项目。",
        "dxDataGrid-noDataText": "没有数据",
        "dxDataGrid-searchPanelPlaceholder": "检索",
        "dxDataGrid-filterRowShowAllText": "(全部)",
        "dxDataGrid-filterRowResetOperationText": "重置",
        "dxDataGrid-filterRowOperationEquals": "等于指定值",
        "dxDataGrid-filterRowOperationNotEquals": "不等于指定值",
        "dxDataGrid-filterRowOperationLess": "小于指定值",
        "dxDataGrid-filterRowOperationLessOrEquals": "小于等于指定值",
        "dxDataGrid-filterRowOperationGreater": "大于指定值",
        "dxDataGrid-filterRowOperationGreaterOrEquals": "大于等于指定值",
        "dxDataGrid-filterRowOperationStartsWith": "从指定值开始",
        "dxDataGrid-filterRowOperationContains": "包含指定值",
        "dxDataGrid-filterRowOperationNotContains": "不包含指定值",
        "dxDataGrid-filterRowOperationEndsWith": "到指定值结束",
        "dxDataGrid-trueText": "真",
        "dxDataGrid-falseText": "假",
        "dxDataGrid-sortingAscendingText": "升序排列",
        "dxDataGrid-sortingDescendingText": "降序排列",
        "dxDataGrid-sortingClearText": "清除排序",

    }
});
