cordova.define("com.seiosoft.phonegap.Func.Func", function(require, exports, module) { 
var Func = function(){
};
               
Func.prototype.isPlatformIOS = function(){
  return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
}

Func.prototype.error_callback = function(msg){
  console.log("Javascript Callback Error: " + msg)
}

Func.prototype.call_native = function(name, args, callback){

  ret = cordova.exec(callback,this.error_callback,'Func',name,args);
  return ret;
}

Func.prototype.marketUri = function(callback){
  try{
    if (device.platform == "Android"){
      var data=[];
      this.call_native("marketUri", data, callback);
    }
  }
  catch(exception){
    console.log(exception);
  }
}

Func.prototype.playSound = function(callback){
  try{
    if (device.platform == "Android"){
      var data=[];
      this.call_native("playSound", data, callback);
    }
  }
  catch(exception){
    console.log(exception);
  }
}

Func.prototype.stopSound = function(callback){
  try{
    if (device.platform == "Android"){
      var data=[];
      this.call_native("stopSound", data, callback);
    }
  }
  catch(exception){
    console.log(exception);
  }
}

//android single

//ios  single

if(!window.plugins){
  window.plugins = {};
}

if(!window.plugins.Func){
  window.plugins.Func = new Func();
}

module.exports = new Func();


});
