cordova.define("com.seiosoft.phonegap.IBeacon.ibeacon", function(require, exports, module) { 
var ibeacon = function(){
};
                  
ibeacon.prototype.isPlatformIOS = function(){
  return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
};

ibeacon.prototype.error_callback = function(msg){
  console.log("Javascript Callback Error: " + msg)
};

ibeacon.prototype.call_native = function(name, args, callback){
  ret = cordova.exec(callback,this.error_callback,"IBeaconPlugin",name,args);
  return ret;
};

ibeacon.prototype.setData = function(data, callback){
  try{
    this.call_native("setData",data,callback);
  }
  catch(exception){
    console.log(exception);
  }
}

ibeacon.prototype.startMonitoringForRegion = function(callback){
  try{

    data=[];
    this.call_native("startMonitoringForRegion",data,callback);
  }
  catch(exception){
    console.log(exception);
  }
}

ibeacon.prototype.stopMonitoringForRegion = function(callback){
  try{

    data=[];
    this.call_native("stopMonitoringForRegion",data,callback);
  }
  catch(exception){
    console.log(exception);
  }
}

ibeacon.prototype.startRangingIbeaconsInRegion = function(callback){
  try{

    data=[];
    this.call_native("startRangingIbeaconsInRegion",data,callback);
  }
  catch(exception){
    console.log(exception);
  }
}

ibeacon.prototype.stopRangingIbeaconsInRegion = function(callback){
  try{

    data=[];
    this.call_native("stopRangingIbeaconsInRegion",data,callback);
  }
  catch(exception){
    console.log(exception);
  }
}

//android single

//ios  single

if(!window.plugins){
  window.plugins = {};
}

if(!window.plugins.ibeacon){
  window.plugins.ibeacon = new ibeacon();
}

module.exports = new ibeacon();


});
