cordova.define("com.seiosoft.phonegap.SharesdkAuth.SharesdkAuth", function(require, exports, module) { var SharesdkAuth = function(){
};

SharesdkAuth.prototype.isPlatformIOS = function(){
	return device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS"
}

SharesdkAuth.prototype.error_callback = function(msg){
	console.log("Javascript Callback Error: " + msg)
}

SharesdkAuth.prototype.call_native = function(name, args, callback){
	ret = cordova.exec(callback,this.error_callback,'SharesdkAuth',name,args);
	return ret;
}

SharesdkAuth.prototype.registAuthCallback = function(callback){
	try{
	    var data=[];
		this.call_native("registAuthCallback",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}

SharesdkAuth.prototype.auth = function(type, callback){
	try{
	    var data=[type];
		this.call_native("auth",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}

SharesdkAuth.prototype.unAuth = function(type, callback){
    try{
        var data=[type];
        this.call_native("unAuth",data,callback);
    }
    catch(exception){
        console.log(exception);
    }
}

SharesdkAuth.prototype.hasApp = function(callback){
    try{
        this.call_native("hasApp",[],callback);
    }
    catch(exception){
        console.log(exception);
    }
}

SharesdkAuth.prototype.shareContent = function(type, callback){
	try{
	    var data=[type];
		this.call_native("shareContent",data,callback);
	}
	catch(exception){
		console.log(exception);
	}
}
               
//android single
//JPushPlugin.prototype.getNotification = function (callback) {
//  if(device.platform == "Android") {
//    data=[];
//  	this.call_native("getNotification",data,callback);
//  }
//}

//ios  single

if(!window.plugins){
	window.plugins = {};
}

if(!window.plugins.SharesdkAuth){
	window.plugins.SharesdkAuth = new SharesdkAuth();
}

module.exports = new SharesdkAuth();

});
