﻿Light.lifeStyle = function (params) {
    var qtype = Light.rtdata.q_life;//问卷类型
    var currentpage = 1;//默认当前页
    var pageSize = 5; //总页数

    var titleName = Globalize.localize('lifeStyle-title');

    var foodScore = 0;//饮食习惯分数
    var waterScore = 0;//饮水习惯分数
    var sportScore = 0;//运动习惯分数
    var q1 = 0, q2 = 0, q3 = 0, q4 = 0, q5 = 0, q6 = 0, q7 = 0, q8 = 0, q9 = 0, q10 = 0, q11 = 0, q12 = 0, q13 = 0, q14 = 0;

    //上一页
    goPreviousPage = function () {
            
        currentpage--;
        if (currentpage < 1) {
            Light.app.navigate({ view: 'HealthIndex' }, { root: true });
        }

        $("#p_" + currentpage).show();
        $("#p_" + (currentpage + 1)).hide();
    }

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: goPreviousPage } },
            { location: 'center', text: Globalize.localize('lifeStyle-title') },
    ];

    //下一页
    goNextPage = function () {

        if (currentpage < pageSize) {
            currentpage++;
        }

        $("#p_" + currentpage).show();
        $("#p_" + (currentpage - 1)).hide();
    }

    d1Selected = function (e) {
        q1 = e.itemData.value;
    };
    answer_1 = [
        { value: 0, text: '很少吃' },
        { value: 3, text: '经常吃-每周5天或更多' },
        { value: 5, text: '每天吃' },
    ];
    d2Selected = function (e) {
        q2 = e.itemData.value;
    };
    answer_2 = [
        { value: 0, text: '很少吃' },
        { value: 5, text: '每天吃1次' },
        { value: 10, text: '每天吃1次以上' },
    ];

    d3Selected = function (e) {
        q3 = e.itemData.value;
    };
    answer_3 = [
        { value: 0, text: '不是每天都吃水果' },
        { value: 5, text: '每天吃1-2个水果' },
        { value: 10, text: '每天吃2个以上水果' },
    ];
    d4Selected = function (e) {
        q4 = e.itemData.value;
    };
    answer_4 = [
        { value: 0, text: '不常吃' },
        { value: 5, text: '每天吃0.5斤左右' },
        { value: 10, text: '每天吃1斤左右' },
    ];

    d5Selected = function (e) {
        q5 = e.itemData.value;
    };
    answer_5 = [
        { value: 0, text: '经常用动物油做菜，喜欢吃油类食物点心' },
        { value: 5, text: '不常用，有时会吃一点' },
        { value: 10, text: '只使用植物油，也不吃人造奶油及点心' },
    ];
    d6Selected = function (e) {
        q6 = e.itemData.value;
    };
    answer_6 = [
        { value: 0, text: '喜欢吃猪牛羊肉，香肠，汉堡包，炸鸡等' },
        { value: 5, text: '以瘦肉，去皮禽肉(鸡鸭)和鱼类为主' },
        { value: 10, text: '以豆类，豆腐等植物性蛋白质食物为主' },
    ];

    d7Selected = function (e) {
        q7 = e.itemData.value;
    };
    answer_7 = [
        { value: 0, text: '选用全脂的鲜奶、酸奶、奶粉等' },
        { value: 5, text: '选用低脂的乳制品' },
        { value: 10, text: '只选用无脂的乳制品' },
    ];
    d8Selected = function (e) {
        q8 = e.itemData.value;
    };
    answer_8 = [
        { value: 0, text: '不吃，或者每周少于3次' },
        { value: 5, text: '每周吃3-6次' },
        { value: 10, text: '每天都吃' },
    ];

    d9Selected = function (e) {
        q9 = e.itemData.value;
    };
    answer_9 = [
        { value: 0, text: '不吃，或者每周少于3次' },
        { value: 5, text: '每周吃3-6次' },
        { value: 10, text: '每天都吃' },
    ];
    d10Selected = function (e) {
        q10 = e.itemData.value;
    };
    answer_10 = [
        { value: 0, text: '喜欢吃咸辣的食物' },
        { value: 5, text: '口味适中，和大多数人一样' },
        { value: 10, text: '口味较清淡' },
    ];

    d11Selected = function (e) {
        q11 = e.itemData.value;
    };
    answer_11 = [
        { value: 0, text: '基本上每天都会吃' },
        { value: 5, text: '会尽量少吃，一般每周几次' },
        { value: 10, text: '很少吃，吃的时候也吃得很少' },
    ];
    d12Selected = function (e) {
        q12 = e.itemData.value;
    };
    answer_12 = [
        { value: 0, text: '很喜欢，基本上每天都会吃' },
        { value: 5, text: '不常吃，尽量注意少吃' },
        { value: 10, text: '很少吃，主要以水果为主' },
    ];

    d13Selected = function (e) {
        q13 = e.itemData.value;
    };
    answer_13 = [
        { value: 0, text: '每天少于5杯' },
        { value: 5, text: '每天5-7杯' },
        { value: 10, text: '每天8-10杯' },
    ];
    d14Selected = function (e) {
        q14 = e.itemData.value;
    };
    answer_14 = [
        { value: 0, text: '平时很少运动' },
        { value: 5, text: '每周会做3-4次的运动' },
        { value: 10, text: '每周会做5-7次的运动' },
    ];

    function saveData() {
        var result = {
            "foodScore": foodScore,
            "waterScore": waterScore,
            "sportScore": sportScore,
        };
        Light.action.surveys.addRecord(qtype, result, titleName, function () { });
        Light.action.surveys.uploadToServer(function () { }, function () { });
    }

    notifyChangeClick = function (e) {
        foodScore = q1 + q2 + q3 + q4 + q5 + q6 + q7 + q8 + q9 + q10 + q11 + q12;
        waterScore = q13;
        sportScore = q14;
        saveData();

        Light.app.navigate({
            view: "lifeStyleResult",
            foodScore: foodScore,
            waterScore: waterScore,
            sportScore: sportScore
        });

        // =============== 问卷初始化 start =============== 
        $("#p_5").hide();
        // =============== 问卷初始化 end ===============
    }

    var viewModel = {
        v_1: ko.observable(), v_2: ko.observable(), v_3: ko.observable(), v_4: ko.observable(), v_5: ko.observable(),
        v_6: ko.observable(), v_7: ko.observable(), v_8: ko.observable(), v_9: ko.observable(), v_10: ko.observable(),
        v_11: ko.observable(),v_12: ko.observable(),v_13: ko.observable(),v_14: ko.observable(),


        viewShown: function () {
            viewModel.v_1(0); viewModel.v_2(0); viewModel.v_3(0); viewModel.v_4(0); viewModel.v_5(0);
            viewModel.v_6(0); viewModel.v_7(0); viewModel.v_8(0); viewModel.v_9(0); viewModel.v_10(0);
            viewModel.v_11(0); viewModel.v_12(0); viewModel.v_13(0); viewModel.v_14(0);

            currentpage = 1;

            $("#p_1").show();
            $("#p_2").hide();
            $("#p_3").hide();
            $("#p_4").hide();
            $("#p_5").hide();

        },
        viewHidden: function () {
            viewModel.v_1(0); viewModel.v_2(0); viewModel.v_3(0); viewModel.v_4(0); viewModel.v_5(0);
            viewModel.v_6(0); viewModel.v_7(0); viewModel.v_8(0); viewModel.v_9(0); viewModel.v_10(0);
            viewModel.v_11(0); viewModel.v_12(0); viewModel.v_13(0); viewModel.v_14(0);
        }
    };

    return viewModel;
};