﻿Light.lifeStyleResult = function (params) {
    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'HealthIndex' }, { root: true });
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: '生活方式调查结果' },
    ];

    var viewModel = {
        foodPrompt: ko.observable(),
        foodDanger: ko.observable(),
        foodSuggestion: ko.observable(),
        waterPrompt: ko.observable(),
        waterDanger: ko.observable(),
        waterSuggestion: ko.observable(),
        sportPrompt: ko.observable(),
        sportDanger: ko.observable(),
        sportSuggestion: ko.observable(),
        //画面 init
        viewShown: function () {
            if (params.foodScore <= 40) {
                viewModel.foodPrompt("您的饮食习惯已经处于高危水平");
                viewModel.foodDanger("不健康的饮食习惯不仅会增加您患上肥胖的可能性，同时也会增加您患上其他肥胖相关并发症(糖尿病、高血压、动脉硬化、血脂异常等)的几率");
                viewModel.foodSuggestion("您需要严格控制高脂肪、高糖和高盐等一类食物的摄入。多吃谷物，水果，蔬菜等营养全面的绿色食谱。尽量少喝碳酸饮料，少吃糖果和蛋糕等糖分极高，营养价值却很低的食物。");
            } else if (params.foodScore > 40 && params.foodScore <= 80) {
                viewModel.foodPrompt("您的饮食习惯较乐观，但还需要进行调整");
                viewModel.foodDanger(" -- ");
                viewModel.foodSuggestion("建议您提高水果和蔬菜的摄入量，同时多吃膳食纤维含量丰富的食物。少吃肉类、蛋糕、油炸食品等脂肪和热量含量高的食物。这些食物是引起肥胖和高血压等疾病的重要原因。");
            } else {
                viewModel.foodPrompt("恭喜您，您的饮食习惯是科学的，请您继续保持！");
                viewModel.foodDanger("");
                viewModel.foodSuggestion("低脂肪、低盐、低糖的食物以及水果，蔬菜，高纤维食物的摄入对您的身体健康十分的有益。建议您继续保持这种饮食状态。同时，多吃坚果，豆类等健康食物。");
            }

            if (params.waterScore <= 3) {
                viewModel.waterPrompt("您的饮水量较少");
                viewModel.waterDanger(" -- ");
                viewModel.waterSuggestion("建议您每天保持8-10杯水的饮水量(2000-2500ml)，多喝水可以提高人体新陈代谢的水平，调节体温，增加人体中血红蛋白的含量，同时还可以提高免疫功能，从某种程度上来说对减肥非常有益！");
            } else {
                viewModel.waterPrompt("您的饮水习惯非常良好");
                viewModel.waterDanger(" -- ");
                viewModel.waterSuggestion("建议您继续保持良好的饮水习惯，多喝水可以提高人体新陈代谢的水平，调节体温，增加人体中血红蛋白的含量，同时还可以提高免疫功能，从某种程度上来说对减肥非常有益！");
            }

            if (params.sportScore == 0) {
                viewModel.sportPrompt("您的运动习惯较差");
                viewModel.sportDanger("您几乎没有什么活动量，身体消耗得少，摄入的能量不能全部被消耗，多余的热量就只能转化成为脂肪囤积在身体中，所以不要埋怨自己吃啥都长肉，应该好好审视一下自己的运动习惯。");
                viewModel.sportSuggestion("建议您从现在开始每天坚持30-40min左右的运动量，为了自己的健康，快快行动起来！");
            } else if (params.sportScore == 3) {
                viewModel.sportPrompt("您的运动习惯较为乐观，但还需要进行适当调整");
                viewModel.sportDanger(" -- ");
                viewModel.sportSuggestion("科学表明，每天坚持30-40min的运动能够有效预防呼吸代谢系统疾病、改善体形、减缓骨骼老化、改善睡眠、降低癌症的发生率等。建议您在目前的基础上增加自己的运动天数，每天坚持30-40min左右的运动量。");
            } else {
                viewModel.sportPrompt("您的运动习惯非常不错，请您继续保持");
                viewModel.sportDanger(" -- ");
                viewModel.sportSuggestion("科学表明，每天坚持30-40min的运动能够有效预防呼吸代谢系统疾病、改善体形、减缓骨骼老化、改善睡眠、降低癌症的发生率等。您的运动习惯已经非常不错了，建议您在原有的运动基础上多多尝试不同的运动类型，丰富自己的运动体验。");
            }

            $("#lifeTestAgain").show(50);

        },
    };
    return viewModel;
};