﻿Light.traditionalChineseMedicine_9 = function (params) {
    var qtype = Light.rtdata.q_chinese;//问卷类型
    var iScore = 0;//特禀质问卷

    var q9_1 = 1, q9_2 = 1, q9_3 = 1, q9_4 = 1, q9_5 = 1, q9_6 = 1, q9_7 = 1;

    //返回 按钮
    //backClick = function (e) {
    //    Light.app.navigate({ view: 'HealthIndex' }, { root: true });
    //};

    //上一页
    goPreviousPage = function () {
        Light.rtdata.iScore = (q9_1 + q9_2 + q9_3 + q9_4 + q9_5 + q9_6 + q9_7 - 7) / 28 * 100;
        Light.rtdata.iState = viewModel.s9_1() + "" + viewModel.s9_2() + "" + viewModel.s9_3() + "" + viewModel.s9_4() + "" + viewModel.s9_5() + "" + viewModel.s9_6() + "" + viewModel.s9_7();

        var iState = Light.rtdata.iState;
        viewModel.s9_1(iState.substring(0, 1));
        viewModel.s9_2(iState.substring(1, 2));
        viewModel.s9_3(iState.substring(2, 3));
        viewModel.s9_4(iState.substring(3, 4));
        viewModel.s9_5(iState.substring(4, 5));
        viewModel.s9_6(iState.substring(5, 6));
        viewModel.s9_7(iState.substring(6, 7));
        Light.app.navigate({ view: 'traditionalChineseMedicine_8' });
    }

    //menu bar
    toolbarItems = [
        { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: goPreviousPage } },
        { location: 'center', text: Globalize.localize('traditionalChineseMedicine-title') },
    ];

    answer_asc = [
              { rid: 0, value: 1, text: '没有/或不' },
              { rid: 1, value: 2, text: '很少' },
              { rid: 2, value: 3, text: '有时' },
              { rid: 3, value: 4, text: '经常' },
              { rid: 4, value: 5, text: '总是' },
    ];

    d9_1Selected = function (e) { q9_1 = e.itemData.value; viewModel.s9_1(e.itemData.rid); };
    d9_2Selected = function (e) { q9_2 = e.itemData.value; viewModel.s9_2(e.itemData.rid); };
    d9_3Selected = function (e) { q9_3 = e.itemData.value; viewModel.s9_3(e.itemData.rid); };
    d9_4Selected = function (e) { q9_4 = e.itemData.value; viewModel.s9_4(e.itemData.rid); };
    d9_5Selected = function (e) { q9_5 = e.itemData.value; viewModel.s9_5(e.itemData.rid); };
    d9_6Selected = function (e) { q9_6 = e.itemData.value; viewModel.s9_6(e.itemData.rid); };
    d9_7Selected = function (e) { q9_7 = e.itemData.value; viewModel.s9_7(e.itemData.rid); };

    var viewModel = {
        s9_1: ko.observable(),
        s9_2: ko.observable(),
        s9_3: ko.observable(),
        s9_4: ko.observable(),
        s9_5: ko.observable(),
        s9_6: ko.observable(),
        s9_7: ko.observable(),
     
        notifyChangeClick: function (e) {
            Light.rtdata.iScore = (q9_1 + q9_2 + q9_3 + q9_4 + q9_5 + q9_6 + q9_7 - 7) / 28 * 100;
            
            var results = [
                { "score": Light.rtdata.aScore, "name": "平和质", "detail": "d1" },
                { "score": Light.rtdata.bScore, "name": "气虚质", "detail": "d2" },
                { "score": Light.rtdata.cScore, "name": "阳虚质", "detail": "d3" },
                { "score": Light.rtdata.dScore, "name": "阴虚质", "detail": "d4" },
                { "score": Light.rtdata.eScore, "name": "痰湿质", "detail": "d5" },
                { "score": Light.rtdata.fScore, "name": "湿热质", "detail": "d6" },
                { "score": Light.rtdata.gScore, "name": "血瘀质", "detail": "d7" },
                { "score": Light.rtdata.hScore, "name": "气郁质", "detail": "d8" },
                { "score": Light.rtdata.iScore, "name": "特禀质", "detail": "d9" },

            ];
            results.sort(function (a, b) {
                return b.score - a.score;
            });

            var constitutionalType = results[0].name;
            var details = results[0].detail;

            //保存数据
            var result = {
                "aScore": Light.rtdata.aScore,
                "bScore": Light.rtdata.bScore,
                "cScore": Light.rtdata.cScore,
                "dScore": Light.rtdata.dScore,
                "eScore": Light.rtdata.eScore,
                "fScore": Light.rtdata.fScore,
                "gScore": Light.rtdata.gScore,
                "hScore": Light.rtdata.hScore,
                "iScore": Light.rtdata.iScore,
                "constitutionalType": constitutionalType,
                "details": details,
            };
            Light.action.surveys.addRecord(qtype, result, "中医体质调查问卷", function () {
                Light.action.surveys.uploadToServer(function () { }, function () { });
            });
            //保存数据

            Light.app.navigate(
                {
                    view: "traditionalChineseMedicineResult",
                    aScore: Light.rtdata.aScore,
                    bScore: Light.rtdata.bScore,
                    cScore: Light.rtdata.cScore,
                    dScore: Light.rtdata.dScore,
                    eScore: Light.rtdata.eScore,
                    fScore: Light.rtdata.fScore,
                    gScore: Light.rtdata.gScore,
                    hScore: Light.rtdata.hScore,
                    iScore: Light.rtdata.iScore,
                    constitutionalType: constitutionalType,
                    details: details,
                });
        },

        viewShown: function () {
            var iState = Light.rtdata.iState;
            viewModel.s9_1(iState.substring(0, 1));
            viewModel.s9_2(iState.substring(1, 2));
            viewModel.s9_3(iState.substring(2, 3));
            viewModel.s9_4(iState.substring(3, 4));
            viewModel.s9_5(iState.substring(4, 5));
            viewModel.s9_6(iState.substring(5, 6));
            viewModel.s9_7(iState.substring(6, 7));
        },
    };

    return viewModel;
};