﻿Light.Home = function (params) {

    var selectDeviceID = null;
    var normWeight = [];
    var normBMI = [];
    var normBFR = [];
    var normWATER = [];
    var normMUS = [];
    var normBONE = [];
    var normBMR = [];
    var normSFAT = [];
    var normINFAT = [];
    var weightValue, bmiValue, bfrValue, waterValue, musValue,
        boneValue, bmrValue, sfatValue, infatValue, bodyageValue, stepsValue, calorieValue, distanceValue;

    //健康设备数据表示
    function showSelectDeviceData() {

        weightValue = Light.rtdata.health_last_weight_weight;
        bmiValue = Light.rtdata.health_last_weight_bmi;
        bfrValue = Light.rtdata.health_last_weight_bfr;
        waterValue = Light.rtdata.health_last_weight_water;
        musValue = Light.rtdata.health_last_weight_mus;
        boneValue = Light.rtdata.health_last_weight_bone;
        bmrValue = Light.rtdata.health_last_weight_bmr;
        sfatValue = Light.rtdata.health_last_weight_sfat;
        infatValue = Light.rtdata.health_last_weight_infat;
        bodyageValue = Light.rtdata.health_last_weight_bodyage;
        //数据表示
        dataDisplay();
    };

    //健康数据读取（plugin）
    function dataDisplay() {
        //体重
        viewModel.txt_weight(Globalize.parseFloat(Globalize.format(weightValue, "n1")) + "KG");
        //BMI
        viewModel.txt_bmi(Globalize.parseFloat(Globalize.format(bmiValue, "n1")) + "");
        //体脂率
        viewModel.txt_bfr(Globalize.parseFloat(Globalize.format(bfrValue, "n1")) + "%");
        //水分
        viewModel.txt_water(Globalize.parseFloat(Globalize.format(waterValue, "n1")) + "%");
        //骨骼
        viewModel.txt_bone(Globalize.parseFloat(Globalize.format(boneValue, "n1")) + "%");
        //肌肉
        viewModel.txt_muscle(Globalize.parseFloat(Globalize.format(musValue, "n1")) + "%");
        //皮下脂肪
        viewModel.txt_sfat(Globalize.parseFloat(Globalize.format(sfatValue, "n1")) + "%");
        //内脏脂肪
        viewModel.txt_infat(Globalize.parseFloat(Globalize.format(infatValue, "n1")) + "");
        //身体年龄
        viewModel.txt_bodyage(bodyageValue);

        //BMR 
        viewModel.txt_bmr(Globalize.format(bmrValue, "d") + Globalize.localize('common-unit-calorie'));
        viewModel.txt_circle(viewModel.txt_bmi());
        //viewModel.txt_circle_des("BMI");
        viewModel.txt_circle_des(Globalize.localize('health-BMI'));
        changeCircleColor("bmi");
    }

    //数据保存
    function saveData(reList) {
        //date, planid, itemid, recordlist,
        var recordList = [];
        recordList.push({
            itemType: reList.itemType,
            id: '',
            name: '',
            detail: '',
            dtlType: 1,
            dtlKbn: 1,
            dtlNum: 1,
            calorie: 0,
        });

        Light.action.healthPlan.record(reList.date, reList.planId, reList.itemId, recordList, viewModel.viewShown(), null);
    };

    //时间轴数据取得
    function setScheduleData() {
        var inDate = Globalize.format(new Date(), 'yyyyMMdd');

        var done = function (rt) {
            if (rt == 1) {
                var tempScheduleList = [];
                var tempDetailList = [];
                var id = 0;
                var currultTime = Globalize.parseInt(Globalize.format(new Date(), 'Hmm'));
                var k = 0;
                var flg4 = true;
                var flg = false;
                var position = 0;
                var count = 0;

                for (var i = Light.ScheduleData.scheduleList.length - 1; i >= 0 ; i--) {
                    if (Light.ScheduleData.scheduleList[i].sameType !== 2) {
                        count++;
                    }
                    if (count == 4) {
                        position = i;
                        break;
                    }
                }

                for (var i = 0; i < Light.ScheduleData.scheduleList.length; i++) {
                    if ((tempScheduleList.length >= 4) && (Light.ScheduleData.scheduleList[i].sameType !== 2)) break;

                    if (flg4 && ( i >= position )) {
                        //小于4条记录
                        if (flg) {
                            //第一条以后
                            if (Light.ScheduleData.scheduleList[i].sameType !== 2) {
                                tempScheduleList.push({
                                    id: id,
                                    ImgSource: Light.ScheduleData.scheduleList[i].ImgSource,
                                    typeImg: Light.ScheduleData.scheduleList[i].ImgSource[0],
                                    intTime: Light.ScheduleData.scheduleList[i].intTime,
                                    time: Light.ScheduleData.scheduleList[i].time,
                                    select: 0,
                                });
                                id += 1;
                            }

                            if (tempDetailList.length == 0 && tempScheduleList[k].intTime == Light.ScheduleData.scheduleList[i].intTime) {
                                if (Light.ScheduleData.scheduleList[i].recordFlg() == 0) {
                                    tempDetailList.push({
                                        itemType: Light.ScheduleData.scheduleList[i].itemType,
                                        time: Light.ScheduleData.scheduleList[i].time,
                                        title: Light.ScheduleData.scheduleList[i].title,
                                        content: Light.ScheduleData.scheduleList[i].content,
                                        recordId: Light.ScheduleData.scheduleList[i].recordId,
                                    });

                                    tempScheduleList[k].typeImg = tempScheduleList[k].ImgSource[0];
                                    tempScheduleList[k].select = 0;
                                    var p = tempScheduleList.length - 1;
                                    tempScheduleList[p].typeImg = tempScheduleList[p].ImgSource[1];
                                    tempScheduleList[p].select = 1;
                                }
                            }

                        } else {
                            //第一条
                            if (currultTime <= Light.ScheduleData.scheduleList[i].intTime) {
                                flg = true;
                                k = id;
                                tempScheduleList.push({
                                    id: id,
                                    ImgSource: Light.ScheduleData.scheduleList[i].ImgSource,
                                    typeImg: Light.ScheduleData.scheduleList[i].ImgSource[1],
                                    intTime: Light.ScheduleData.scheduleList[i].intTime,
                                    time: Light.ScheduleData.scheduleList[i].time,
                                    select: 1,
                                });
                                id += 1;

                                if (Light.ScheduleData.scheduleList[i].recordFlg() == 0) {
                                    tempDetailList.push({
                                        itemType: Light.ScheduleData.scheduleList[i].itemType,
                                        time: Light.ScheduleData.scheduleList[i].time,
                                        title: Light.ScheduleData.scheduleList[i].title,
                                        content: Light.ScheduleData.scheduleList[i].content,
                                        recordId: Light.ScheduleData.scheduleList[i].recordId,
                                    });
                                }
                            } else {
                                if (Light.ScheduleData.scheduleList[i].sameType !== 2) {
                                    tempScheduleList.push({
                                        id: id,
                                        ImgSource: Light.ScheduleData.scheduleList[i].ImgSource,
                                        typeImg: Light.ScheduleData.scheduleList[i].ImgSource[0],
                                        intTime: Light.ScheduleData.scheduleList[i].intTime,
                                        time: Light.ScheduleData.scheduleList[i].time,
                                        select: 0,
                                    });
                                    id += 1;
                                }
                            }
                        }
                    } else {
                        //大于4条记录
                        if (flg) {
                            //第一条以后
                            if (Light.ScheduleData.scheduleList[i].sameType !== 2) {
                                tempScheduleList.push({
                                    id: id,
                                    ImgSource: Light.ScheduleData.scheduleList[i].ImgSource,
                                    typeImg: Light.ScheduleData.scheduleList[i].ImgSource[0],
                                    intTime: Light.ScheduleData.scheduleList[i].intTime,
                                    time: Light.ScheduleData.scheduleList[i].time,
                                    select: 0,
                                });
                                id += 1;
                            }

                            if (tempDetailList.length == 0 && tempScheduleList[k].intTime == Light.ScheduleData.scheduleList[i].intTime) {
                                if (Light.ScheduleData.scheduleList[i].recordFlg() == 0) {
                                    tempDetailList.push({
                                        itemType: Light.ScheduleData.scheduleList[i].itemType,
                                        time: Light.ScheduleData.scheduleList[i].time,
                                        title: Light.ScheduleData.scheduleList[i].title,
                                        content: Light.ScheduleData.scheduleList[i].content,
                                        recordId: Light.ScheduleData.scheduleList[i].recordId,
                                    });

                                    tempScheduleList[k].typeImg = tempScheduleList[k].ImgSource[0];
                                    tempScheduleList[k].select = 0;
                                    var p = tempScheduleList.length - 1;
                                    tempScheduleList[p].typeImg = tempScheduleList[p].ImgSource[1];
                                    tempScheduleList[p].select = 1;
                                }
                            }
                        } else {
                            //第一条
                            if (currultTime <= Light.ScheduleData.scheduleList[i].intTime) {
                                flg4 = false;
                                flg = true;
                                k = id;
                                tempScheduleList.push({
                                    id: id,
                                    ImgSource: Light.ScheduleData.scheduleList[i].ImgSource,
                                    typeImg: Light.ScheduleData.scheduleList[i].ImgSource[1],
                                    intTime: Light.ScheduleData.scheduleList[i].intTime,
                                    time: Light.ScheduleData.scheduleList[i].time,
                                    select: 1,
                                });
                                id += 1;

                                if (Light.ScheduleData.scheduleList[i].recordFlg() == 0) {
                                    tempDetailList.push({
                                        itemType: Light.ScheduleData.scheduleList[i].itemType,
                                        time: Light.ScheduleData.scheduleList[i].time,
                                        title: Light.ScheduleData.scheduleList[i].title,
                                        content: Light.ScheduleData.scheduleList[i].content,
                                        recordId: Light.ScheduleData.scheduleList[i].recordId,
                                    });
                                }
                            }
                        }
                    }  
                }

                viewModel.scheduleSource(tempScheduleList);
                if (tempDetailList.length > 0) {
                    viewModel.detailSource(tempDetailList);
                } else {
                    tempDetailList.push({
                        itemType: '',
                        time: '',
                        title: Globalize.localize('home-schedule-message-nodata'),
                        content: '',
                        recordId: '',
                    });
                    viewModel.detailSource(tempDetailList);
                }
                
            }
        }
        Light.ScheduleData.getPlanList(inDate, done);
    };
    function changeCircleColor(type) {
        normWeight = Light.action.health.getNormWeight();
        normBMI = Light.action.health.getNormBMI();
        normBFR = Light.action.health.getNormBFR();

        normWATER = Light.action.health.getNormWATER();
        normMUS = Light.action.health.getNormMUS();
        normBONE = Light.action.health.getNormBONE(Light.rtdata.health_last_weight_weight);
        normBMR = Light.action.health.getNormBMR(Light.rtdata.health_last_weight_weight);
        normINFAT = Light.action.health.getNormInfat();
        normSFAT = Light.action.health.getNormSfat();

        $("#circleBox").attr("class", "circle-box bg1");

        var percent;
        if ("bmi" == type) {
            if (!bmiValue || bmiValue == 0) {
                return;
            }
            if (bmiValue <= normBMI[0]) {
                //偏瘦
                $("#circleBox").attr("class", "circle-box bg1");
            } else if ((bmiValue > normBMI[0]) && (bmiValue <= normBMI[1])) {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            } else if ((bmiValue > normBMI[1]) && (bmiValue <= normBMI[2])) {
                //偏胖
                $("#circleBox").attr("class", "circle-box bg3");
            } else if (bmiValue > normBMI[2]) {
                $("#circleBox").attr("class", "circle-box bg4");
            }
        } else if ("weight" == type) {
            if (!weightValue || weightValue == 0) {
                return;
            }
            if (weightValue <= normWeight[0]) {
                //偏瘦
                $("#circleBox").attr("class", "circle-box bg1");
                //$("#circleBox").addClass("bg1");
            } else if ((weightValue > normWeight[0]) && (weightValue <= normWeight[1])) {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
                //$("#circleBox").addClass("bg2");
            } else if ((weightValue > normWeight[1]) && (weightValue <= normWeight[2])) {
                //偏胖
                $("#circleBox").attr("class", "circle-box bg3");
                //$("#circleBox").addClass("bg3");
            } else if (weightValue > normWeight[2]) {
                //肥胖
                $("#circleBox").attr("class", "circle-box bg4");
                //$("#circleBox").addClass("bg4");
            }
        } else if ("bfr" == type) {
            if (!bfrValue || bfrValue == 0) {
                return;
            }
            if (bfrValue <= normBFR[0]) {
                //偏瘦
                $("#circleBox").attr("class", "circle-box bg1");
            } else if ((bfrValue > normBFR[0]) && (bfrValue <= normBFR[1])) {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            } else if ((bfrValue > normBFR[1]) && (bfrValue <= normBFR[2])) {
                //偏胖
                $("#circleBox").attr("class", "circle-box bg3");
            } else if (bfrValue > normBFR[2]) {
                //肥胖
                $("#circleBox").attr("class", "circle-box bg4");
            }

        } else if ("water" == type) {
            if (!waterValue || waterValue == 0) {
                return;
            }
            if (waterValue <= normWATER[0]) {
                //偏低
                $("#circleBox").attr("class", "circle-box bg1");
            } else if (waterValue > normWATER[1]) {
                //偏高
                $("#circleBox").attr("class", "circle-box bg3");
            } else {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("bone" == type) {
            if (!boneValue || boneValue == 0) {
                return;
            }
            if (boneValue < normBONE[0]) {
                //偏低
                $("#circleBox").attr("class", "circle-box bg1");
            } else if (boneValue > normBONE[1]) {
                //偏高
                $("#circleBox").attr("class", "circle-box bg3");
            } else {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("muscle" == type) {
            if (!musValue || musValue == 0) {
                return;
            }
            if (musValue < normMUS[0]) {
                //偏低
                $("#circleBox").attr("class", "circle-box bg1");
            } else if (musValue > normMUS[1]) {
                //偏高
                $("#circleBox").attr("class", "circle-box bg3");
            } else {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("bmr" == type) {
            if (!bmrValue || bmrValue == 0) {
                return;
            }
            if (bmrValue < Globalize.parseInt(normBMR[0])) {
                //未达标
                $("#circleBox").attr("class", "circle-box bg1");
            } else {
                //达标
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("sfat" == type) {
            if (!sfatValue || sfatValue == 0) {
                return;
            }
            if (sfatValue < normSFAT[0]) {
                //偏低
                $("#circleBox").attr("class", "circle-box bg1");
            } else if (sfatValue > normSFAT[1]) {
                //偏高
                $("#circleBox").attr("class", "circle-box bg3");
            } else {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("infat" == type) {
            if (!infatValue || infatValue == 0) {
                return;
            }
            if (infatValue < normINFAT[0]) {
                //偏低
                $("#circleBox").attr("class", "circle-box bg1");
            } else if (infatValue > normINFAT[1]) {
                //偏高
                $("#circleBox").attr("class", "circle-box bg3");
            } else {
                //标准
                $("#circleBox").attr("class", "circle-box bg2");
            }
        } else if ("bodyage" == type) {
            if (!bodyageValue || bodyageValue == 0) {
                return;
            }
            var age = Light.rtdata.common_age;
            if (bodyageValue < age) {
                //未达标
                $("#circleBox").attr("class", "circle-box bg1");
            } else {
                //达标
                $("#circleBox").attr("class", "circle-box bg2");
            }
        }

    };

     var qrscan = function (e) {
            if (cordova && cordova.plugins && cordova.plugins.barcodeScanner) {
                cordova.plugins.barcodeScanner.scan(
                      function (result) {
                          if (result.cancelled) {
                            //do nothing 
                          } else {

                            if (result.format == "QR_CODE" && result.text.indexOf(Light.config.QRCODE_MEMBERID) != -1) {
                                var content = result.text.split("-");
                                if (content && content.length == 3) {
                                    Light.app.navigate({ view: 'FriendAdd', userId: content[2] });
                                } else {
                                    DevExpress.ui.notify("无法识别的二维码", "error", 2000);
                                }
                            } else if (result.format == "QR_CODE" && result.text.indexOf(Light.config.QRCODE_GOODSID) != -1) {
                                var content = result.text.split("-");
                                if (content && content.length == 3) {
                                    var url = content[2];

                                    Light.action.favoriteAndToShop(url);

                                    /* move to action.favoriteAndShow
                                    switch (DevExpress.devices.real().platform) {
                                        case "ios":
                                            Light.action.serverTo51jkIos(Light.rtdata.memberAcc, url);
                                            break;
                                        case "android":
                                            var fullurl = Light.action.serverTo51jkAndroid(Light.rtdata.memberAcc, url);
                                            Light.app.navigate({view:'Shop', url:fullurl}, { root: true });
                                            break;
                                        default :
                                            if (window.plugins && window.plugins.seioinappbrowser) {
                                                window.plugins.seioinappbrowser(url, "_system", "location=no");
                                            } else if (window.open) {
                                                window.open(url, "_system", 'location=no');
                                            }
                                            break;
                                    }
                                    */
                                } else {
                                    DevExpress.ui.notify("无法识别的二维码", "error", 2000);
                                }
                            } else {
                                Light.tool.toPartnerMessageList();
                                DevExpress.ui.notify("无法识别的二维码", "error", 2000);
                            }
                          }
                      }, 
                      function (error) {
                          Light.tool.toPartnerMessageList();
                          DevExpress.ui.notify("扫描二维码失败", "error", 2000);
                      }
                   );       
            }
        };

    var viewModel = {
        menuClick: function () {
            Light.app.navigate('Shake');
        },
        menuScanClick: function () {

            qrscan();
            //Light.action.favoriteAndToShop("http://51jk.cc/m_index.php?ax=asdfe&dafaf=xeef&favorite=中文文字内容5");
            //Light.action.favorite.uploadToServer();
            //Light.action.favorite.downloadFromServer();
        },
        img_head: ko.observable(""),
        headTooltipVisible: ko.observable(false),
        userName: ko.observable(''),
        city: ko.observable(""),
        viewHeight: ko.observable(0),
        txt_circle: ko.observable("0"),
        txt_circle_des: ko.observable(Globalize.localize('health-BMI')),
        color_default: ko.observable("red"),
        color1: ko.observable("#fac926"),
        color2: ko.observable("#6eca0d"),
        color3: ko.observable("#ff8700"),
        color4: ko.observable("#ff0000"),
        //体重
        txt_weight: ko.observable(0),
        //体脂率
        txt_bfr: ko.observable(0),
        //BMI
        txt_bmi: ko.observable(0),
        //水分
        txt_water: ko.observable(0),
        //骨骼
        txt_bone: ko.observable(0),
        //肌肉
        txt_muscle: ko.observable(0),
        //BMR
        txt_bmr: ko.observable(0),
        //皮下脂肪
        txt_sfat: ko.observable(0),
        //内脏脂肪
        txt_infat: ko.observable(0),
        //身体年龄
        txt_bodyage: ko.observable(0),

        //步数
        txt_steps: ko.observable(0),
        //卡路里
        txt_calorie: ko.observable(0),
        //路程
        txt_distance: ko.observable(0),

        scheduleSource: ko.observable([]),
        detailSource: ko.observable([]),

        popupUserNameVisible: ko.observable(false),
        popupUserName: ko.observable(''),

        //体重按下
        weightClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_weight());
            viewModel.txt_circle_des(Globalize.localize('health-weight'));
            changeCircleColor("weight");
        },
        //体脂率按下
        bfrClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_bfr());
            //viewModel.txt_circle_des("体脂率");
            viewModel.txt_circle_des(Globalize.localize('health-BFR'));
            changeCircleColor("bfr");
        },
        //BMI按下
        bmiClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_bmi());
            //viewModel.txt_circle_des("BMI");
            viewModel.txt_circle_des(Globalize.localize('health-BMI'));
            changeCircleColor("bmi");
        },
        //水分按下
        waterClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_water());
            //viewModel.txt_circle_des("水分含量");
            viewModel.txt_circle_des(Globalize.localize('health-water'));
            changeCircleColor("water");
        },
        //骨骼按下
        boneClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_bone());
            //viewModel.txt_circle_des("骨骼含量");
            viewModel.txt_circle_des(Globalize.localize('health-bone'));
            changeCircleColor("bone");
        },
        //肌肉按下
        muscleClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_muscle());
            //viewModel.txt_circle_des("肌肉含量");
            viewModel.txt_circle_des(Globalize.localize('health-muscle'));
            changeCircleColor("muscle");
        },
        //基础代谢率按下
        bmrClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_bmr());
            //viewModel.txt_circle_des("基础代谢率");
            viewModel.txt_circle_des(Globalize.localize('health-BMR'));
            changeCircleColor("bmr");
        },
        //皮下脂肪按下
        sfatClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_sfat());
            viewModel.txt_circle_des(Globalize.localize('health-sfat'));
            changeCircleColor("sfat");
        },
        //基础代谢率按下
        infatClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_infat());
            viewModel.txt_circle_des(Globalize.localize('health-infat'));
            changeCircleColor("infat");
        },
        //身体年龄按下
        bodyageClicked: function (e) {
            viewModel.txt_circle(viewModel.txt_bodyage());
            viewModel.txt_circle_des(Globalize.localize('health-bodyage'));
            changeCircleColor("bodyage");
        },

        multiViewItems: new DevExpress.data.DataSource({
            store: [
            {
                title: "体重",
                data: {
                    体重: Light.rtdata.health_last_weight_weight + "公斤",
                }
            },
            {
                title: "体脂",
                data: {
                    体脂肪率: Light.rtdata.health_last_weight_bfr + "%",
                }
            },
            {
                title: "BMI",
                data: {
                    BMI指数: Light.rtdata.health_last_weight_bmi,
                }
            },
            {
                title: "水分",
                data: {
                    水分含量: Light.rtdata.health_last_weight_water + "%",
                }
            },
            {
                title: "骨骼",
                data: {
                    骨骼指数: Light.rtdata.health_last_weight_bone,
                }
            },
            {
                title: "肌肉",
                data: {
                    肌肉指数: Light.rtdata.health_last_weight_mus,
                }
            },
            {
                title: "代谢",
                data: {
                    新陈代谢: Light.rtdata.health_last_weight_bmr + "卡路里/天",
                }
            }],
            map: function (itemData) {
                itemData.text = itemData.title;
                itemData.dataArray = $.map(itemData.data, function (value, key) {
                    return {
                        propertyKey: key,
                        propertyValue: value
                    }
                });
                return itemData;
            }
        }),

        //时间轴
        recordClick: function (e) {
            switch (e.itemData.itemType) {
                case 0:
                    //吃药
                    Light.app.navigate({ view: "MedicineRecord", record: Light.ScheduleData.medicineRecordList[e.itemData.recordId], title: e.itemData.title });
                    break;
                case 1:
                case 2:
                case 3:
                case 4:
                    //吃饭
                    Light.app.navigate({ view: "FoodRecord", record: Light.ScheduleData.healthRecordList[e.itemData.recordId], title: e.itemData.title });
                    break;
                case 5:
                    //运动
                    Light.app.navigate({ view: "SportsRecord", record: Light.ScheduleData.healthRecordList[e.itemData.recordId], title: e.itemData.title });
                    break;
                case 6:
                case 7:
                    //健康记录
                    saveData(Light.ScheduleData.healthRecordList[e.itemData.recordId]);
                    Light.app.navigate('Health');
                    break;
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                    //喝水,刷牙
                    saveData(Light.ScheduleData.healthRecordList[e.itemData.recordId]);
                    break;
            }
        },
        
        //popup 昵称 确认按钮
        popupConfirmClick: function (){
            var user = viewModel.popupUserName();
            user = $.trim(user);
            if (Light.tool.trim(user) == '') {
                DevExpress.ui.notify(Globalize.localize('profile-user') + Globalize.localize('message-notNull'), "error", 2000);
                return;

            } else {
                var userlen = user.replace(/[^\x00-\xff]/g, "xx");
                if (userlen.length > 20) {
                    DevExpress.ui.notify(Globalize.localize('profile-user-message'), "error", 2000);
                    return;
                }

                Light.rtdata.common_userName = user;
                Light.action.setting.setUserInfoUserName(user);
                viewModel.userName(Light.rtdata.common_userName);
                viewModel.popupUserNameVisible(false);

                //上传
                Light.action.setting.uploadToServer();
                Light.action.leancloud.user.setUserInfoById(function () { }, function () { });
            }
        },

        viewShown: function () {
            
            //leanCloud 初期化
            Light.action.leancloud.user.signIn(function () { }, function () { });

            //昵称
            viewModel.userName(Light.rtdata.common_userName);

            //头像
            var imgHeadDone = function (rt) {
                if (rt.userHeadImg) {
                    Light.rtdata.common_imgHead = rt.userHeadImg;
                } else {
                    Light.rtdata.common_imgHead = Light.config.imgHeadList[Light.rtdata.common_sex].src;
                    Light.action.setting.setUserHeadImg(Light.rtdata.common_imgHead);
                }

                viewModel.img_head(rt.userHeadImg);

                if (rt.appTip == 0) {
                    Light.db.setting.set("appTip", 1, null, null);
                    viewModel.headTooltipVisible(true);
                    setTimeout(function () { viewModel.headTooltipVisible(false); }, 4000);
                }
            };
            Light.action.setting.getUserInfo(imgHeadDone);

            //城市
            viewModel.city('');
            var cityId = Globalize.parseInt(Light.rtdata.common_city + '');
            if (!cityId) { cityId = 0; }

            var onIosSuccess = function (position) {
                var city = Light.tool.getCity(position.coords.latitude, position.coords.longitude, Light.config.cityGPSList);
                viewModel.city(Light.config.cityGPSList[city.id].city);
            };

            var onAndroidSuccess = function (position) {
                if ((position.code == 61) || (position.code == 161)) {
                    var city = Light.tool.getCity(position.coords.latitude, position.coords.longitude, Light.config.cityGPSList);
                    viewModel.city(Light.config.cityGPSList[city.id].city);
                } else {
                    viewModel.city(Light.config.cityGPSList[cityId].city);
                }
            };

            var onError = function (error) {
                viewModel.city(Light.config.cityGPSList[cityId].city);
            }

            switch (DevExpress.devices.real().platform) {
                case "ios":
                    navigator.geolocation.getCurrentPosition(onIosSuccess, onError);
                    break;
                case "android":
                    window.BaiduGeolocation.getCurrentPosition(onAndroidSuccess, onError);
                    break;
                default:
                    viewModel.city(Light.config.cityGPSList[cityId].city);
                    break;
            }
            
            //时间轴数据取得
            setScheduleData();
            
            //首页滑动
            //调整圆圈半径.
            function getTop(e) {
                var offset = e.offsetTop;
                if (e.offsetParent != null) offset += getTop(e.offsetParent);
                return offset;
            }
            var tmpDis = 120;
            if ($(".dx-viewport").hasClass("dx-theme-android")) {
                tmpDis += 40;
            }
            var distance = (getTop($(".home .timeline")[0]) - getTop($(".home .fuzzy")[0]) - (getTop($(".home .circle-box")[0]) - tmpDis)) / 2;
            if (distance < 145) {
                distance = 145;
            }
            var $rotatescroll = $("#rotatescroll");
            $("#rotatescroll").tinycircleslider({
                dotsSnap: true,
                radius: distance
            });
            var rotatescroll = $rotatescroll.data("plugin_tinycircleslider");
            if ($(window).height() <= 500) {
                $rotatescroll.css({ "top": "0px" });
                $(".home .timeline").css({ "position": "relative", "height": "74px", "margin-top": "50%", "bottom": "0" });
                $(".home .timeline-des").css({ "position": "relative" });
                
            }
            $rotatescroll.css({ "left": ($(window).width() - 180) / 2 - 10 + "px" });

            //健康
            Light.HealthPluginData.startpage = 1;
            Light.HealthPluginData.dataflg = 1
            showSelectDeviceData();

            //重排通知
            Light.action.checkNotification();

            //昵称popup显示
            if (Light.rtdata.common_userName == '') {
                viewModel.popupUserNameVisible(true);
            }
        },

        viewHidden: function () {
            viewModel.headTooltipVisible(false);
            Light.action.weight.uploadToServer();
        }
    };

    return viewModel;
};