﻿Light.MedicineRecord = function (params) {

    //返回 按钮
    backClick = function (e) {
        Light.app.navigate({ view: 'Schedule', scheduleBackFlg: params.scheduleBackFlg, date: date });
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: params.title + Globalize.localize('home-record') },
    ];

    var date;
    var timeStart;
    var timeEnd;
    //记录保存
    function saveData(status) {
        //date, timeStart, timeEnd, takenTime, takenStatus, memo, medicinelist, 
        var takenTime = Globalize.parseInt(Globalize.format(new Date(), 'Hmm'));
        var record = [];
        record = viewModel.medicineSource();
        for (var i = 0; i < record.length; i++) {
            record[i].status = Light.config.medicinestatusList[status].name;
        }
        Light.action.customMedicinePlan.recordByDateTimeSE(date, timeStart, timeEnd, takenTime, status, viewModel.input_notes(), record,
                function () {
                    Light.action.coin.record(1, function () { }, function () { });
                    Light.action.recordActivyDate();
                    Light.app.navigate({ view: 'Schedule', scheduleBackFlg: params.scheduleBackFlg, date: date });
                },
                function () { });
    };

    var viewModel = {
        pageVisible: ko.observable(false),
        popupPageVisible: ko.observable(false),

        day: ko.observable(''),
        medicineSource: ko.observable([]),
        input_notes: ko.observable(''),

        //服用 按钮
        takingClick: function () {
            saveData(1);
        },

        //跳过 按钮
        passClick: function () {
            saveData(2);
        },

        //画面init
        viewShown: function () {
            viewModel.popupPageVisible(true);

            if (params.record) {
                var recordData = $.parseJSON(params.record.replace('json:', ''));
                date = recordData.date;
                timeStart = recordData.timeStart;
                timeEnd = recordData.timeEnd;
                viewModel.day(Light.tool.getStandardDate(date));
                viewModel.medicineSource(recordData.medicineList);
                viewModel.input_notes(recordData.memo);
            }

            viewModel.popupPageVisible(false);
            viewModel.pageVisible(true);
           
        },
        viewHidden: function () {
            viewModel.pageVisible(false);
            Light.action.customMedicinePlan.uploadToServer();
            Light.action.coin.uploadToServer();
        }
    };

    return viewModel;
};