﻿(function () {

    Light.ScheduleData = function () {
    };

    // id 0
    // recordId 0
    // planId 1    // 计划ID
    // solutionId 1    // 方案ID
    // solutionName  “28天” // 方案名
    // itemId 1    // 事项ID
    // sortId 7001  //  时间+默认0/方案ID1/2/3/药9
    // itemType 1  // 早餐
    // typeImg "icon-food"
    // ImgSource "food有/无"
    // intTime  700
    // time  7:00
    // title  "早餐："
    // content  "牛奶+面包"
    // recordFlg  1:有记录  0：没记录
    // completeTooltipId   tooltip 控件
    // completeTooltipVisible  tooltip 控件
    // sameType: 0：初期值, 1: 相同类型（第一个） , 2:相同类型（1以后）
    Light.ScheduleData.scheduleList = [];

    // date: 20150101,
    // timeStart: 900,
    // timeEnd: 959,
    // takenTime: 1222,
    // medicineList  
    // takenStatus: 1,
    // memo: '',
    Light.ScheduleData.medicineRecordList = [];

    // date: 20150101,
    // planId: 
    // solutionId: 
    // itemId: 
    // itemType: 1,   //早餐 
    // info: '今天是欺骗日，晚餐就吃你喜欢吃的吧，但是别忘了吃奥利司他胶囊哦！ 【建议：500千卡】',
    // healthList: [],
    // otherList: [],
    Light.ScheduleData.healthRecordList = [];

    //方案数据取得
    Light.ScheduleData.getPlanList = function (date, doneFun) {

        var done = function (items) {
            Light.ScheduleData.scheduleList = [];
            Light.ScheduleData.medicineRecordList = [];
            Light.ScheduleData.healthRecordList = [];

            var ind = 0;
            var invTime;
            var content;
            var healthList = [];

            //时间大小 排序
            items.sort(function (a, b) { return a.itemStartTime - b.itemStartTime; });

            //方案list 取得
            if (items.length > 0) {
                for (var i = 0; i < items.length; i++) {

                    //时间表示
                    if (items[i].itemStartTime == 2400) {
                        invTime = "";
                    } else {
                        invTime = Light.tool.getDisplayTime(items[i].itemStartTime);
                    }

                    //内容表示
                    content = Light.config.scheduleItemsList[items[i].itemType].content;
                    if ((items[i].itemType >= 1) && (items[i].itemType <= 5)) {
                        for (var k = 0; k < items[i].itemDtls.length; k++) {
                            if (items[i].itemDtls[k].dtlId !== 999999) {
                                content += "+" + items[i].itemDtls[k].dispCharAbbr;
                            }
                        }
                        content = content.substr(1);
                    }

                    //时间轴 取得
                    Light.ScheduleData.scheduleList.push({
                        id: 0,
                        recordId: ind,
                        planId: items[i].healthPlanId,
                        solutionId: items[i].healthSolutionId,
                        solutionName: "(" + Light.config.solutionNameList[items[i].healthSolutionId].name + ")",
                        itemId: items[i].itemId,
                        sortId: Globalize.parseInt(items[i].itemStartTime + '' + items[i].healthSolutionId),
                        itemType: items[i].itemType,
                        typeImg: ko.observable(Light.config.scheduleItemsList[items[i].itemType].typeImg[0]),
                        ImgSource: Light.config.scheduleItemsList[items[i].itemType].typeImg,
                        intTime: items[i].itemStartTime,
                        time: invTime,
                        title: Light.config.scheduleItemsList[items[i].itemType].title,
                        content: content,
                        recordFlg: ko.observable(0),
                        completeTooltipId: 0,
                        completeTooltipVisible: ko.observable(false),
                        sameType: 0,
                    });

                    healthList = [];
                    var info = '';
                    var dtls = items[i].itemDtls;
                    for (var n = 0; n < dtls.length; n++) {
                        if (dtls[n].dtlId == 999999) {
                            info = dtls[n].dispChar;
                        } else {
                            healthList.push({
                                id: n,
                                no: dtls[n].no,
                                name: dtls[n].dispChar,
                                calorie: dtls[n].calorie,
                                okCheck: '',
                            });
                        }
                        
                    }
                    //方案全记录 取得
                    Light.ScheduleData.healthRecordList.push({
                        date: date,
                        planId: items[i].healthPlanId,
                        solutionId: items[i].healthSolutionId,
                        itemId: items[i].itemId,
                        itemType: items[i].itemType,
                        info: info,
                        healthList: healthList,
                        otherList: [],
                    });
                    ind += 1;
                }
            } else {
                for (var i = 1; i <= 7; i++) {
                    //默认方案记录取得
                    Light.ScheduleData.setDefaultScheduleList(date, ind, i);
                    ind += 1;
                }
            }

            //药品数据取得
            Light.ScheduleData.getMedicineList(date, doneFun);

        };
        Light.action.healthPlan.getPlanByDate(date, done, function () { });
    };

    //药品数据取得
    Light.ScheduleData.getMedicineList = function (date, doneFun) {
        var done = function (items) {
            var mediList = [];

            //药品list 取得
            for (var i = 0; i < items.length; i++) {
                //时间list 取得
                var time = items[i].timeList.split(",");
                for (var k = 0; k < time.length; k++) {
                    mediList.push({
                        medicinePlanId: items[i].medicinePlanId,
                        intTime: Globalize.parseInt(time[k]),
                        time: Light.tool.getDisplayTime(Globalize.parseInt(time[k])),
                        name: items[i].medicineName,
                        memo: items[i].memo,
                    });
                }
            }

            if (mediList.length > 0) {
                //药品list 排序
                mediList.sort(function (a, b) { return a.intTime - b.intTime; });

                //药品list 合并
                var recordList = [];
                var compTime = "";
                var tmpTime = "";
                var content = "";
                var ind = 0;

                for (var i = 0; i < mediList.length; i++) {
                    tmpTime = Globalize.format(mediList[i].intTime / 100, "d2");

                    if ((tmpTime !== compTime) && (compTime)) {
                        //时间轴 取得
                        Light.ScheduleData.scheduleList.push({
                            id: 0,
                            recordId: ind,
                            planId: '',
                            solutionId: 0,
                            solutionName: "",
                            itemId: 0,
                            sortId: Globalize.parseInt(compTime + "00" + '9'),
                            itemType: 0,
                            typeImg: ko.observable(Light.config.scheduleItemsList[0].typeImg[0]),
                            ImgSource: Light.config.scheduleItemsList[0].typeImg,
                            intTime: Globalize.parseInt(compTime + "00"),
                            time: compTime + ":00",
                            title: Light.config.scheduleItemsList[0].title,
                            content: content,
                            recordFlg: ko.observable(0),
                            completeTooltipId: 0,
                            completeTooltipVisible: ko.observable(false),
                            sameType: 0,
                        });
                        //药品全记录 取得
                        Light.ScheduleData.medicineRecordList.push({
                            date: date,
                            timeStart: Globalize.parseInt(compTime + "00"),
                            timeEnd: Globalize.parseInt(compTime + "59"),
                            takenTime: "",
                            medicineList: recordList,
                            takenStatus: 0,
                            memo: '',
                        });
                        ind += 1;
                    }

                    if (tmpTime == compTime) {
                        //药品记录详细list
                        recordList.push({
                            medicinePlanId: mediList[i].medicinePlanId,
                            time: mediList[i].time,
                            name: mediList[i].name,
                            memo: mediList[i].memo,
                            instruction: mediList[i].instruction,
                            status: '',
                        });
                        content += "+" + mediList[i].name;

                    } else {
                        //药品记录详细list
                        recordList = [];
                        recordList.push({
                            medicinePlanId: mediList[i].medicinePlanId,
                            time: mediList[i].time,
                            name: mediList[i].name,
                            memo: mediList[i].memo,
                            instruction: mediList[i].instruction,
                            status: '',
                        });
                        content = mediList[i].name;
                    }
                    compTime = tmpTime;
                }

                //时间轴 取得
                Light.ScheduleData.scheduleList.push({
                    id: 0,
                    recordId: ind,
                    planId: '',
                    solutionId: 0,
                    solutionName: "",
                    itemId: 0,
                    sortId: Globalize.parseInt(compTime + "00" + '9'),
                    itemType: 0,
                    typeImg: ko.observable(Light.config.scheduleItemsList[0].typeImg[0]),
                    ImgSource: Light.config.scheduleItemsList[0].typeImg,
                    intTime: Globalize.parseInt(compTime + "00"),
                    time: compTime + ":00",
                    title: Light.config.scheduleItemsList[0].title,
                    content: content,
                    recordFlg: ko.observable(0),
                    completeTooltipId: 0,
                    completeTooltipVisible: ko.observable(false),
                    sameType: 0,
                });
                //药品全记录 取得
                Light.ScheduleData.medicineRecordList.push({
                    date: date,
                    timeStart: Globalize.parseInt(compTime + "00"),
                    timeEnd: Globalize.parseInt(compTime + "59"),
                    takenTime: "",
                    medicineList: recordList,
                    takenStatus: 0,
                    memo: '',
                });
            }


            //时间轴 排序
            Light.ScheduleData.scheduleList.sort(function (a, b) { return a.sortId - b.sortId; });

            //加餐添加
            Light.ScheduleData.scheduleAdd(date);

            //时间轴 事项合并
            Light.ScheduleData.scheduleItemJoin();

            //方案记录取得
            Light.ScheduleData.getHealthRecord(date, doneFun);

        };
        Light.action.customMedicinePlan.getPlanByDate(date, done, function () { });
    };

    //默认方案记录取得
    Light.ScheduleData.setDefaultScheduleList = function (date, ind, i) {
        //时间轴 取得
        Light.ScheduleData.scheduleList.push({
            id: 0,
            recordId: ind,
            planId: '',
            solutionId: 0,
            solutionName: "",
            itemId: Light.config.scheduleItemsList[i].itemId,
            sortId: Globalize.parseInt(Light.config.scheduleItemsList[i].intTime + '0'),
            itemType: Light.config.scheduleItemsList[i].typeId,
            typeImg: ko.observable(Light.config.scheduleItemsList[i].typeImg[0]),
            ImgSource: Light.config.scheduleItemsList[i].typeImg,
            intTime: Light.config.scheduleItemsList[i].intTime,
            time: Light.config.scheduleItemsList[i].time,
            title: Light.config.scheduleItemsList[i].title,
            content: Light.config.scheduleItemsList[i].content,
            recordFlg: ko.observable(0),
            completeTooltipId: 0,
            completeTooltipVisible: ko.observable(false),
            sameType: 0,
        });
        //方案全记录 取得
        Light.ScheduleData.healthRecordList.push({
            date: date,
            planId: '',
            solutionId: '',
            itemId: Light.config.scheduleItemsList[i].itemId,
            itemType: Light.config.scheduleItemsList[i].typeId,
            info: '',
            healthList: [],
            otherList: [],
        });
    }

    //加餐 添加
    Light.ScheduleData.scheduleAdd = function (date) {

        var len = Light.ScheduleData.scheduleList.length;
        var ind = Light.ScheduleData.healthRecordList.length;
        var eatFlg = true;
        //加餐事项 check
        for (var i = 0; i < len; i++) {
            if ((Light.ScheduleData.scheduleList[i].intTime == 2400) && (Light.ScheduleData.scheduleList[i].itemType == 4)) {
                eatFlg = false;
                break;
            }
        }

        //添加 加餐事项
        if (eatFlg) {
            Light.ScheduleData.setDefaultScheduleList(date, ind, 4);
            ind += 1;
        }
    };

    //时间轴合并事项
    Light.ScheduleData.scheduleItemJoin = function () {

        var startTime = null;
        var itemType = null;
        var id = 0;
        for (var i = 0; i < Light.ScheduleData.scheduleList.length; i++) {
            if ((Light.ScheduleData.scheduleList[i].intTime == startTime) && (Light.ScheduleData.scheduleList[i].itemType == itemType)) {
                if (Light.ScheduleData.scheduleList[i - 1].sameType == 0) {
                    Light.ScheduleData.scheduleList[i - 1].sameType = 1;
                }
                Light.ScheduleData.scheduleList[i].sameType = 2;
                id -= 1;
            }
            startTime = Light.ScheduleData.scheduleList[i].intTime;
            itemType = Light.ScheduleData.scheduleList[i].itemType;

            Light.ScheduleData.scheduleList[i].id = id;
            Light.ScheduleData.scheduleList[i].completeTooltipId = 'complete' + id,
            id += 1;
        }
    }

    //方案记录取得
    Light.ScheduleData.getHealthRecord = function (date, doneFun) {

        var done = function (items) {
            for (var i = 0; i < items.length; i++) {
                for (var k = 0; k < Light.ScheduleData.healthRecordList.length; k++) {

                    if ((items[i].healthPlanId == Light.ScheduleData.healthRecordList[k].planId)
                        && (items[i].itemId == Light.ScheduleData.healthRecordList[k].itemId)) {

                        //有记录
                        var dtls = items[i].recordDtls;
                        var otherList = [];
                        var rowNO = 0;

                        for (var p = 0; p < Light.ScheduleData.scheduleList.length; p++) {
                            if ((Light.ScheduleData.scheduleList[p].itemId == items[i].itemId)
                                && (Light.ScheduleData.scheduleList[p].planId == items[i].healthPlanId)
                                && (dtls.length > 0)) {

                                var imgL = Light.ScheduleData.scheduleList[p].ImgSource;
                                Light.ScheduleData.scheduleList[p].typeImg = ko.observable(imgL[1]);
                                Light.ScheduleData.scheduleList[p].recordFlg = ko.observable(1);
                                break;
                            }
                        }

                        for (var n = 0; n < dtls.length; n++) {
                            if ((dtls[n].itemType >= 6) && (dtls[n].itemType <= 8)) {
                                //喝水，刷牙

                            } else if ((dtls[n].itemType >= 1) && (dtls[n].itemType <= 5)) {
                                //吃饭,运动
                                switch (dtls[n].dtlType) {
                                    case 1:
                                        //方案记录
                                        //var no = dtls[n].id;// 方案记录的第几行记录
                                        //Light.ScheduleData.healthRecordList[k].healthList[no - 1].okCheck = "icon-light-ok";
                                        var no = dtls[n].id;
                                        var tmplist = Light.ScheduleData.healthRecordList[k].healthList;
                                        for (var nindex = 0; nindex < tmplist.length; nindex++) {
                                            if (no == tmplist[nindex].no) {
                                                tmplist[nindex].okCheck = "icon-light-ok";
                                            }
                                        }

                                        break;
                                    case 2:
                                        //其他记录                       
                                        otherList.push({
                                            rowNO: rowNO,
                                            id: dtls[n].id, //食品或运动ID
                                            name: dtls[n].name,
                                            detail: dtls[n].detail,
                                            count: dtls[n].count,
                                            calorie: dtls[n].calorie,
                                        });
                                        rowNO += 1;
                                        Light.ScheduleData.healthRecordList[k].otherList = otherList;
                                        break;
                                }
                            }
                        }
                    }
                }
            }

            //药品记录取得
            Light.ScheduleData.getMedicineRecord(date, doneFun);
        }
        Light.action.healthPlan.getRecordByDate(date, done, function () { });
    };


    //药品记录取得
    Light.ScheduleData.getMedicineRecord = function (date, doneFun) {
        var done = function (items) {
            for (var i = 0; i < items.length; i++) {
                for (var k = 0; k < Light.ScheduleData.medicineRecordList.length; k++) {
                    if (items[i].timeStart == Light.ScheduleData.medicineRecordList[k].timeStart) {
                        //有记录
                        for (var p = 0; p < Light.ScheduleData.scheduleList.length; p++) {
                            if (Light.ScheduleData.scheduleList[p].recordId == k && Light.ScheduleData.scheduleList[p].itemId == 0) {
                                var imgL = Light.ScheduleData.scheduleList[p].ImgSource;
                                Light.ScheduleData.scheduleList[p].typeImg = ko.observable(imgL[1]);
                                Light.ScheduleData.scheduleList[p].recordFlg = ko.observable(1);
                                break;
                            }
                        }

                        Light.ScheduleData.medicineRecordList[k].takenStatus = items[i].takenStatus;
                        Light.ScheduleData.medicineRecordList[k].memo = items[i].takenMemo;

                        var itemDtail = items[i].mediceineList;
                        var medicineDtail = Light.ScheduleData.medicineRecordList[k].medicineList;
                        for (var m = 0; m < itemDtail.length; m++) {
                            for (var n = 0; n < medicineDtail.length; n++) {
                                if (itemDtail[m].medicinePlanId == medicineDtail[n].medicinePlanId) {
                                    medicineDtail[n].status = itemDtail[m].status;
                                }
                            }
                        }
                    }
                }
            }

            doneFun(1);
        }
        Light.action.customMedicinePlan.getRecordListByDate(date, done, function () { });
    };

})();