﻿Light.GroupSetting = function (params) {

    //返回按钮
    backClick = function (e) {
        if (window.plugins && window.plugins.LeanChat) {
            window.plugins.LeanChat.registStatusCallback(Light.PartnerPluginData.group_all_onState);
            window.plugins.LeanChat.fetchGroupById(Light.rtdata.leanCloudSocialId, params.groupId);
        }
    };

    //menu bar
    toolbarItems = [
            { location: 'before', widget: 'button', options: { icon: 'light-back', clickAction: backClick } },
            { location: 'center', text: Globalize.localize('partner-groupSetting') },
    ];

    //
    var addButton = { flg: 'add', userId: '', userHeadImage: './resource/icon/plus-group.png', nickName: '', deleteIcon: false, creater: false };
    var deleteButton = { flg: 'delete', userId: '', userHeadImage: './resource/icon/minus-group.png', nickName: '', deleteIcon: false, creater: false };
    //
    var groupCreateId = '';
    var memberList = '';
    var memberHeadList = [];
    var groupImgHeadData = '';

    //群头像
    function createImg() {
        var groupHead, cxt;
        var canvas_length = 113;
        var canvas_blank = 5;

        groupHead = document.getElementById("myCanvas");
        groupHead.width = canvas_length;
        groupHead.height = canvas_length;
        cxt = groupHead.getContext("2d");
        cxt.clearRect(0, 0, canvas_length, canvas_length);
        cxt.fillStyle = '#E2E2E2';
        cxt.fillRect(0, 0, canvas_length, canvas_length);

        var img = new Image();
        if (memberHeadList.length == 0) {
            //1排1列
            var img_length = (canvas_length - canvas_blank * 3) / 2;
            var img_x = (canvas_length - img_length) / 2;
            var img_y = (canvas_length - img_length) / 2;

            img.src = Light.rtdata.common_imgHead;
            cxt.drawImage(img, img_x, img_y, img_length, img_length);

        } else if (memberHeadList.length == 1) {
            //1排2列
            var img_length = (canvas_length - canvas_blank * 3) / 2;
            var img_x = canvas_blank;
            var img_y = (canvas_length - img_length) / 2;
            var img_2x = img_length + canvas_blank * 2;

            img.src = memberHeadList[0];
            cxt.drawImage(img, img_x, img_y, img_length, img_length);
            img.src = Light.rtdata.common_imgHead;
            cxt.drawImage(img, img_2x, img_y, img_length, img_length);

        } else if ((memberHeadList.length >= 2) && (memberHeadList.length < 4)) {
            //2排2列
            var img_length = (canvas_length - canvas_blank * 3) / 2;
            var img_x = canvas_blank;
            var img_y = canvas_blank;
            var img_2x = img_length + canvas_blank * 2;
            var img_2y = img_length + canvas_blank * 2;
            //第2排
            img.src = memberHeadList[0];
            cxt.drawImage(img, img_x, img_2y, img_length, img_length);
            img.src = memberHeadList[1];
            cxt.drawImage(img, img_2x, img_2y, img_length, img_length);

            if (memberHeadList.length == 2) {
                //第1排
                var img_x_center = (canvas_length - img_length) / 2;
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_x_center, img_y, img_length, img_length);

            } else if (memberHeadList.length == 3) {
                //第1排
                img.src = memberHeadList[2];
                cxt.drawImage(img, img_x, img_y, img_length, img_length);
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_2x, img_y, img_length, img_length);
            }

        } else if ((memberHeadList.length >= 4) && (memberHeadList.length < 6)) {
            //2排3列
            var img_length = (canvas_length - canvas_blank * 4) / 3;
            var img_x = canvas_blank;
            var img_y = (canvas_length - img_length * 2 - canvas_blank) / 2;
            var img_2x = img_length + canvas_blank * 2;
            var img_2y = img_length + img_y + canvas_blank;
            var img_3x = img_length * 2 + canvas_blank * 3;
            //第2排
            img.src = memberHeadList[0];
            cxt.drawImage(img, img_x, img_2y, img_length, img_length);
            img.src = memberHeadList[1];
            cxt.drawImage(img, img_2x, img_2y, img_length, img_length);
            img.src = memberHeadList[2];
            cxt.drawImage(img, img_3x, img_2y, img_length, img_length);

            if (memberHeadList.length == 4) {
                //第1排
                var img_x_center = (canvas_length - img_length * 2 - canvas_blank) / 2;
                var img_2x_center = img_length + img_x_center + canvas_blank;
                img.src = memberHeadList[3];
                cxt.drawImage(img, img_x_center, img_y, img_length, img_length);
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_2x_center, img_y, img_length, img_length);

            } else if (memberHeadList.length == 5) {
                //第1排
                img.src = memberHeadList[3];
                cxt.drawImage(img, img_x, img_y, img_length, img_length);
                img.src = memberHeadList[4];
                cxt.drawImage(img, img_2x, img_y, img_length, img_length);
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_3x, img_y, img_length, img_length);
            }

        } else if (memberHeadList.length >= 6) {
            //3排3列
            var img_length = (canvas_length - canvas_blank * 4) / 3;
            var img_x = canvas_blank;
            var img_y = canvas_blank;
            var img_2x = img_length + canvas_blank * 2;
            var img_2y = img_length + canvas_blank * 2;
            var img_3x = img_length * 2 + canvas_blank * 3;
            var img_3y = img_length * 2 + canvas_blank * 3;

            //第2排
            img.src = memberHeadList[0];
            cxt.drawImage(img, img_x, img_2y, img_length, img_length);
            img.src = memberHeadList[1];
            cxt.drawImage(img, img_2x, img_2y, img_length, img_length);
            img.src = memberHeadList[2];
            cxt.drawImage(img, img_3x, img_2y, img_length, img_length);
            //第3排
            img.src = memberHeadList[3];
            cxt.drawImage(img, img_x, img_3y, img_length, img_length);
            img.src = memberHeadList[4];
            cxt.drawImage(img, img_2x, img_3y, img_length, img_length);
            img.src = memberHeadList[5];
            cxt.drawImage(img, img_3x, img_3y, img_length, img_length);

            if (memberHeadList.length == 6) {
                //第1排
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_2x, img_y, img_length, img_length);

            } else if (memberHeadList.length == 7) {
                //第1排
                var img_x_center = (canvas_length - img_length * 2 - canvas_blank) / 2;
                var img_2x_center = img_length + img_x_center + canvas_blank;
                img.src = memberHeadList[6];
                cxt.drawImage(img, img_x_center, img_y, img_length, img_length);
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_2x_center, img_y, img_length, img_length);

            } else if (memberHeadList.length >= 8) {
                //第1排
                img.src = memberHeadList[6];
                cxt.drawImage(img, img_x, img_y, img_length, img_length);
                img.src = memberHeadList[7];
                cxt.drawImage(img, img_2x, img_y, img_length, img_length);
                img.src = Light.rtdata.common_imgHead;
                cxt.drawImage(img, img_3x, img_y, img_length, img_length);
            }
        }
        groupImgHeadData = groupHead.toDataURL('png');
    };

    //群成员删除
    function deleteMember(member) {
        var tmp = viewModel.memberSource();
        memberList = '';
        memberHeadList = [];
        var tmpMemberList = [];
        for (i = 0; i < tmp.length; i++) {
            if (tmp[i].userId !== member) {
                tmpMemberList.push(tmp[i]);

                if ((tmp[i].flg == '') && (tmp[i].userId !== Light.rtdata.leanCloudSocialId)) {
                    memberList += tmp[i].userId + ',';
                    memberHeadList.push(tmp[i].userHeadImage);
                }
            }
        }

        //头像作成
        createImg();

        var onCallBack = function (code) {
            viewModel.popupPageVisible(false);
            if (code == "200") {
                DevExpress.ui.notify(Globalize.localize('message-dataSave-error'), "error", 2000);
            } else {
                if (member == Light.rtdata.leanCloudSocialId) {
                    //删除自己
                    setTimeout(function () { Light.tool.toPartnerMessageList(); }, 500);
                } else {
                    //删除其他人
                    if (tmpMemberList.length <= 3) {
                        tmpMemberList.pop();
                    }
                    viewModel.memberSource(tmpMemberList);
                }
            }
        };

        if (window.plugins && window.plugins.LeanChat) {
            viewModel.popupPageVisible(true);
            window.plugins.LeanChat.registStatusCallback(onCallBack);
            if (member == Light.rtdata.leanCloudSocialId) {
                //删除自己
                window.plugins.LeanChat.quitGroup(Light.rtdata.leanCloudSocialId, params.groupId, groupImgHeadData);
            } else {
                //删除其他人
                window.plugins.LeanChat.removeGroupMembers(Light.rtdata.leanCloudSocialId, params.groupId, member, groupImgHeadData);
            }
        }
    };
    function checkNetState() {
        viewModel.img_info('');
        viewModel.infoText('');
        viewModel.popupPageVisible(true);

        //网络check
        if (Light.network.checkConnection()) {
            viewModel.networkFlg(true);
        } else {
            viewModel.networkFlg(false);
        }

        viewModel.popupPageVisible(false);

        if (viewModel.networkFlg()) {
            //有网络
            viewModel.networkFlg(true);
            viewModel.img_info('');
            viewModel.infoText('');
            getData();
        } else {
            //无网络
            viewModel.img_info('./resource/img/noNetwork.gif');
            viewModel.infoText(Globalize.localize('profile-network-disconnect'));
        }
    }

    function getData() {
        var onGroupInfoSuccess = function (rt) {
            //群主
            groupCreateId = rt.c;

            //群名称
            if (rt.nameflag) {
                viewModel.groupSettingSource1[0].value(rt.name);
            } else {
                viewModel.groupSettingSource1[0].value('');
            }

            //群介绍
            viewModel.groupSettingSource1[1].value(rt.desc);

            //群成员
            var onGroupMemberSuccess = function (rt) {
                var tmp = [];
                var creater = [];
                var member = [];
                memberList = '';
                for (i = 0; i < rt.length; i++) {
                    if (rt[i].id !== Light.rtdata.leanCloudSocialId) {
                        //除自己外的
                        memberList += rt[i].id + ',';
                        memberHeadList.push(rt[i].get("userHeadImage"));
                    }

                    if (groupCreateId == rt[i].id) {
                        //群主
                        creater.push({
                            flg: '',
                            userId: rt[i].id,
                            userHeadImage: rt[i].get("userHeadImage"),
                            nickName: rt[i].get("nickname"),
                            deleteIcon: true,
                            creater: true,
                        })
                    } else {
                        //群成员
                        member.push({
                            flg: '',
                            userId: rt[i].id,
                            userHeadImage: rt[i].get("userHeadImage"),
                            nickName: rt[i].get("nickname"),
                            deleteIcon: true,
                            creater: false,
                        })
                    }
                }

                tmp = creater.concat(member);
                tmp.push(addButton);

                if ((groupCreateId == Light.rtdata.leanCloudSocialId) && (tmp.length > 2)) {
                    //当前用户为群主
                    tmp.push(deleteButton);
                }
                viewModel.memberSource(tmp);
            }

            var data = {
                clientId: Light.rtdata.leanCloudSocialId,
                groupId: params.groupId,
            };
            Light.action.leancloud.realtime.listGroupMember(data, onGroupMemberSuccess, function () {
                viewModel.networkFlg(false);
                viewModel.img_info('./resource/img/noNetwork.gif');
                viewModel.infoText(Globalize.localize('profile-network-disconnect'));
            });
        }

        Light.action.leancloud.realtime.getGroupInfo(params.groupId, onGroupInfoSuccess, function () {
            viewModel.networkFlg(false);
            viewModel.img_info('./resource/img/noNetwork.gif');
            viewModel.infoText(Globalize.localize('profile-network-disconnect'));
        });
    };

    var viewModel = {
        deleteFlg: ko.observable(false),
        popupPageVisible: ko.observable(false),
        memberSource: ko.observable([]),

        networkFlg: ko.observable(false),
        img_info: ko.observable(''),
        infoText: ko.observable(''),

        //页面刷新
        refreshClick: function () {
            checkNetState();
        },

        groupSettingSource1: [
            { key: "groupName", title: Globalize.localize('partner-groupName'), value: ko.observable("") },
            { key: "groupIntroduction", title: Globalize.localize('partner-groupIntroduction'), value: ko.observable("") },
        ],
        groupSettingSource2: [
            { key: "groupShareSetting", title: Globalize.localize('partner-groupShareSetting'), value: ko.observable("") },
            { key: "tipOff", title: Globalize.localize('partner-tipOff'), value: ko.observable("") },
        ],

        popupGroupExitVisible: ko.observable(false),

        //群成员点击
        memberClick: function (object) {
            if (!viewModel.deleteFlg()) {
                if (object.model.flg == 'add') {
                    //添加群成员
                    Light.app.navigate({ view: 'GroupCreate', groupId: params.groupId, memberList: memberList, memberHeadList: memberHeadList });

                } else if (object.model.flg == 'delete') {
                    //删除群成员
                    viewModel.deleteFlg(true);

                } else {
                    //群成员选择
                    if (Light.rtdata.partner_friendList.indexOf(object.model.userId) == -1) {
                        //不是好友
                        Light.app.navigate({ view: 'FriendAdd', userId: object.model.userId });
                    } else {
                        //是好友
                        Light.app.navigate({ view: 'FriendDetail', userId: object.model.userId });
                    }
                }

            } else {
                //删除群成员
                if (object.model.creater) {
                    //群主不能删除
                    //DevExpress.ui.notify(Globalize.localize('partner-groupMemberDelete-message_error'), "error", 2000);

                } else {
                    //群成员删除
                    deleteMember(object.model.userId);
                }
            }
        },

        //群成员点击取消
        memberDeleteCancelClick: function () {
            viewModel.deleteFlg(false);
        },

        //群名称等
        groupSettingItemClick: function (e) {
            switch (e.itemData.key) {
                case "groupName":
                    Light.app.navigate({ view: 'TextInput', txtFlg: 1, name: e.itemData.title, value: e.itemData.value(), placeholder: Globalize.localize('partner-groupName-message'), groupId: params.groupId });
                    break;
                case "groupIntroduction":
                    Light.app.navigate({ view: 'TextInput', txtFlg: 0, name: e.itemData.title, value: e.itemData.value(), groupId: params.groupId });
                    break;
                case "groupShareSetting":
                    Light.app.navigate({ view: 'GroupShareSetting', groupId: params.groupId });
                    break;
                case "tipOff":
                    Light.app.navigate({ view: 'TipOff', id: params.groupId, type: 1 });
                    break;
            }
        },

        //删除并退出群
        exitGroupClick: function () {

            if (groupCreateId == Light.rtdata.leanCloudSocialId) {
                //删除自己（群主）

                DevExpress.ui.notify(Globalize.localize('partner-groupMemberDelete-message_error'), "error", 2000);
            } else {
                //删除自己（群成员）
                viewModel.popupGroupExitVisible(true);
            }
        },

        //popup 退出群 确定
        popupGroupExitConfirmClick: function () {
            viewModel.popupGroupExitVisible(false);
            deleteMember(Light.rtdata.leanCloudSocialId);
        },

        //popup 取消
        popupCancelClick: function () {
            viewModel.popupGroupExitVisible(false);
        },

        //画面init
        viewShown: function () {
            viewModel.deleteFlg(false);
            checkNetState()
        },

        viewHidden: function () {
            viewModel.popupPageVisible(false);
            viewModel.deleteFlg(false);
        }
    };

    return viewModel;
};