﻿//runtime data for share
 var qrscan = function (e) {
            if (cordova.plugins && cordova.plugins.barcodeScanner) {
                cordova.plugins.barcodeScanner.scan(
                      function (result) {
                          if (result.cancelled) {
                            //do nothing 
                            Light.tool.toPartnerMessageList();
                          } else {

                            if (result.format == "QR_CODE" && result.text.indexOf(Light.config.QRCODE_MEMBERID) != -1) {
                                var content = result.text.split("-");
                                if (content && content.length == 3) {
                                    Light.app.navigate({ view: 'FriendAdd', userId: content[2] });
                                } else {
                                    Light.tool.toPartnerMessageList();
                                    DevExpress.ui.notify("无法识别的二维码", "error", 2000);
                                }
                            } else {
                                Light.tool.toPartnerMessageList();
                                DevExpress.ui.notify("无法识别的二维码", "error", 2000);
                            }
                          }
                      }, 
                      function (error) {
                          Light.tool.toPartnerMessageList();
                          DevExpress.ui.notify("扫描二维码失败", "error", 2000);
                      }
                   );       
            }
        };

(function () {

    Light.PartnerPluginData = function () {
    };

    //group callback（1）
    Light.PartnerPluginData.groupData_onState = function (code) {
        if (code == "200") {
            DevExpress.ui.notify(Globalize.localize('message-dataSave-error'), "error", 2000);
        } else {
            DevExpress.hardwareBackButton.fire();
        }
    };

    //group callback（2）
    Light.PartnerPluginData.group_all_onState = function (code) {
        switch (code) {
            case "200":
                //error
                //DevExpress.ui.notify(Globalize.localize('partner-groupCreate-message_error'), "error", 2000);
                break;
            case "0":
                break;
            case "701":
                //发起群组
                Light.app.navigate('GroupCreate');
                break;

            case "702":
                //添加同伴
                Light.app.navigate({ view: 'PartnerSearch', flg: 'add', back: 'Partner' });
                break;

            case "703":
                //活动
                Light.rtdata.activityPage = 'Partner';
                Light.app.navigate('Activity');
                break;

            case "704":
                //通讯录
                Light.app.navigate('FriendList');
                break;

            case "705":
                //扫一扫
                qrscan();
                break;

            case "801":
                //首页
                Light.app.navigate('Home', { root: true });
                break;

            case "802":
                //健康
                Light.app.navigate('HealthIndex', { root: true });
                break;

            case "803":
                //同伴
                //Light.tool.toPartnerMessageList();
                break;

            case "804":
                //资讯
                Light.app.navigate('Shop', { root: true });
                break;

            case "901":
                //检索
                Light.app.navigate({ view: 'PartnerSearch', flg: 'all', back: 'Partner' });
                break;

            default:
                //群设置
                if (code.length > 3) {
                    var par = code.split(",");
                    if (par.length >= 2) {
                        if (par[1] == 1) {
                            Light.app.navigate({ view: 'GroupSetting', groupId: par[0] });
                        } else {
                            Light.app.navigate({ view: 'GroupShare', groupId: par[0] });
                        }
                    }  
                }
                break;
        }
    };

})();