﻿Light.Plan = function (params) {

    var isAdd = false;
    var planId = "";
    var iStatus = 0;
    var iStart = "";
    var iCount = 0;
    var flg = true;
    var viewModel = {
        visible_28: ko.observable(false),
        day_28: ko.observable(0),
        healthPlanVisible: ko.observable(true),

        addText: ko.observable(""),

        //28天健康方案
        solutionClick: function () {
            Light.app.navigate({ view: "SelSolution", plan: true, planId: planId, status: iStatus, start: iStart, count: iCount, day: viewModel.day_28() });
        },

        //画面init
        viewShown: function () {

            viewModel.healthPlanVisible(true);

            var date = Globalize.format(new Date(), "yyyyMMdd");
            var done = function (plan) {
                $("#btnShow").show();
                if (plan) {
                    planId = plan.healthPlanId;
                    iStatus = plan.status;
                    iStart = plan.planStartDate;
                    iCount = plan.planSuspendCount;
                    viewModel.addText(Globalize.localize('common-view'));
                    var count = 0
                    for (var i = 0; i < plan.planDateList.length; i++) {
                        if (plan.planDateList[i].date > date) break;
                        count++;
                    }
                    viewModel.day_28(count);
                    viewModel.visible_28(true);
                } else {
                    planId = "";
                    viewModel.addText(Globalize.localize('common-add'));
                    viewModel.day_28(0);
                    viewModel.visible_28(false);
                }
            }
            var fail = function () {
                $("#btnShow").hide();
            }

            Light.action.healthPlan.getValidPlan(done, fail);

            //重排通知
            Light.action.checkNotification();
        },

        viewInClick: function () {
            viewModel.healthPlanVisible(!viewModel.healthPlanVisible());
        },
    };

    return viewModel;
};