﻿Light.AboutApp = function (params) {

    //版本更新
    function newVersions() {
        viewModel.popupNewVersionsVisible(true);
        //取得当前app版本号
        if (window.device) {
            Light.rtdata.device_info.model = "" + window.device.model + "";
            Light.rtdata.device_info.platform = "" + window.device.platform + "";
            Light.rtdata.device_info.version = "" + window.device.version + "";
        }
        var valid = 0;
        if (!Light.config.IS_DEBUG_MODE) {
            valid = 1;
        }
        var versionInfo = {
            currentVersion: Light.config.VERSION,
            valid: valid
        };

        //取得服务器最新版本
        Light.action.serverChkAppVersion(versionInfo,
            function (data) {
                if (data.needUpdate == "1") {
                    //有更新
                    viewModel.versionMessage(Globalize.localize('profile-newVersions-needupdate'));
                    //viewModel.updateVisible(true);
                    viewModel.popupNewVersionsVisible(false);
                    viewModel.popupNewVersionsMessageVisible(true);
                    //data.versionInfo.url;
                } else {
                    //无更新
                    //@profile-newVersions-ok
                    //viewModel.updateVisible(false);
                    //viewModel.versionMessage(Globalize.localize('profile-newVersions-ok'));
                    viewModel.popupNewVersionsVisible(false);
                    viewModel.popupNewVersionsMessageVisible(false);
                    DevExpress.ui.notify(Globalize.localize('profile-newVersions-ok'), "success", 1000);
                    
                }
            },
            function (data) {
                //viewModel.updateVisible(false);
                //viewModel.versionMessage(Globalize.localize('profile-newVersions-ok'));
                viewModel.popupNewVersionsVisible(false);
                viewModel.popupNewVersionsMessageVisible(false);
                DevExpress.ui.notify(Globalize.localize('profile-newVersions-error'), "error", 1000);
            }
        );

    };

    //好评
    function goodApp() {
        window.open("market://details?id=cn.truedata.light", "_system");
        switch (DevExpress.devices.real().platform) {
            case "ios":
                window.open("itms-apps://itunes.apple.com/WebObjects/MZStore.woa/wa/viewContentsUserReviews?type=Purple+Software&id=978633788", "_system");
                break;
            case "android":
                if (window.plugins && window.plugins.Func) {
                    window.plugins.Func.marketUri();
                }
                break;
        }
        
    };

    //分享
    function shareApp() {
        if (window.plugins && window.plugins.SharesdkAuth) {
            window.plugins.SharesdkAuth.shareContent(Globalize.localize('profile-share-text'));
        }
    };

    //官方网址
    function shopping() {
        if (window.plugins && window.plugins.seioinappbrowser) {
            window.plugins.seioinappbrowser("http://www.truedata.cn", "_system", "location=no");
        } else if (window.open) {
            window.open("http://www.truedata.cn", "_system", 'location=no');
        }
        
    }

    var viewModel = {
        versionMessage: ko.observable(''),
        headTooltipVisible: ko.observable(false),
        updateVisible: ko.observable(false),
        popupNewVersionsVisible: ko.observable(false),
        popupNewVersionsMessageVisible: ko.observable(false),

        meunSource: [
           // {
           //     title: Globalize.localize('profile-newVersions'),
           //     clickAction: newVersions,
           //  },
            {
                title: Globalize.localize('profile-goodApp'),
                clickAction: goodApp,
            },
            {
                title: Globalize.localize('profile-shareApp'),
                clickAction: shareApp,
            },
            {
                title: Globalize.localize('profile-WXAddContact'),
                clickAction: '#WXAddContact',
            },
            {
                title: Globalize.localize('profile-shopping'),
                clickAction: shopping,
            },
        ],

        //
        updateClick: function () {
            alert("updateClick");
        },

        //
        updateGiveupClick: function () {
            viewModel.popupNewVersionsMessageVisible(false);
        },

        //画面Shown
        viewShown: function () {

        }
    };

    return viewModel;
};