﻿Light.Register = function (params) {

    var memberAcc = "";
    var memberPassword = "";

    var txtbtn = Globalize.localize('profile-button-get');

    var iNum = 0;
    var objTimer = null;
    var isForget = false;

    /*
     * 1: 获取验证码成功
     * 2: 获取验证码失败
     * 3: 获取验证码未知情况
     * 4：验证成功
     * 5：验证失败  
     * 6：验证未知情况
    */
    var registSmsCallback = function (status) {

        if (status == "1") {
            $("#btnVerCode").show();
            $("#txtTip").show();
        }
        if (status == "4") {
            $("#verification").hide();
            $("#afterVerification").show();

            viewModel.isDisable(true);
        }
        if (status == "2" || status == "3" || status == "5" || status == "6") {
            showBox(Globalize.localize('profile-regist-verifail'));
            $("#btnGetCode").show();
            $("#btnVerCode").hide();
        }
        Light.rtdata.isRegistSms = status;
    }

    var viewModel = {

        loginName: ko.observable(""),
        loginPassword: ko.observable(""),
        loginRePassword: ko.observable(""),
        agreeCheck: ko.observable(true),
        code: ko.observable(""),
        isDisable: ko.observable(false),
        txtGetcode: ko.observable(txtbtn),
        title: ko.observable(""),
        btnComplete: ko.observable(""),

        //按钮：获得验证码
        getCode: function () {

            var phoneNumber = viewModel.loginName();
            var reTel = new RegExp("^[1][3578][0-9]{9}$");
            if (!reTel.test(phoneNumber)) {
                showBox(Globalize.localize('profile-regist-phoneNumberfail'));
            } else {
                Light.action.serverCheckMobile(phoneNumber,
                    function (isExist) {

                        if (isExist == 1) {//存在

                            if (isForget == false) {
                                // 不能够注册：手机号已注册
                                showBox(Globalize.localize('profile-regist-registed'));
                            } else {
                                // 能够重置密码
                                if (window.plugins && window.plugins.MobSms) {

                                    if (iNum == 0) {

                                        iNum = 60;//倒计时60秒

                                        //调用接口发送验证码
                                        window.plugins.MobSms.getVerificationCode(String(phoneNumber));

                                        objTimer = window.setInterval(function () {
                                            if (iNum > 0) {
                                                iNum--;
                                                viewModel.txtGetcode(txtbtn + "(" + iNum + ")");
                                            } else {
                                                $("#txtTip").hide();
                                                viewModel.txtGetcode(txtbtn);
                                                window.clearInterval(objTimer);
                                            }
                                        }, 1000);
                                    }
                                }
                            }

                        } else {//不存在

                            if (isForget == true) {
                                // 不能够重置：手机号未注册
                                showBox(Globalize.localize('profile-regist-noregisted'));
                            } else {
                                // 能够注册
                                if (window.plugins && window.plugins.MobSms) {

                                    if (iNum == 0) {

                                        iNum = 60;//倒计时60秒

                                        //调用接口发送验证码
                                        window.plugins.MobSms.getVerificationCode(String(phoneNumber));

                                        objTimer = window.setInterval(function () {
                                            if (iNum > 0) {
                                                iNum--;
                                                viewModel.txtGetcode(txtbtn + "(" + iNum + ")");
                                            } else {
                                                $("#txtTip").hide();
                                                viewModel.txtGetcode(txtbtn);
                                                window.clearInterval(objTimer);
                                            }
                                        }, 1000);
                                    }
                                }
                            }
                        }
                    }, null);
            }
        },

        verificationCode: function () {

            var strCode = String(viewModel.code());

            if (strCode != "") {
                if (window.plugins && window.plugins.MobSms) {
                    window.plugins.MobSms.submitVerificationCode(strCode);
                }
            }
        },

        //画面init
        viewShown: function () {

            if (Light.rtdata.isTermsOfService != true) {

                viewModel.loginName("");
                viewModel.loginPassword("");
                viewModel.loginRePassword("");
                viewModel.agreeCheck(true);
                viewModel.code("");
                viewModel.isDisable(false);

                $("#verification").show();
                $("#btnGetCode").show();
                $("#afterVerification").hide();

                $("#txtTip").hide();
                $("#btnVerCode").hide();

                if (params.forget == String(true)) {
                    isForget = true;
                    viewModel.title(Globalize.localize('profile-reroll'));
                    viewModel.btnComplete(Globalize.localize('profile-completeReroll'));
                    $("#agreebox").hide();
                } else {
                    isForget = false;
                    viewModel.title(Globalize.localize('profile-register'));
                    viewModel.btnComplete(Globalize.localize('profile-completeRegister'));
                    $("#agreebox").show();
                }

                var isRegistSms = Light.rtdata.isRegistSms;

                if (isRegistSms == -1) {
                    if (window.plugins && window.plugins.MobSms) {
                        window.plugins.MobSms.registSmsCallback(registSmsCallback);
                    }
                }
            }

            Light.rtdata.isTermsOfService = false;
        },

        registerClick: function () {

            var objName = viewModel.loginName();
            var objPass = viewModel.loginPassword();
            var objRePass = viewModel.loginRePassword();

            if (objPass == '') {
                showBox(Globalize.localize('profile-password') + Globalize.localize('message-notNull'));
            } else if (objPass.length < 6 || objPass.length > 16) {
                showBox(Globalize.localize('profile-updatePassword-length'));
            } else if (objPass != objRePass) {
                showBox(Globalize.localize('profile-updatePassword-different'));
            } else {
                if (isForget == false && viewModel.agreeCheck() == false) {
                    showBox(Globalize.localize('profile-regist-checkfail'));
                } else {
                    memberAcc = objName;
                    memberPassword = "" + CryptoJS.MD5(objPass);
                    if (isForget == false) {
                        Light.action.serverRegist(memberAcc, memberPassword, funDone, funFail);
                    } else {
                        Light.action.serverResetMemberPassword(memberAcc, memberPassword, funDone, funFail);
                    }
                }
            }
        },
    };

    function funDone(rt) {
        if (isForget == false) {
            var leanCloudSocialId = rt.member.leanCloudSocialId;
            var memberId = rt.member.memberId;
            var honorList = rt.honorList;

            Light.action.setting.setLeanCloud(leanCloudSocialId, null);
            Light.rtdata.leanCloudSocialId = leanCloudSocialId;

            Light.action.setting.setMemberId(memberId);
            Light.rtdata.memberId = memberId;

            for (var j = 0; j < honorList.length; j++) {
                honorList[j].uploadFlg = 1;
                Light.db.honor.insert(
                        honorList[j],
                        null, null);
            }

            Light.action.setting.saveAccPassword(memberAcc, memberPassword);
            Light.rtdata.memberAcc = memberAcc;
            Light.rtdata.memberPassword = memberPassword;
            
            Light.action.setting.setTelephoneEmail(memberAcc, null);
            Light.action.leancloud.user.signIn(function () { }, function () { });
            Light.app.navigate('BMIResult', { root: true });
        } else {
            showBox(Globalize.localize('profile-reroll-done'));
            Light.app.navigate('Login');
        }
    };

    function funFail() {

        if (isForget == false) {
            showBox(Globalize.localize('profile-regist-fail'));
        } else {
            showBox(Globalize.localize('profile-reroll-fail'));
        }

    };

    function showBox(str) {
        DevExpress.ui.notify(str, "info", 2000);
    };

    return viewModel;
};