﻿Light.Birth = function (params) {

    var select = -1;
    var viewModel = {

        txtNext: ko.observable(""),
        dataBirth: ko.observable(params.value || '199001'),
        age: ko.observable(0),

        change: function (valueText, inst) {
            if (!valueText) {
                valueText = viewModel.dataBirth();
            }
            seleted = valueText;
            viewModel.age(Light.tool.getAge(seleted));
        },

        clickNext: function () {

            Light.rtdata.common_birth = seleted;
            Light.rtdata.common_age = viewModel.age();
            Light.action.setting.setUserInfoBirthday(seleted);

            if (params.isChange == String(true)) {
                DevExpress.hardwareBackButton.fire();
            } else {
                Light.app.navigate({ view: 'Height', register: params.register, other: params.other, value: Light.rtdata.common_height });
            }
        },

        //画面init
        viewShown: function () {
            if (params.isChange == String(true)) {
                viewModel.txtNext(Globalize.localize('common-confirm'));
                viewModel.dataBirth(params.value);
                viewModel.age(Light.tool.getAge(params.value));
            } else {
                viewModel.txtNext(Globalize.localize('profile-continue'));
                viewModel.dataBirth('199001');
                viewModel.age(Light.tool.getAge('199001'));
            }
            viewModel.change();
        },

    };

    return viewModel;
};