﻿Light.Gender = function (params) {

    var viewModel = {
        txtNext: ko.observable(''),

        //
        MaleClick: function () {
            $(".male-choice").removeClass("disable");
            $(".female-choice").addClass("disable");
            Light.rtdata.common_sex = 1;
        },

        //
        FemaleClick: function () {
            $(".male-choice").addClass("disable");
            $(".female-choice").removeClass("disable");
            Light.rtdata.common_sex = 0;
        },

        //继续 按钮
        nextClick: function () {

            Light.action.setting.setUserInfoSex(Light.rtdata.common_sex);
            Light.rtdata.common_imgHead = Light.config.imgHeadList[Light.rtdata.common_sex].src;
            Light.action.setting.setUserHeadImg(Light.rtdata.common_imgHead);

            if (params.isChange == String(true)) {
                DevExpress.hardwareBackButton.fire();
            } else {

                //设置性别初始值
                if (Light.rtdata.common_sex == 0) {
                    Light.rtdata.common_weight = 50;
                    Light.rtdata.common_height = 160;
                } else {
                    Light.rtdata.common_weight = 60;
                    Light.rtdata.common_height = 170;
                }

                Light.app.navigate({ view: 'Birth', register: params.register, other: params.other });
            }
        },

        //画面init
        viewShown: function () {
            if (params.isChange == String(true)) {
                viewModel.txtNext(Globalize.localize('common-confirm'));
                if (params.value) {
                    $(".male-choice").removeClass("disable");
                    $(".female-choice").addClass("disable");
                } else {
                    $(".male-choice").addClass("disable");
                    $(".female-choice").removeClass("disable");
                }
            } else {
                viewModel.txtNext(Globalize.localize('profile-continue'));
                $(".male-choice").addClass("disable");
                $(".female-choice").removeClass("disable");
            }
        },
    };

    return viewModel;
};