﻿Light.Height = function (params) {

    var viewModel = {

        txtNext: ko.observable(""),
        dataHeight: ko.observable(),
        defaultValue: params.value,

        clickNext: function () {

            if (viewModel.dataHeight()) {
                height = viewModel.dataHeight();
                height = String(height).split(' ')[0]; // 去掉单位
            } else {
                height = viewModel.defaultValue;
            }

            Light.rtdata.common_height = Globalize.parseInt(height + '');
            Light.action.setting.setUserInfoHeight(Light.rtdata.common_height);

            if (params.isChange == String(true)) {
                DevExpress.hardwareBackButton.fire();
            } else {
                Light.app.navigate({ view: 'Weight', register: params.register, other: params.other, value: Light.rtdata.common_weight });
            }
        },

        viewShown: function () {
            if (params.isChange == String(true)) {
                viewModel.txtNext(Globalize.localize('common-confirm'));
            } else {
                viewModel.txtNext(Globalize.localize('profile-continue'));
            }
        },
    };

    return viewModel;
};