﻿Light.Job = function (params) {

    var viewModel = {
        pageVisible: ko.observable(false),
        popupPageVisible: ko.observable(false),

        selectId: ko.observable(99),
        txtNext: ko.observable(""),
        indicatorVisible: ko.observable(false),
        jobSource: Light.config.groupList,

        //选择
        selectClick: function (object) {
            viewModel.selectId(object.model.id);
        },

        //继续 按钮
        nextClick: function () {            
            Light.rtdata.common_job = viewModel.selectId();
            Light.action.setting.setUserInfoJob(viewModel.selectId());
            if (params.isChange == String(true)) {
                DevExpress.hardwareBackButton.fire();
            } else {
                if (params.register == String(true)) {
                    //注册页面跳转
                    Light.app.navigate('Register');
                } else {
                    if (params.other == String(true)) {
                        viewModel.indicatorVisible(true);
                        if (Light.rtdata.thirdPartyRegist == 1) {
                            Light.app.navigate('BMIResult', { root: true });
                            return;
                        }
                        //第三方信息录入
                        var key = Light.rtdata.thirdPartyKey;
                        var username = "";
                        var thirdParty = {};
                        thirdParty.key = key;
                        thirdParty.userName = username;
                        var member = {};
                        member.userName = username;
                        member.sex = Light.rtdata.common_sex;
                        member.birthday = Light.rtdata.common_birth;
                        member.userHeight = Light.rtdata.common_height;
                        member.userWeight = Light.rtdata.common_weight;
                        member.userJob = Light.rtdata.common_job;
                        member.address = Light.rtdata.common_city;
                        member.thirdPartyType = Light.rtdata.thirdPartyType;
                        Light.action.serverthirdPartyRegist(
                            thirdParty, member,
                            function (retData) {
                                var leanCloudSocialId = retData.member.leanCloudSocialId;
                                var memberId = retData.member.memberId;
                                var honorList = retData.honorList;

                                Light.action.setting.setLeanCloud(leanCloudSocialId, null);
                                Light.rtdata.leanCloudSocialId = leanCloudSocialId;

                                Light.action.setting.setMemberId(memberId);
                                Light.rtdata.memberId = memberId;

                                for (var j = 0; j < honorList.length; j++) {
                                    honorList[j].uploadFlg = 1;
                                    Light.db.honor.insert(
                                            honorList[j],
                                            null, null);
                                }
                                //member
                                var memberPassword = "";                                
                                Light.action.setting.setUserInfoUserName(retData.member.userName);
                                Light.action.setting.saveAccPassword(retData.member.memberAcc, memberPassword);
                                Light.rtdata.memberAcc = retData.member.memberAcc;
                                Light.rtdata.common_userName = retData.member.userName;
                                Light.rtdata.memberPassword = memberPassword;
                                Light.rtdata.thirdPartyRegist = 1
                                Light.app.navigate('BMIResult', { root: true });
                            }, null);
                    } else {
                        //试用用户跳转
                        var memberAcc = Light.config.TRIAL_USER_KEY;
                        var memberPassword = "";
                        Light.action.setting.saveAccPassword(memberAcc, memberPassword);
                        Light.rtdata.memberAcc = memberAcc;
                        Light.rtdata.common_userName = Light.config.TRIAL_USER_NAME;
                        Light.rtdata.memberPassword = memberPassword;
                        Light.app.navigate('BMIResult', { root: true });
                    }
                }
            }
        },

        //画面shown
        viewShown: function () {
            viewModel.popupPageVisible(true);

            if (params.isChange == String(true)) {
                viewModel.selectId(params.value);
                viewModel.txtNext(Globalize.localize('common-confirm'));
            } else {
                viewModel.selectId(0);
                viewModel.txtNext(Globalize.localize('profile-continue'));
            }

            viewModel.popupPageVisible(false);
            viewModel.pageVisible(true);
        },

        //画面hidden
        viewHidden: function () {
            viewModel.pageVisible(false);
        }
    };

    return viewModel;
};