﻿Light.ProjectUserDetail = function (params) {


    var getUserDetail = function () {

        //todo:getFromServer
        //alert("request:" + params.projectId + "|" + params.userId);
        var done = function (rt) {
            viewModel.name(rt.name);
            viewModel.telephone(params.userId);
            viewModel.sex(rt.sex);
            viewModel.age(rt.age);
            viewModel.stage1(rt.stage1);
            viewModel.stage2(rt.stage2);
            viewModel.stage3(rt.stage3);
            viewModel.stage4(rt.stage4);
            viewModel.stage5(rt.stage5);
            viewModel.stage6(rt.stage6);
            viewModel.stage7(rt.stage7);
            viewModel.baselinelist(rt.list0);
            viewModel.table1list(rt.list1);
            viewModel.table2list(rt.list2);
            viewModel.table3list(rt.list3);
            viewModel.table4list(rt.list4);
            viewModel.table5list(rt.list5);
            viewModel.table6list(rt.list6);
        };
        var fail = function () {

            //alert("error");
            viewModel.name("");
            viewModel.telephone("");
            viewModel.sex("");
            viewModel.age("");
            viewModel.stage1(false);
            viewModel.stage2(false);
            viewModel.stage3(false);
            viewModel.stage4(false);
            viewModel.stage5(false);
            viewModel.stage6(false);
            viewModel.stage7(false);
            viewModel.baselinelist([]);
            viewModel.table1list([]);
            viewModel.table2list([]);
            viewModel.table3list([]);
            viewModel.table4list([]);
            viewModel.table5list([]);
            viewModel.table6list([]);
        }

        Light.action.research.GetProjData(params.projectId, params.userId, done, fail);
    };

    var getUserImgList = function () {

        //alert("request:" + params.projectId + "|" + params.userId + viewModel.imgtype());

        var done = function (list) {
            var type = viewModel.imgtype();
            switch (type) {
                case 0:
                    viewModel.baselinelist(list);
                    break;
                case 1:
                    viewModel.table1list(list);
                    break;
                case 2:
                    viewModel.table2list(list);
                    break;
                case 3:
                    viewModel.table3list(list);
                    break;
                case 4:
                    viewModel.table4list(list);
                    break;
                case 5:
                    viewModel.table5list(list);
                    break;
                case 6:
                    viewModel.table6list(list);
                    break;
            }
        };
        var fail = function () {
           // alert("error");
        }

        Light.action.research.GetImgList(params.projectId, params.userId, viewModel.imgtype(), done, fail);
    };

    /*
    var clearImg = function () {
        var upimg = document.getElementById('imgfile');
        upimg.value = "";
    }*/

    var uploadImage = function (imageURI) {
        
        //var upimg = document.getElementById('imgfile');

        /*
        if (imageURI) {
            upimg.src = imageURI;
        }
        */

        //alert("image:" + imageURI);
        Light.action.research.UploadImg(
            params.projectId,
            params.userId,
            viewModel.imgtype(),
            Light.rtdata.memberAcc,
            'data:image/jpeg;base64,' + imageURI,
            function () {
                //alert("upload done");
                DevExpress.ui.notify("图片上传成功", "info", 2000);
                getUserImgList();
            },
            function () {
                //alert("upload error");
                DevExpress.ui.notify("图片上传失败", "error", 2000);
            });
    };

    var viewModel = {
        img_add: ko.observable('./resource/img/img_add.png'),

        title: ko.observable("" + params.projectName + " : " + params.userName),
        name: ko.observable(""),
        telephone: ko.observable(""),
        sex: ko.observable(""),
        age: ko.observable(""),
        stage1: ko.observable(false),
        stage2: ko.observable(false),
        stage3: ko.observable(false),
        stage4: ko.observable(false),
        stage5: ko.observable(false),
        stage6: ko.observable(false),
        stage7: ko.observable(false),

        imgtype: ko.observable(0),

        baselinelist: ko.observable([]),
        table1list: ko.observable([]),
        table2list: ko.observable([]),
        table3list: ko.observable([]),
        table4list: ko.observable([]),
        table5list: ko.observable([]),
        table6list: ko.observable([]),

        popupSheetData: Light.config.pictureMenuList,
        popupSheetVisible: ko.observable(false),

        showImage: function(data, event) {
            //alert("todo:showImage.");
            var url = data.model.url;
            var state = data.model.state;
            var date = data.model.date;
            Light.app.navigate({
                view: 'UserPicture',
                url: url,
                state: state,
                date: date,
            }, { root: false });
        },

        holdImage: function (data, event) {
            //$(event.currentTarget.children[1]).show();
            //alert("image on hold" + data.turl);
        },

        deleteImage: function (data) {
            /*
            alert("image to delete" + data.model.turl);
            var dd = $(data.element).parent();
            dd.remove();
            */
        },

        addImage0: function () {
            viewModel.imgtype(0);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage1: function () {
            viewModel.imgtype(1);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage2: function () {
            viewModel.imgtype(2);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage3: function () {
            viewModel.imgtype(3);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage4: function () {
            viewModel.imgtype(4);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage5: function () {
            viewModel.imgtype(5);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },
        addImage6: function () {
            viewModel.imgtype(6);
            viewModel.popupSheetVisible(true);
            //uploadImage(Light.config.imgHeadList[0].src);
        },

        //活动图片选择 
        popupSheetClick: function (clickOptions) {

            switch (clickOptions.itemData.id) {
                case 0:
                    //拍照
                    if (navigator.camera) {
                        navigator.camera.getPicture(uploadImage, function (message) { }, {
                            quality: 80,
                            destinationType: Camera.DestinationType.DATA_URL,
                            sourceType: Camera.PictureSourceType.CAMERA,
                            allowEdit: true,
                            encodingType: Camera.EncodingType.JPEG,
                            saveToPhotoAlbum: true
                        });
                    }
                    break;

                case 1:
                    //照片选择
                    if (navigator.camera) {
                        navigator.camera.getPicture(uploadImage, function (message) { }, {
                            quality: 80,
                            destinationType: Camera.DestinationType.DATA_URL,
                            sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
                            allowEdit: true,
                            encodingType: Camera.EncodingType.JPEG,
                            saveToPhotoAlbum: false
                        });
                    }
                    break;
            }
        },

        //画面Shown
        viewShown: function () {
            getUserDetail();
        },

        //画面Hidden
        viewHidden: function () {

        }
    };

    return viewModel;
};